(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9537,        288]
NotebookOptionsPosition[      7355,        223]
NotebookOutlinePosition[      8839,        263]
CellTagsIndexPosition[      8796,        260]
WindowTitle->$Dim - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"SetCoordinates\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/SetCoordinates"], "\<\"$CoordinatesList\
\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/$CoordinatesList"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis/ref/$Dim\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/$Dim"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/$Dim.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/$Dim", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["$Dim", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData["$Dim"], "InlineFormula"],
     "\[LineSeparator]is the dimension of the space. By default the space \
dimension is 4. The ",
     Cell[BoxData[
      ButtonBox["$Dim",
       BaseStyle->"Link",
       ButtonData->"paclet:QuaternionAnalysis/ref/$Dim"]], "InlineFormula"],
     " value is automatically adjusted by the ",
     Cell[BoxData[
      ButtonBox["SetCoordinates",
       BaseStyle->"Link",
       ButtonData->"paclet:QuaternionAnalysis/ref/SetCoordinates"]], 
      "InlineFormula"],
     " function."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["SetCoordinates",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/SetCoordinates"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["$CoordinatesList",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/$CoordinatesList"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->654214337]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"$Dim - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 11, 9.4957251}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis Package", "status" -> "None", "summary" -> 
    "$Dim is the dimension of the space. By default the space dimension is 4. \
The $Dim value is automatically adjusted by the SetCoordinates function.", 
    "synonyms" -> {}, "title" -> "$Dim", "type" -> "Symbol", "uri" -> 
    "QuaternionAnalysis/ref/$Dim"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[598, 21, 76, 1, 70, "SymbolColorBar"],
Cell[677, 24, 209, 5, 70, "LinkTrail"],
Cell[889, 31, 3306, 77, 70, "AnchorBarGrid",
 CellID->1],
Cell[4198, 110, 47, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[4248, 113, 738, 21, 70, "Usage"],
Cell[CellGroupData[{
Cell[5011, 138, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[5431, 152, 453, 15, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[5921, 172, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[6343, 186, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[6527, 192, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[6721, 200, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[7143, 214, 170, 4, 70, "MoreAbout",
 CellID->654214337]
}, Open  ]],
Cell[7328, 221, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

