(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15288,        524]
NotebookOptionsPosition[     11668,        402]
NotebookOutlinePosition[     13250,        448]
CellTagsIndexPosition[     13165,        443]
WindowTitle->AbsVec - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/ref/Quaternion"], "\<\"Paravector\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Paravector"], "\<\"ComplexLike\"\>":>
       Documentation`HelpLookup["paclet:QuaternionAnalysis/ref/ComplexLike"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis/ref/AbsVec\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/AbsVec"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/AbsVec.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/AbsVec", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["AbsVec", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       StyleBox[
        ButtonBox[
         StyleBox["AbsVec", "InlineCode"],
         BaseStyle->"Link",
         ButtonData->"paclet:QuaternionAnalysis/ref/"], "InlineCode"], "[", 
       StyleBox["expr", "TI",
        FontFamily->"Times New Roman",
        FontSize->12], "]"}]], "InlineFormula"],
     " \[LineSeparator]gives the absolute value of the vector part of ",
     StyleBox["expr.", "TI",
      FontFamily->"Times New Roman",
      FontSize->12]
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->37081753],

Cell[TextData[{
 "To use  ",
 StyleBox["AbsVec", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"].", "InlineCode"]
}], "Notes",
 CellID->1067943069],

Cell["\<\
Mathematical function suitable for both symbolic and numerical manipulation.\
\>", "Notes",
 CellID->59647763],

Cell[TextData[{
 "The function accepts as arguments objects of the form ",
 Cell[BoxData[
  ButtonBox["Quaternion",
   BaseStyle->"Link",
   ButtonData->"paclet:Quaternions/ref/Quaternion"]], "InlineFormula"],
 ", ",
 Cell[BoxData[
  ButtonBox["Paravector",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"]], "InlineFormula"],
 " and ",
 Cell[BoxData[
  ButtonBox["ComplexLike",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/ComplexLike"]], "InlineFormula"],
 "."
}], "Notes",
 CellID->302811416]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->8439476],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount"]
}], "ExampleSection",
 CellID->164803563],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell["Quaternion numbers:", "Text",
 CellID->272174032],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsVec", "[", 
  RowBox[{"Quaternion", "[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->248889056],

Cell[BoxData[
 SqrtBox["29"]], "Output",
 ImageSize->{33, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->229016389]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->90044276],

Cell["Paravector numbers:", "Text",
 CellID->333246196],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsVec", "[", 
  RowBox[{"Paravector", "[", 
   RowBox[{"1", ",", "2", ",", "3"}], "]"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->60278000],

Cell[BoxData[
 SqrtBox["13"]], "Output",
 ImageSize->{33, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->314351885]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"AbsVec", "[", 
  RowBox[{"Paravector", "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d", ",", "e"}], "]"}], 
  "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->21291902],

Cell[BoxData[
 SqrtBox[
  RowBox[{
   SuperscriptBox["b", "2"], "+", 
   SuperscriptBox["c", "2"], "+", 
   SuperscriptBox["d", "2"], "+", 
   SuperscriptBox["e", "2"]}]]], "Output",
 ImageSize->{111, 24},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->17982405]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["Quaternion",
    BaseStyle->"Link",
    ButtonData->"paclet:Quaternions/ref/Quaternion"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Paravector",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " ",
 "\[Bullet]",
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ComplexLike",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/ComplexLike"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->268118163]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"AbsVec - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 9, 58.1356435}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis", "status" -> "None", "summary" -> 
    "AbsVec[expr] gives the absolute value of the vector part of expr.", 
    "synonyms" -> {}, "title" -> "AbsVec", "type" -> "Symbol", "uri" -> 
    "QuaternionAnalysis/ref/AbsVec"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6729, 201, 459, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->8439476]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 13024, 436}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[600, 21, 76, 1, 70, "SymbolColorBar"],
Cell[679, 24, 209, 5, 70, "LinkTrail"],
Cell[891, 31, 3376, 76, 70, "AnchorBarGrid",
 CellID->1],
Cell[4270, 109, 49, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4344, 114, 723, 22, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[5092, 140, 579, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->37081753],
Cell[5674, 159, 330, 11, 70, "Notes",
 CellID->1067943069],
Cell[6007, 172, 120, 3, 70, "Notes",
 CellID->59647763],
Cell[6130, 177, 550, 18, 70, "Notes",
 CellID->302811416]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6729, 201, 459, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->8439476],
Cell[CellGroupData[{
Cell[7213, 218, 148, 5, 70, "ExampleSection",
 CellID->164803563],
Cell[7364, 225, 126, 3, 70, "Input",
 CellID->58310437],
Cell[7493, 230, 55, 1, 70, "Text",
 CellID->272174032],
Cell[CellGroupData[{
Cell[7573, 235, 183, 5, 70, "Input",
 CellID->248889056],
Cell[7759, 242, 170, 6, 39, "Output",
 CellID->229016389]
}, Open  ]],
Cell[CellGroupData[{
Cell[7966, 253, 124, 3, 70, "ExampleDelimiter",
 CellID->90044276],
Cell[8093, 258, 55, 1, 70, "Text",
 CellID->333246196],
Cell[CellGroupData[{
Cell[8173, 263, 172, 5, 70, "Input",
 CellID->60278000],
Cell[8348, 270, 170, 6, 39, "Output",
 CellID->314351885]
}, Open  ]],
Cell[CellGroupData[{
Cell[8555, 281, 195, 6, 70, "Input",
 CellID->21291902],
Cell[8753, 289, 312, 11, 45, "Output",
 CellID->17982405]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9138, 308, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[9558, 322, 639, 24, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[10234, 351, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[10656, 365, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[10840, 371, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[11034, 379, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[11456, 393, 170, 4, 70, "MoreAbout",
 CellID->268118163]
}, Open  ]],
Cell[11641, 400, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

