(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15645,        512]
NotebookOptionsPosition[     12333,        405]
NotebookOutlinePosition[     13946,        451]
CellTagsIndexPosition[     13861,        446]
WindowTitle->CauchyRiemannR - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"CauchyRiemannL\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/CauchyRiemannL"], "\<\"DiracL\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/DiracL"], "\<\"DiracR\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/DiracR"], "\<\"LeftMonogenicQ\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/LeftMonogenicQ"], \
"\<\"RightMonogenicQ\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/RightMonogenicQ"], "\<\"MonogenicQ\"\>":>
       Documentation`HelpLookup["paclet:QuaternionAnalysis/ref/MonogenicQ"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"QuaternionAnalysis/ref/CauchyRiemannR\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/CauchyRiemannR"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/CauchyRiemannR.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/CauchyRiemannR", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["CauchyRiemannR", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       StyleBox[
        ButtonBox["CauchyRiemannR",
         BaseStyle->"Link",
         ButtonData->"paclet:QuaternionAnalysis/ref/"], "InlineCode"], "[", 
       "f", "]"}]], "InlineFormula"],
     " \[LineSeparator]applies the Cauchy-Riemann operator from the right to \
f."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->144975374],

Cell[TextData[{
 "To use ",
 StyleBox["CauchyRiemannR", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"]", "InlineCode"]
}], "Notes",
 CellID->59647763],

Cell[TextData[{
 "The function accepts as argument objects of the form ",
 Cell[BoxData[
  ButtonBox["Quaternion",
   BaseStyle->"Link",
   ButtonData->"paclet:Quaternions/ref/Quaternion"]], "InlineFormula"],
 "."
}], "Notes",
 CellID->302811416],

Cell[TextData[Cell[BoxData[
 StyleBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{"CauchyRiemannR", "[", "f", "]"}], "=", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{"f0", "+", 
       RowBox[{"I", " ", "f1"}], "+", 
       RowBox[{"J", " ", "f2"}], "+", 
       RowBox[{"K", " ", "f3"}]}], ")"}], 
     RowBox[{"(", 
      RowBox[{
       RowBox[{
        SubscriptBox["\[PartialD]", "x0"], 
        RowBox[{"+", "I"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", "x1"], 
        RowBox[{"+", "J"}]}], 
       RowBox[{
        SubscriptBox["\[PartialD]", "x2"], 
        RowBox[{"+", "K"}]}], 
       SubscriptBox["\[PartialD]", "x3"]}], ")"}]}]}]}], "MSG"]]]], "Notes",
 CellID->532444655]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->67000332],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->316345475],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[CellGroupData[{

Cell[BoxData["$CoordinatesList"], "Input",
 CellLabel->"In[2]:=",
 CellID->697334425],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"X0", ",", "X1", ",", "X2", ",", "X3"}], "}"}]], "Output",
 ImageSize->{107, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->177800692]
}, Open  ]],

Cell[BoxData[
 RowBox[{"CauchyRiemannR", "[", 
  RowBox[{"Quaternion", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"X0", "^", "2"}], "-", 
     RowBox[{"X1", "^", "2"}], "-", 
     RowBox[{"X2", "^", "2"}], "-", 
     RowBox[{"X3", "^", "2"}]}], ",", 
    RowBox[{"2", "X0", " ", "X1"}], ",", " ", 
    RowBox[{"2", "X0", " ", "X2"}], ",", 
    RowBox[{"2", "X0", " ", "X3"}]}], "]"}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellLabel->"In[3]:=",
 CellID->165240853],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "4"}], " ", "X0"}], ",", "0", ",", "0", ",", "0"}], 
  "]"}]], "Output",
 ImageSize->{174, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->79308673]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["CauchyRiemannL",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/CauchyRiemannL"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "   \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DiracL",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/DiracL"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DiracR",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/DiracR"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["LeftMonogenicQ",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/LeftMonogenicQ"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["RightMonogenicQ",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/RightMonogenicQ"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["MonogenicQ",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/MonogenicQ"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->733922828]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"CauchyRiemannR - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 3.4269462}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis", "status" -> "None", "summary" -> 
    "CauchyRiemannR[f] applies the Cauchy-Riemann operator from the right to \
f.", "synonyms" -> {}, "title" -> "CauchyRiemannR", "type" -> "Symbol", "uri" -> 
    "QuaternionAnalysis/ref/CauchyRiemannR"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7243, 215, 460, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->67000332]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 13719, 439}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[608, 21, 76, 1, 70, "SymbolColorBar"],
Cell[687, 24, 209, 5, 70, "LinkTrail"],
Cell[899, 31, 3773, 85, 70, "AnchorBarGrid",
 CellID->1],
Cell[4675, 118, 57, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4757, 123, 541, 17, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[5323, 144, 580, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->144975374],
Cell[5906, 163, 334, 11, 70, "Notes",
 CellID->59647763],
Cell[6243, 176, 246, 8, 70, "Notes",
 CellID->302811416],
Cell[6492, 186, 702, 23, 70, "Notes",
 CellID->532444655]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7243, 215, 460, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->67000332],
Cell[CellGroupData[{
Cell[7728, 232, 148, 5, 70, "ExampleSection",
 CellID->316345475],
Cell[7879, 239, 126, 3, 70, "Input",
 CellID->58310437],
Cell[CellGroupData[{
Cell[8030, 246, 85, 2, 70, "Input",
 CellID->697334425],
Cell[8118, 250, 228, 7, 36, "Output",
 CellID->177800692]
}, Open  ]],
Cell[8361, 260, 498, 14, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellID->165240853],
Cell[8862, 276, 285, 10, 36, "Output",
 CellID->79308673]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9196, 292, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[9616, 306, 1246, 43, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[10899, 354, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[11321, 368, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[11505, 374, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[11699, 382, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[12121, 396, 170, 4, 70, "MoreAbout",
 CellID->733922828]
}, Open  ]],
Cell[12306, 403, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

