(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     20660,        721]
NotebookOptionsPosition[     15501,        551]
NotebookOutlinePosition[     17152,        598]
CellTagsIndexPosition[     17067,        593]
WindowTitle->ComplexLike - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/$CoordinatesList"], \
"\<\"Quaternion\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/ref/Quaternion"], "\<\"Paravector\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Paravector"], "\<\"ToComplexLike\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ToComplexLike"], "\<\"W\"\>":>
       Documentation`HelpLookup["paclet:QuaternionAnalysis/ref/W"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis/ref/ComplexLike\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/ComplexLike"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/ComplexLike.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/ComplexLike", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["ComplexLike", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"ComplexLike", "[", 
       RowBox[{"x", ",", "y"}], "]"}]], "InlineFormula"],
     " \[LineSeparator]represents a quaternion or a paravector, by its real \
part - x- and the norm of its vector part -y"
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->122557325],

Cell[TextData[{
 "To use ",
 StyleBox["ComplexLike", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"]", "InlineCode"]
}], "Notes",
 CellID->59647763]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->744350550],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount"]
}], "ExampleSection",
 CellID->384533094],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"SetCoordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({X0, X1, X2, X3}\
\\)\[NoBreak].\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->417580075]
}, Open  ]],

Cell[TextData[{
 " ",
 StyleBox["Paravector", "InlineCode"],
 " objects:"
}], "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->339688713],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetCoordinates", "[", "3", "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellLabel->"In[2]:=",
 CellID->165240853],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"Coordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({X0, X1, X2}\\)\
\[NoBreak].\"\>"}]], "Message", "MSG",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellLabel->"During evaluation of In[2]:=",
 CellID->540536373],

Cell[BoxData[
 RowBox[{"ToComplexLike", "[", 
  RowBox[{"Paravector", "[", 
   RowBox[{"a", ",", "b", ",", "c"}], "]"}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellLabel->"In[2]:=",
 CellID->290789610]
}, Open  ]],

Cell[BoxData[
 RowBox[{"ComplexLike", "[", 
  RowBox[{"a", ",", 
   SqrtBox[
    RowBox[{
     SuperscriptBox["b", "2"], "+", 
     SuperscriptBox["c", "2"]}]]}], "]"}]], "Output",
 ImageSize->{168, 30},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->60681917],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"%", "//", "TraditionalForm"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->173017945],

Cell[BoxData[
 RowBox[{"a", "+", 
  RowBox[{
   SqrtBox[
    RowBox[{
     SuperscriptBox["b", "2"], "+", 
     SuperscriptBox["c", "2"]}]], " ", "\[DoubleStruckW]"}]}]], "Output",
 ImageSize->{91, 24},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->453436811]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->26737718],

Cell[TextData[{
 "Operations on ",
 StyleBox["ComplexLike", "InlineCode"],
 " objects:"
}], "Text",
 CellID->333246196],

Cell["\<\
The product is defined for objects of the CompleLike form;  it is similar to \
the complex product.\
\>", "ExampleText",
 CellID->586795501],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"(", 
   RowBox[{"x", "=", 
    RowBox[{"ComplexLike", "[", 
     RowBox[{"1", ",", "2"}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{"y", "=", 
    RowBox[{"ComplexLike", "[", 
     RowBox[{"2", ",", "3"}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}]}], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellLabel->"In[1]:=",
 CellID->60278000],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"2", " ", "\[DoubleStruckW]"}]}]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 ImageSize->{43, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->398867212],

Cell[BoxData[
 RowBox[{"2", "+", 
  RowBox[{"3", " ", "\[DoubleStruckW]"}]}]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 ImageSize->{43, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->305600949]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"x", " ", "y"}], "//", "TraditionalForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->290832581],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", "4"}], "+", 
  RowBox[{"7", " ", "\[DoubleStruckW]"}]}]], "Output",
 ImageSize->{51, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->328463500]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Conjugate", "[", 
  RowBox[{"ComplexLike", "[", 
   RowBox[{"1", ",", "2"}], "]"}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellLabel->"In[3]:=",
 CellID->21291902],

Cell[BoxData[
 RowBox[{"ComplexLike", "[", 
  RowBox[{"1", ",", 
   RowBox[{"-", "2"}]}], "]"}]], "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 ImageSize->{128, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->246465147]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell[TextData[{
   "Possible Issues",
   "\[NonBreakingSpace]\[NonBreakingSpace]",
   Cell["(1)", "ExampleCount"]
  }], "ExampleSection"],
  $Line = 0; Null]], "ExampleSection",
 CellID->1305812373],

Cell["\<\
Different objects can have the same ComplexLike representation\
\>", "Text",
 CellID->113535611],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToComplexLike", "[", 
  RowBox[{"Paravector", "[", 
   RowBox[{"1", ",", "1", ",", "5"}], "]"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->130570332],

Cell[BoxData[
 RowBox[{"ComplexLike", "[", 
  RowBox[{"1", ",", 
   SqrtBox["26"]}], "]"}]], "Output",
 ImageSize->{142, 21},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->869968525]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToComplexLike", "[", 
  RowBox[{"Quaternion", "[", 
   RowBox[{"1", ",", "3", ",", 
    RowBox[{"-", "4"}], ",", "1"}], "]"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->35803754],

Cell[BoxData[
 RowBox[{"ComplexLike", "[", 
  RowBox[{"1", ",", 
   SqrtBox["26"]}], "]"}]], "Output",
 ImageSize->{142, 21},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->585026939]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/$CoordinatesList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 Cell[BoxData[
  StyleBox[
   ButtonBox["Quaternion",
    BaseStyle->"Link",
    ButtonData->"paclet:Quaternions/ref/Quaternion"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Paravector",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "   \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ToComplexLike",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/ToComplexLike"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["W",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/W"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->257414431]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ComplexLike - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 8.6032422}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis", "status" -> "None", "summary" -> 
    "ComplexLike[x, y] represents a quaternion or a paravector, by its real \
part - x- and the norm of its vector part -y", "synonyms" -> {}, "title" -> 
    "ComplexLike", "type" -> "Symbol", "uri" -> 
    "QuaternionAnalysis/ref/ComplexLike"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6018, 171, 461, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->744350550]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 16924, 586}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[605, 21, 76, 1, 70, "SymbolColorBar"],
Cell[684, 24, 209, 5, 70, "LinkTrail"],
Cell[896, 31, 3588, 80, 70, "AnchorBarGrid",
 CellID->1],
Cell[4487, 113, 54, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4566, 118, 464, 13, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[5055, 135, 580, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->122557325],
Cell[5638, 154, 331, 11, 70, "Notes",
 CellID->59647763]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6018, 171, 461, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->744350550],
Cell[CellGroupData[{
Cell[6504, 188, 148, 5, 70, "ExampleSection",
 CellID->384533094],
Cell[CellGroupData[{
Cell[6677, 197, 126, 3, 70, "Input",
 CellID->58310437],
Cell[6806, 202, 288, 7, 70, "Message",
 CellID->417580075]
}, Open  ]],
Cell[7109, 212, 158, 6, 70, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->339688713],
Cell[CellGroupData[{
Cell[7292, 222, 163, 4, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellID->165240853],
Cell[7458, 228, 334, 8, 70, "Message",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellID->540536373],
Cell[7795, 238, 233, 6, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellID->290789610]
}, Open  ]],
Cell[8043, 247, 310, 11, 51, "Output",
 CellID->60681917],
Cell[CellGroupData[{
Cell[8378, 262, 107, 3, 70, "Input",
 CellID->173017945],
Cell[8488, 267, 310, 11, 45, "Output",
 CellID->453436811]
}, Open  ]],
Cell[CellGroupData[{
Cell[8835, 283, 124, 3, 70, "ExampleDelimiter",
 CellID->26737718],
Cell[8962, 288, 119, 5, 70, "Text",
 CellID->333246196],
Cell[9084, 295, 150, 4, 70, "ExampleText",
 CellID->586795501],
Cell[CellGroupData[{
Cell[9259, 303, 458, 15, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->60278000],
Cell[9720, 320, 271, 8, 36, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->398867212],
Cell[9994, 330, 271, 8, 36, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->305600949]
}, Open  ]],
Cell[CellGroupData[{
Cell[10302, 343, 130, 4, 70, "Input",
 CellID->290832581],
Cell[10435, 349, 236, 8, 36, "Output",
 CellID->328463500]
}, Open  ]],
Cell[CellGroupData[{
Cell[10708, 362, 219, 6, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->21291902],
Cell[10930, 370, 291, 9, 36, "Output",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->246465147]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[11282, 386, 231, 7, 70, "ExampleSection",
 CellID->1305812373],
Cell[11516, 395, 106, 3, 70, "Text",
 CellID->113535611],
Cell[CellGroupData[{
Cell[11647, 402, 180, 5, 70, "Input",
 CellID->130570332],
Cell[11830, 409, 233, 8, 42, "Output",
 CellID->869968525]
}, Open  ]],
Cell[CellGroupData[{
Cell[12100, 422, 209, 6, 70, "Input",
 CellID->35803754],
Cell[12312, 430, 233, 8, 42, "Output",
 CellID->585026939]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[12606, 445, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[13026, 459, 1004, 36, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[14067, 500, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[14489, 514, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[14673, 520, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[14867, 528, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[15289, 542, 170, 4, 70, "MoreAbout",
 CellID->257414431]
}, Open  ]],
Cell[15474, 549, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

