(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14473,        474]
NotebookOptionsPosition[     11343,        373]
NotebookOutlinePosition[     12969,        419]
CellTagsIndexPosition[     12884,        414]
WindowTitle->ComplexToQuaternion - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionToComplexMatrix\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToComplexMatrix"], \
"\<\"QuaternionToComplex\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToComplex"], \
"\<\"QuaternionToMatrixR\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixR"], \
"\<\"QuaternionToMatrixL\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"QuaternionAnalysis/ref/ComplexToQuaternion\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/ComplexToQuaternion"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/ComplexToQuaternion.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/ComplexToQuaternion", ".html"]], 
           None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["ComplexToQuaternion", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[
    "ComplexToQuaternion[x,y]\[LineSeparator]gives the quaternion x+yJ."]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->21649515],

Cell[TextData[{
 "To use ",
 StyleBox["ComplexToQuaternion", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"]", "InlineCode"]
}], "Notes",
 CellID->59647763],

Cell["\<\
Mathematical function suitable for both symbolic and numerical manipulation.\
\>", "Notes",
 CellID->373669702],

Cell[TextData[{
 "Any quaternion ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[LongEqual]", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     RowBox[{"i", " ", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"j", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"k", " ", 
      SubscriptBox["x", "3"]}]}]}], TraditionalForm]], "InlineMath"],
 " can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["x", "0"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}], ")"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["x", "2"], "+", 
         RowBox[{"i", " ", 
          SubscriptBox["x", "3"]}]}], ")"}], " ", "j"}]}], " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["x", "0"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}], ",", 
       RowBox[{
        SubscriptBox["x", "2"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "3"]}]}]}], "}"}]}]}], TraditionalForm]], 
  "InlineMath"],
 "."
}], "Notes",
 CellID->6737319]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->307306636],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->247204101],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ComplexToQuaternion", "[", 
  RowBox[{
   RowBox[{"1", "+", 
    RowBox[{"2", "I"}]}], ",", 
   RowBox[{"3", "+", 
    RowBox[{"4", "I"}]}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->17658436],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}]], "Output",
 ImageSize->{149, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->321761848]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToComplexMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToComplexMatrix"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToComplex",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToComplex"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToMatrixR",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixR"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToMatrixL",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->276739828]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"ComplexToQuaternion - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 11.1863900}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis Package", "status" -> "None", "summary" -> 
    "ComplexToQuaternion[x,y] gives the quaternion x+yJ.", "synonyms" -> {}, 
    "title" -> "ComplexToQuaternion", "type" -> "Symbol", "uri" -> 
    "QuaternionAnalysis/ref/ComplexToQuaternion"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7219, 219, 461, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->307306636]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 12741, 407}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[613, 21, 76, 1, 70, "SymbolColorBar"],
Cell[692, 24, 209, 5, 70, "LinkTrail"],
Cell[904, 31, 3672, 84, 70, "AnchorBarGrid",
 CellID->1],
Cell[4579, 117, 62, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4666, 122, 264, 7, 70, "Usage"],
Cell[CellGroupData[{
Cell[4955, 133, 579, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->21649515],
Cell[5537, 152, 339, 11, 70, "Notes",
 CellID->59647763],
Cell[5879, 165, 121, 3, 70, "Notes",
 CellID->373669702],
Cell[6003, 170, 1167, 43, 70, "Notes",
 CellID->6737319]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7219, 219, 461, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->307306636],
Cell[CellGroupData[{
Cell[7705, 236, 148, 5, 70, "ExampleSection",
 CellID->247204101],
Cell[7856, 243, 126, 3, 70, "Input",
 CellID->58310437],
Cell[CellGroupData[{
Cell[8007, 250, 225, 8, 70, "Input",
 CellID->17658436],
Cell[8235, 260, 238, 7, 36, "Output",
 CellID->321761848]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8534, 274, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[8954, 288, 918, 29, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[9909, 322, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[10331, 336, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[10515, 342, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[10709, 350, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[11131, 364, 170, 4, 70, "MoreAbout",
 CellID->276739828]
}, Open  ]],
Cell[11316, 371, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

