(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     14654,        486]
NotebookOptionsPosition[     11383,        379]
NotebookOutlinePosition[     12959,        425]
CellTagsIndexPosition[     12874,        420]
WindowTitle->DiracL - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"CauchyRiemannL\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/CauchyRiemannL"], "\<\"CauchyRiemannR\"\
\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/CauchyRiemannR"], "\<\"DiracL\"\>":>
       Documentation`HelpLookup["paclet:QuaternionAnalysis/ref/DiracL"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis/ref/DiracL\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/DiracL"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/DiracL.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/DiracL", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["DiracL", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       StyleBox[
        ButtonBox["DiracL",
         BaseStyle->"Link",
         ButtonData->"paclet:QuaternionAnalysis/ref/"], "InlineCode"], "[", 
       "f", "]"}]], "InlineFormula"],
     " \[LineSeparator]applies the Dirac operator from the left to f."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->365146007],

Cell[TextData[{
 "To use ",
 StyleBox["DiracL", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"]", "InlineCode"]
}], "Notes",
 CellID->59647763],

Cell[TextData[{
 "The function accepts as argument objects of the form ",
 Cell[BoxData[
  ButtonBox["Quaternion",
   BaseStyle->"Link",
   ButtonData->"paclet:Quaternions/ref/Quaternion"]], "InlineFormula"],
 "."
}], "Notes",
 CellID->302811416],

Cell[TextData[Cell[BoxData[
 StyleBox[
  RowBox[{
   RowBox[{"DiracL", "[", "f", "]"}], "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{"I", 
      RowBox[{
       SubscriptBox["\[PartialD]", "x1"], 
       RowBox[{"+", "J"}]}], 
      RowBox[{
       SubscriptBox["\[PartialD]", "x2"], "K"}], " ", 
      SubscriptBox["\[PartialD]", "x3"]}], ")"}], 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["f", "0"], "+", 
      RowBox[{"I", " ", 
       SubscriptBox["f", "1"]}], "+", 
      RowBox[{"J", " ", 
       SubscriptBox["f", "2"]}], "+", 
      RowBox[{"K", " ", 
       SubscriptBox["f", "3"]}]}], ")"}]}]}], "MSG"]]]], "Notes",
 CellID->213209854]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->135528590],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->22335131],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[CellGroupData[{

Cell[BoxData["$CoordinatesList"], "Input",
 CellLabel->"In[2]:=",
 CellID->697334425],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"X0", ",", "X1", ",", "X2", ",", "X3"}], "}"}]], "Output",
 ImageSize->{107, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->103930065]
}, Open  ]],

Cell[BoxData[
 RowBox[{"DiracL", "[", 
  RowBox[{"Quaternion", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"X0", "^", "2"}], "-", 
     RowBox[{"X1", "^", "2"}], "-", 
     RowBox[{"X2", "^", "2"}], "-", 
     RowBox[{"X3", "^", "2"}]}], ",", 
    RowBox[{"2", "X0", " ", "X1"}], ",", " ", 
    RowBox[{"2", "X0", " ", "X2"}], ",", 
    RowBox[{"2", "X0", " ", "X3"}]}], "]"}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellLabel->"In[3]:=",
 CellID->165240853],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "6"}], " ", "X0"}], ",", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "X1"}], ",", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "X2"}], ",", 
   RowBox[{
    RowBox[{"-", "2"}], " ", "X3"}]}], "]"}]], "Output",
 ImageSize->{249, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->8396262]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["CauchyRiemannL",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/CauchyRiemannL"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "   \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["CauchyRiemannR",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/CauchyRiemannR"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["DiracL",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/DiracL"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->13975439]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"DiracL - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 13.5635260}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis", "status" -> "None", "summary" -> 
    "DiracL[f] applies the Dirac operator from the left to f.", 
    "synonyms" -> {}, "title" -> "DiracL", "type" -> "Symbol", "uri" -> 
    "QuaternionAnalysis/ref/DiracL"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6773, 205, 461, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->135528590]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 12731, 413}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[600, 21, 76, 1, 70, "SymbolColorBar"],
Cell[679, 24, 209, 5, 70, "LinkTrail"],
Cell[891, 31, 3391, 77, 70, "AnchorBarGrid",
 CellID->1],
Cell[4285, 110, 49, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4359, 115, 521, 16, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[4905, 135, 580, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->365146007],
Cell[5488, 154, 326, 11, 70, "Notes",
 CellID->59647763],
Cell[5817, 167, 246, 8, 70, "Notes",
 CellID->302811416],
Cell[6066, 177, 658, 22, 70, "Notes",
 CellID->213209854]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6773, 205, 461, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->135528590],
Cell[CellGroupData[{
Cell[7259, 222, 147, 5, 70, "ExampleSection",
 CellID->22335131],
Cell[7409, 229, 126, 3, 70, "Input",
 CellID->58310437],
Cell[CellGroupData[{
Cell[7560, 236, 85, 2, 70, "Input",
 CellID->697334425],
Cell[7648, 240, 228, 7, 36, "Output",
 CellID->103930065]
}, Open  ]],
Cell[7891, 250, 490, 14, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellID->165240853],
Cell[8384, 266, 416, 15, 36, "Output",
 CellID->8396262]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[8849, 287, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[9269, 301, 644, 22, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[9950, 328, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[10372, 342, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[10556, 348, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[10750, 356, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[11172, 370, 169, 4, 70, "MoreAbout",
 CellID->13975439]
}, Open  ]],
Cell[11356, 377, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

