(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     25020,        826]
NotebookOptionsPosition[     20817,        687]
NotebookOutlinePosition[     22423,        733]
CellTagsIndexPosition[     22338,        728]
WindowTitle->Pk - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Tks\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/ref/Tks"], "\<\"Ck\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Ck"], "\<\"MonogenicQ\"\>":>
       Documentation`HelpLookup["paclet:QuaternionAnalysis/ref/MonogenicQ"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis/ref/Pk\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/Pk"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/Pk.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/Pk", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["Pk", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell["\<\
Pk[k,n,x]\[LineSeparator]gives the monogenic polynomial of degree k, \
generalizing the complex powers.\
\>"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->346656873],

Cell[TextData[{
 "To use  Pk, you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"].", "InlineCode"]
}], "Notes",
 CellID->226474778],

Cell["\<\
Mathematical function suitable for both symbolic and numerical manipulation.\
\>", "Notes",
 CellID->59647763],

Cell[CellGroupData[{

Cell[" If x is a quaternion (n=3) or a 3D-paravector (n=2), ", "Notes",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->243618145],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{
     SubsuperscriptBox["P", "k", "n"], "(", "x", ")"}], "=", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"s", "=", "0"}], "k"], " ", 
     RowBox[{
      SubsuperscriptBox["T", "s", "k"], " ", 
      SuperscriptBox["x", 
       RowBox[{"k", "-", "s"}]], 
      RowBox[{
       SuperscriptBox[
        OverscriptBox["x", "_"], "s"], "."}]}]}]}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 TextAlignment->Center,
 CellID->368665817]
}, Open  ]],

Cell[CellGroupData[{

Cell["\<\
If x=ComplexLike[a,b]=a+\[Omega]b, Pk can be written in the more convenient \
form  \
\>", "Notes",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellID->111856744],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{
     SubsuperscriptBox["P", "k", "n"], "(", "x", ")"}], "=", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"s", "=", "0"}], "k"], " ", 
     RowBox[{
      RowBox[{"(", GridBox[{
         {"k"},
         {"s"}
        }], ")"}], 
      RowBox[{
       SubscriptBox["c", "s"], "(", "n", ")"}], 
      SuperscriptBox[
       SubscriptBox["x", "0"], 
       RowBox[{"k", "-", "s"}]], 
      SuperscriptBox[
       UnderscriptBox["x", "_"], "s"], " "}]}]}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 TextAlignment->Center,
 CellID->71673152]
}, Open  ]]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->52016139],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(3)", "ExampleCount"]
}], "ExampleSection",
 CellID->172247942],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SetCoordinates", "[", 
  RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"StringJoin", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<Pk[\>\"", ",", 
         RowBox[{"ToString", "[", "k", "]"}], ",", "\"\<,x]=\>\""}], "}"}], 
       "]"}], ",", 
      RowBox[{"Pk", "[", 
       RowBox[{"k", ",", "x"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->83265151],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"SetCoordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({x0, x1, x2, x3}\
\\)\[NoBreak].\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[2]:=",
 CellID->148706503],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Pk[0,x]=\"\>", 
     RowBox[{"Quaternion", "[", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "]"}]},
    {"\<\"Pk[1,x]=\"\>", 
     RowBox[{"Quaternion", "[", 
      RowBox[{"x0", ",", 
       FractionBox["x1", "3"], ",", 
       FractionBox["x2", "3"], ",", 
       FractionBox["x3", "3"]}], "]"}]},
    {"\<\"Pk[2,x]=\"\>", 
     RowBox[{"Quaternion", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x0", "2"], "-", 
        FractionBox[
         SuperscriptBox["x1", "2"], "3"], "-", 
        FractionBox[
         SuperscriptBox["x2", "2"], "3"], "-", 
        FractionBox[
         SuperscriptBox["x3", "2"], "3"]}], ",", 
       FractionBox[
        RowBox[{"2", " ", "x0", " ", "x1"}], "3"], ",", 
       FractionBox[
        RowBox[{"2", " ", "x0", " ", "x2"}], "3"], ",", 
       FractionBox[
        RowBox[{"2", " ", "x0", " ", "x3"}], "3"]}], "]"}]},
    {"\<\"Pk[3,x]=\"\>", 
     RowBox[{"Quaternion", "[", 
      RowBox[{
       RowBox[{"x0", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["x0", "2"], "-", 
          SuperscriptBox["x1", "2"], "-", 
          SuperscriptBox["x2", "2"], "-", 
          SuperscriptBox["x3", "2"]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "5"]}], " ", "x1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "5"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"], "+", 
          SuperscriptBox["x3", "2"]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "5"]}], " ", "x2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "5"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"], "+", 
          SuperscriptBox["x3", "2"]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "5"]}], " ", "x3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "5"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"], "+", 
          SuperscriptBox["x3", "2"]}], ")"}]}]}], "]"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{917, 92},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]//TableForm=",
 CellID->11516238]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->133297599],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetCoordinates", "[", 
   RowBox[{"x0", ",", "x1", ",", "x2"}], "]"}], ";", 
  RowBox[{"x", "=", 
   RowBox[{"Paravector", "[", 
    RowBox[{"x0", ",", "x1", ",", "x2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"StringJoin", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<Pk[\>\"", ",", 
         RowBox[{"ToString", "[", "k", "]"}], ",", "\"\<,x]=\>\""}], "}"}], 
       "]"}], ",", 
      RowBox[{"Pk", "[", 
       RowBox[{"k", ",", "x"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->199877197],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"SetCoordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({x0, x1, x2}\\)\
\[NoBreak].\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[1]:=",
 CellID->1114327],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Pk[0,x]=\"\>", 
     RowBox[{"Paravector", "[", 
      RowBox[{"1", ",", "0", ",", "0"}], "]"}]},
    {"\<\"Pk[1,x]=\"\>", 
     RowBox[{"Paravector", "[", 
      RowBox[{"x0", ",", 
       FractionBox["x1", "2"], ",", 
       FractionBox["x2", "2"]}], "]"}]},
    {"\<\"Pk[2,x]=\"\>", 
     RowBox[{"Paravector", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x0", "2"], "-", 
        FractionBox[
         SuperscriptBox["x1", "2"], "2"], "-", 
        FractionBox[
         SuperscriptBox["x2", "2"], "2"]}], ",", 
       RowBox[{"x0", " ", "x1"}], ",", 
       RowBox[{"x0", " ", "x2"}]}], "]"}]},
    {"\<\"Pk[3,x]=\"\>", 
     RowBox[{"Paravector", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x0", "3"], "-", 
        RowBox[{
         FractionBox["3", "2"], " ", "x0", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["x1", "2"], "+", 
           SuperscriptBox["x2", "2"]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", "8"]}], " ", "x1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", "8"]}], " ", "x2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"]}], ")"}]}]}], "]"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{631, 92},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]//TableForm=",
 CellID->668529419]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->97546604],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TableForm", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"StringJoin", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<Pk[\>\"", ",", 
          RowBox[{"ToString", "[", "k", "]"}], ",", "\"\<,4,x]=\>\""}], "}"}],
         "]"}], ",", 
       RowBox[{"Pk", "[", 
        RowBox[{"k", ",", "4", ",", 
         RowBox[{"ComplexLike", "[", 
          RowBox[{"X0", ",", "R"}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->1012322695],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Pk[0,4,x]=\"\>", 
     RowBox[{"ComplexLike", "[", 
      RowBox[{"1", ",", "0"}], "]"}]},
    {"\<\"Pk[1,4,x]=\"\>", 
     RowBox[{"ComplexLike", "[", 
      RowBox[{"X0", ",", 
       FractionBox["R", "4"]}], "]"}]},
    {"\<\"Pk[2,4,x]=\"\>", 
     RowBox[{"ComplexLike", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          SuperscriptBox["R", "2"], "4"]}], "+", 
        SuperscriptBox["X0", "2"]}], ",", 
       FractionBox[
        RowBox[{"R", " ", "X0"}], "2"]}], "]"}]},
    {"\<\"Pk[3,4,x]=\"\>", 
     RowBox[{"ComplexLike", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["R", "2"], " ", "X0"}], "4"]}], "+", 
        SuperscriptBox["X0", "3"]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "8"]}], " ", "R", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["R", "2"], "-", 
          RowBox[{"6", " ", 
           SuperscriptBox["X0", "2"]}]}], ")"}]}]}], "]"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{377, 97},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]//TableForm=",
 CellID->132554357]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["Tks",
    BaseStyle->"Link",
    ButtonData->"paclet:Quaternions/ref/Tks"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Ck",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/Ck"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["MonogenicQ",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/MonogenicQ"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->302923338]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Pk - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 28.9114038}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis Package", "status" -> "None", "summary" -> 
    "Pk[k,n,x] gives the monogenic polynomial of degree k, generalizing the \
complex powers.", "synonyms" -> {}, "title" -> "Pk", "type" -> "Symbol", 
    "uri" -> "QuaternionAnalysis/ref/Pk"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7352, 230, 460, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->52016139]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 22196, 721}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[596, 21, 76, 1, 70, "SymbolColorBar"],
Cell[675, 24, 209, 5, 70, "LinkTrail"],
Cell[887, 31, 3331, 76, 70, "AnchorBarGrid",
 CellID->1],
Cell[4221, 109, 45, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4291, 114, 304, 9, 70, "Usage"],
Cell[CellGroupData[{
Cell[4620, 127, 580, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->346656873],
Cell[5203, 146, 291, 9, 70, "Notes",
 CellID->226474778],
Cell[5497, 157, 120, 3, 70, "Notes",
 CellID->59647763],
Cell[CellGroupData[{
Cell[5642, 164, 144, 2, 70, "Notes",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->243618145],
Cell[5789, 168, 587, 19, 70, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->368665817]
}, Open  ]],
Cell[CellGroupData[{
Cell[6413, 192, 182, 5, 70, "Notes",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellID->111856744],
Cell[6598, 199, 693, 24, 70, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10001.},
 CellID->71673152]
}, Open  ]]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7352, 230, 460, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->52016139],
Cell[CellGroupData[{
Cell[7837, 247, 148, 5, 70, "ExampleSection",
 CellID->172247942],
Cell[7988, 254, 126, 3, 70, "Input",
 CellID->58310437],
Cell[CellGroupData[{
Cell[8139, 261, 790, 24, 70, "Input",
 CellID->83265151],
Cell[8932, 287, 288, 7, 70, "Message",
 CellID->148706503],
Cell[9223, 296, 2977, 88, 127, "Output",
 CellID->11516238]
}, Open  ]],
Cell[CellGroupData[{
Cell[12237, 389, 125, 3, 70, "ExampleDelimiter",
 CellID->133297599],
Cell[CellGroupData[{
Cell[12387, 396, 750, 23, 70, "Input",
 CellID->199877197],
Cell[13140, 421, 282, 7, 70, "Message",
 CellID->1114327],
Cell[13425, 430, 2270, 69, 127, "Output",
 CellID->668529419]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[15744, 505, 124, 3, 70, "ExampleDelimiter",
 CellID->97546604],
Cell[CellGroupData[{
Cell[15893, 512, 655, 20, 70, "Input",
 CellID->1012322695],
Cell[16551, 534, 1706, 53, 132, "Output",
 CellID->132554357]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[18330, 595, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[18750, 609, 596, 22, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[19383, 636, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[19805, 650, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[19989, 656, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[20183, 664, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[20605, 678, 170, 4, 70, "MoreAbout",
 CellID->302923338]
}, Open  ]],
Cell[20790, 685, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

