(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     15552,        518]
NotebookOptionsPosition[     12150,        407]
NotebookOutlinePosition[     13795,        453]
CellTagsIndexPosition[     13710,        448]
WindowTitle->QuaternionToComplex - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionToComplexMatrix\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToComplexMatrix"], \
"\<\"ComplexToQuaternion\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ComplexToQuaternion"], \
"\<\"QuaternionToMatrixR\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixR"], \
"\<\"QuaternionToMatrixL\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"QuaternionAnalysis/ref/QuaternionToComplex\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/QuaternionToComplex"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/QuaternionToComplex.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/QuaternionToComplex", ".html"]], 
           None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["QuaternionToComplex", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell["\<\
QuaternionToComplex[x]\[LineSeparator]gives a complex representation of the \
quaternion x.\
\>"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->167900898],

Cell[TextData[{
 "To use ",
 StyleBox["QuaternionToComplex", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"]", "InlineCode"]
}], "Notes",
 CellID->59647763],

Cell["\<\
Mathematical function suitable for both symbolic and numerical manipulation.\
\>", "Notes",
 CellID->373669702],

Cell[TextData[{
 "Any quaternion ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[LongEqual]", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     RowBox[{"i", " ", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"j", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"k", " ", 
      SubscriptBox["x", "3"]}]}]}], TraditionalForm]], "InlineMath"],
 " can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", 
    RowBox[{
     RowBox[{
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["x", "0"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}], ")"}], "+", 
      RowBox[{
       RowBox[{"(", 
        RowBox[{
         SubscriptBox["x", "2"], "+", 
         RowBox[{"i", " ", 
          SubscriptBox["x", "3"]}]}], ")"}], " ", "j"}]}], " ", "=", " ", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{
        SubscriptBox["x", "0"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}], ",", 
       RowBox[{
        SubscriptBox["x", "2"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "3"]}]}]}], "}"}]}]}], TraditionalForm]], 
  "InlineMath"],
 "."
}], "Notes",
 CellID->6737319]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->14230549],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount"]
}], "ExampleSection",
 CellID->15520875],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QuaternionToComplex", "[", 
  RowBox[{"Quaternion", "[", 
   RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->17658436],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"3", "+", 
    RowBox[{"4", " ", "\[ImaginaryI]"}]}]}], "}"}]], "Output",
 ImageSize->{103, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]=",
 CellID->122737052]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->22976392],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QuaternionToComplex", "[", 
  RowBox[{"Quaternion", "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "]"}], "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->453463535],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"a", "+", 
    RowBox[{"\[ImaginaryI]", " ", "b"}]}], ",", 
   RowBox[{"c", "+", 
    RowBox[{"\[ImaginaryI]", " ", "d"}]}]}], "}"}]], "Output",
 ImageSize->{103, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]=",
 CellID->877494521]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToComplexMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToComplexMatrix"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ComplexToQuaternion",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/ComplexToQuaternion"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToMatrixR",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixR"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToMatrixL",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->128543674]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"QuaternionToComplex - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 41.3071128}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis Package", "status" -> "None", "summary" -> 
    "QuaternionToComplex[x] gives a complex representation of the quaternion \
x.", "synonyms" -> {}, "title" -> "QuaternionToComplex", "type" -> "Symbol", 
    "uri" -> "QuaternionAnalysis/ref/QuaternionToComplex"}, "LinkTrails" -> 
  "", "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7248, 221, 460, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->14230549]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 13568, 441}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[613, 21, 76, 1, 70, "SymbolColorBar"],
Cell[692, 24, 209, 5, 70, "LinkTrail"],
Cell[904, 31, 3672, 84, 70, "AnchorBarGrid",
 CellID->1],
Cell[4579, 117, 62, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4666, 122, 292, 9, 70, "Usage"],
Cell[CellGroupData[{
Cell[4983, 135, 580, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->167900898],
Cell[5566, 154, 339, 11, 70, "Notes",
 CellID->59647763],
Cell[5908, 167, 121, 3, 70, "Notes",
 CellID->373669702],
Cell[6032, 172, 1167, 43, 70, "Notes",
 CellID->6737319]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7248, 221, 460, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->14230549],
Cell[CellGroupData[{
Cell[7733, 238, 147, 5, 70, "ExampleSection",
 CellID->15520875],
Cell[7883, 245, 126, 3, 70, "Input",
 CellID->58310437],
Cell[CellGroupData[{
Cell[8034, 252, 195, 5, 70, "Input",
 CellID->17658436],
Cell[8232, 259, 326, 11, 36, "Output",
 CellID->122737052]
}, Open  ]],
Cell[CellGroupData[{
Cell[8595, 275, 124, 3, 70, "ExampleDelimiter",
 CellID->22976392],
Cell[CellGroupData[{
Cell[8744, 282, 196, 5, 70, "Input",
 CellID->453463535],
Cell[8943, 289, 326, 11, 36, "Output",
 CellID->877494521]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9342, 308, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[9762, 322, 917, 29, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[10716, 356, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[11138, 370, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[11322, 376, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[11516, 384, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[11938, 398, 170, 4, 70, "MoreAbout",
 CellID->128543674]
}, Open  ]],
Cell[12123, 405, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

