(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     20696,        687]
NotebookOptionsPosition[     16883,        561]
NotebookOutlinePosition[     18565,        608]
CellTagsIndexPosition[     18480,        603]
WindowTitle->QuaternionToComplexMatrix - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionToComplex\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToComplex"], \
"\<\"ComplexToQuaternion\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ComplexToQuaternion"], \
"\<\"QuaternionToMatrixR\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixR"], \
"\<\"QuaternionToMatrixL\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"QuaternionAnalysis/ref/QuaternionToComplexMatrix\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/QuaternionToComplexMatrix"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/QuaternionToComplexMatrix.html"], StandardForm]], "Input", 
              TextClipboardType -> "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/QuaternionToComplexMatrix", ".html"]], 
           None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["QuaternionToComplexMatrix", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell["\<\
QuaternionToComplexMatrix[x]\[LineSeparator]gives a complex representation \
matrix of the quaternion x.\
\>"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->12878274],

Cell[TextData[{
 "To use ",
 StyleBox["QuaternionToComplexMatrix", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"]", "InlineCode"]
}], "Notes",
 CellID->59647763],

Cell["\<\
Mathematical function suitable for both symbolic and numerical manipulation.\
\>", "Notes",
 CellID->373669702],

Cell[TextData[{
 "Any quaternion ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[LongEqual]", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     RowBox[{"i", " ", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"j", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"k", " ", 
      SubscriptBox["x", "3"]}]}]}], TraditionalForm]], "InlineMath"],
 " can be written as ",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {
       RowBox[{
        SubscriptBox["x", "0"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}], 
       RowBox[{
        SubscriptBox["x", "2"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "3"]}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SubscriptBox["x", "2"]}], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "3"]}]}], 
       RowBox[{
        SubscriptBox["x", "0"], "-", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
   TraditionalForm]], "InlineMath"],
 "."
}], "Notes",
 CellID->6737319]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->275499006],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount"]
}], "ExampleSection",
 CellID->68130036],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], ";"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->297259569],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"QuaternionToComplexMatrix", "[", "x", "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->17658436],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "3"}], "+", 
       RowBox[{"4", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{114, 29},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]//MatrixForm=",
 CellID->329810757]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"QuaternionToComplexMatrix", "[", "x", "]"}], ".", 
   RowBox[{"QuaternionToComplexMatrix", "[", "y", "]"}]}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[4]:=",
 CellID->417982118],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "12"}], "+", 
       RowBox[{"6", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"24", "+", 
       RowBox[{"12", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "24"}], "+", 
       RowBox[{"12", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "12"}], "-", 
       RowBox[{"6", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{143, 29},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]//MatrixForm=",
 CellID->596949811]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"QuaternionToComplexMatrix", "[", 
   RowBox[{"x", "**", "y"}], "]"}], "//", "MatrixForm"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->118938293],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "12"}], "+", 
       RowBox[{"6", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"24", "+", 
       RowBox[{"12", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "24"}], "+", 
       RowBox[{"12", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "12"}], "-", 
       RowBox[{"6", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{143, 29},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]//MatrixForm=",
 CellID->887119370]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->197632093],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"QuaternionToComplexMatrix", "[", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], "]"}], "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->171797314],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"x0", "+", 
       RowBox[{"\[ImaginaryI]", " ", "x1"}]}], 
      RowBox[{"x2", "+", 
       RowBox[{"\[ImaginaryI]", " ", "x3"}]}]},
     {
      RowBox[{
       RowBox[{"-", "x2"}], "+", 
       RowBox[{"\[ImaginaryI]", " ", "x3"}]}], 
      RowBox[{"x0", "-", 
       RowBox[{"\[ImaginaryI]", " ", "x1"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{142, 29},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[1]//MatrixForm=",
 CellID->161378102]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToComplex",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToComplex"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ComplexToQuaternion",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/ComplexToQuaternion"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToMatrixR",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixR"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToMatrixL",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->148677038]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"QuaternionToComplexMatrix - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 38.6839628}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis Package", "status" -> "None", "summary" -> 
    "QuaternionToComplexMatrix[x] gives a complex representation matrix of \
the quaternion x.", "synonyms" -> {}, "title" -> "QuaternionToComplexMatrix", 
    "type" -> "Symbol", "uri" -> 
    "QuaternionAnalysis/ref/QuaternionToComplexMatrix"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7600, 228, 461, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->275499006]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 18337, 596}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[619, 21, 76, 1, 70, "SymbolColorBar"],
Cell[698, 24, 209, 5, 70, "LinkTrail"],
Cell[910, 31, 3683, 84, 70, "AnchorBarGrid",
 CellID->1],
Cell[4596, 117, 68, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4689, 122, 305, 9, 70, "Usage"],
Cell[CellGroupData[{
Cell[5019, 135, 579, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->12878274],
Cell[5601, 154, 345, 11, 70, "Notes",
 CellID->59647763],
Cell[5949, 167, 121, 3, 70, "Notes",
 CellID->373669702],
Cell[6073, 172, 1478, 50, 70, "Notes",
 CellID->6737319]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7600, 228, 461, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->275499006],
Cell[CellGroupData[{
Cell[8086, 245, 147, 5, 70, "ExampleSection",
 CellID->68130036],
Cell[8236, 252, 126, 3, 70, "Input",
 CellID->58310437],
Cell[8365, 257, 349, 11, 70, "Input",
 CellID->297259569],
Cell[CellGroupData[{
Cell[8739, 272, 156, 5, 70, "Input",
 CellID->17658436],
Cell[8898, 279, 1019, 31, 64, "Output",
 CellID->329810757]
}, Open  ]],
Cell[CellGroupData[{
Cell[9954, 315, 234, 7, 70, "Input",
 CellID->417982118],
Cell[10191, 324, 1071, 33, 64, "Output",
 CellID->596949811]
}, Open  ]],
Cell[CellGroupData[{
Cell[11299, 362, 179, 5, 70, "Input",
 CellID->118938293],
Cell[11481, 369, 1071, 33, 64, "Output",
 CellID->887119370]
}, Open  ]],
Cell[CellGroupData[{
Cell[12589, 407, 125, 3, 70, "ExampleDelimiter",
 CellID->197632093],
Cell[CellGroupData[{
Cell[12739, 414, 244, 7, 70, "Input",
 CellID->171797314],
Cell[12986, 423, 1027, 31, 64, "Output",
 CellID->161378102]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14086, 462, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[14506, 476, 906, 29, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[15449, 510, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[15871, 524, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[16055, 530, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[16249, 538, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[16671, 552, 170, 4, 70, "MoreAbout",
 CellID->148677038]
}, Open  ]],
Cell[16856, 559, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

