(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     21809,        750]
NotebookOptionsPosition[     17606,        609]
NotebookOutlinePosition[     19260,        655]
CellTagsIndexPosition[     19175,        650]
WindowTitle->QuaternionToMatrixR - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionToMatrixL\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"], \
"\<\"QuaternionToComplexMatrix\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToComplexMatrix"], \
"\<\"ComplexToQuaternion\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ComplexToQuaternion"], \
"\<\"QuaternionToComplex\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToComplex"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"QuaternionAnalysis/ref/QuaternionToMatrixR\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/QuaternionToMatrixR"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/QuaternionToMatrixR.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/QuaternionToMatrixR", ".html"]], 
           None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["QuaternionToMatrixR", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell["\<\
QuaternionToMatrixL[x]\[LineSeparator]gives a real left representation matrix \
of the quaternion x.\
\>"]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->248862370],

Cell[TextData[{
 "To use ",
 StyleBox["QuaternionToMatrixR", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"]", "InlineCode"]
}], "Notes",
 CellID->59647763],

Cell["\<\
Mathematical function suitable for both symbolic and numerical manipulation.\
\>", "Notes",
 CellID->373669702],

Cell[TextData[{
 "The right representation of the quaternion ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[LongEqual]", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     RowBox[{"i", " ", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"j", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"k", " ", 
      SubscriptBox["x", "3"]}]}]}], TraditionalForm]], "InlineMath"],
 "  is"
}], "Notes",
 CellID->535998499],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["R", "x"], "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {
       SubscriptBox["x", "0"], 
       RowBox[{"-", 
        SubscriptBox["x", "1"]}], 
       RowBox[{"-", 
        SubscriptBox["x", "2"]}], 
       RowBox[{"-", 
        SubscriptBox["x", "3"]}]},
      {
       SubscriptBox["x", "1"], 
       SubscriptBox["x", "0"], 
       SubscriptBox["x", "3"], 
       RowBox[{"-", 
        SubscriptBox["x", "2"]}]},
      {
       SubscriptBox["x", "2"], 
       RowBox[{"-", 
        SubscriptBox["x", "3"]}], 
       SubscriptBox["x", "0"], 
       SubscriptBox["x", "1"]},
      {
       SubscriptBox["x", "3"], 
       SubscriptBox["x", "2"], 
       RowBox[{"-", 
        SubscriptBox["x", "1"]}], 
       SubscriptBox["x", "0"]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->588748268]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->15681566],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(2)", "ExampleCount"]
}], "ExampleSection",
 CellID->152595713],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], ";"}]}], "Input",
 CellLabel->"In[2]:=",
 CellID->297259569],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"Rx", "=", 
    RowBox[{"QuaternionToMatrixR", "[", "x", "]"}]}], ")"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[3]:=",
 CellID->302823888],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", 
      RowBox[{"-", "2"}], 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "4"}]},
     {"2", "1", "4", 
      RowBox[{"-", "3"}]},
     {"3", 
      RowBox[{"-", "4"}], "1", "2"},
     {"4", "3", 
      RowBox[{"-", "2"}], "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{100, 57},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]//MatrixForm=",
 CellID->53723397]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Quaternion", "@@", 
  RowBox[{"(", 
   RowBox[{"Rx", " ", ".", 
    RowBox[{"List", "@@", "y"}]}], ")"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->17724964],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{"-", "12"}], ",", "16", ",", "4", ",", "22"}], "]"}]], "Output",
 ImageSize->{178, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->330165695]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"y", "**", "x"}]], "Input",
 CellLabel->"In[5]:=",
 CellID->495934677],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{"-", "12"}], ",", "16", ",", "4", ",", "22"}], "]"}]], "Output",
 ImageSize->{178, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->227762296]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 InterpretationBox[Cell["\t", "ExampleDelimiter"],
  $Line = 0; Null]], "ExampleDelimiter",
 CellID->334188613],

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"y0", ",", "y1", ",", "y2", ",", "y3"}], "]"}]}], ";"}]}], "Input",
 CellLabel->"In[1]:=",
 CellID->14601290],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{"Rx", "=", 
    RowBox[{"QuaternionToMatrixR", "[", "x", "]"}]}], ")"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->90545626],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"x0", 
      RowBox[{"-", "x1"}], 
      RowBox[{"-", "x2"}], 
      RowBox[{"-", "x3"}]},
     {"x1", "x0", "x3", 
      RowBox[{"-", "x2"}]},
     {"x2", 
      RowBox[{"-", "x3"}], "x0", "x1"},
     {"x3", "x2", 
      RowBox[{"-", "x1"}], "x0"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{128, 57},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]//MatrixForm=",
 CellID->616151665]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Rx", " ", ".", 
  RowBox[{"List", "@@", "y"}]}]], "Input",
 CellLabel->"In[3]:=",
 CellID->319811606],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"x0", " ", "y0"}], "-", 
    RowBox[{"x1", " ", "y1"}], "-", 
    RowBox[{"x2", " ", "y2"}], "-", 
    RowBox[{"x3", " ", "y3"}]}], ",", 
   RowBox[{
    RowBox[{"x1", " ", "y0"}], "+", 
    RowBox[{"x0", " ", "y1"}], "+", 
    RowBox[{"x3", " ", "y2"}], "-", 
    RowBox[{"x2", " ", "y3"}]}], ",", 
   RowBox[{
    RowBox[{"x2", " ", "y0"}], "-", 
    RowBox[{"x3", " ", "y1"}], "+", 
    RowBox[{"x0", " ", "y2"}], "+", 
    RowBox[{"x1", " ", "y3"}]}], ",", 
   RowBox[{
    RowBox[{"x3", " ", "y0"}], "+", 
    RowBox[{"x2", " ", "y1"}], "-", 
    RowBox[{"x1", " ", "y2"}], "+", 
    RowBox[{"x0", " ", "y3"}]}]}], "}"}]], "Output",
 ImageSize->{356, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->411191843]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"List", "@@", 
  RowBox[{"(", 
   RowBox[{"y", "**", "x"}], ")"}]}]], "Input",
 CellLabel->"In[4]:=",
 CellID->802950076],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{
    RowBox[{"x0", " ", "y0"}], "-", 
    RowBox[{"x1", " ", "y1"}], "-", 
    RowBox[{"x2", " ", "y2"}], "-", 
    RowBox[{"x3", " ", "y3"}]}], ",", 
   RowBox[{
    RowBox[{"x1", " ", "y0"}], "+", 
    RowBox[{"x0", " ", "y1"}], "+", 
    RowBox[{"x3", " ", "y2"}], "-", 
    RowBox[{"x2", " ", "y3"}]}], ",", 
   RowBox[{
    RowBox[{"x2", " ", "y0"}], "-", 
    RowBox[{"x3", " ", "y1"}], "+", 
    RowBox[{"x0", " ", "y2"}], "+", 
    RowBox[{"x1", " ", "y3"}]}], ",", 
   RowBox[{
    RowBox[{"x3", " ", "y0"}], "+", 
    RowBox[{"x2", " ", "y1"}], "-", 
    RowBox[{"x1", " ", "y2"}], "+", 
    RowBox[{"x0", " ", "y3"}]}]}], "}"}]], "Output",
 ImageSize->{356, 33},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->263871362]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToMatrixL",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToComplexMatrix",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToComplexMatrix"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ComplexToQuaternion",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/ComplexToQuaternion"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["QuaternionToComplex",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToComplex"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->477751628]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"QuaternionToMatrixR - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 46.5734140}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis Package", "status" -> "None", "summary" -> 
    "QuaternionToMatrixL[x] gives a real left representation matrix of the \
quaternion x.", "synonyms" -> {}, "title" -> "QuaternionToMatrixR", "type" -> 
    "Symbol", "uri" -> "QuaternionAnalysis/ref/QuaternionToMatrixR"}, 
  "LinkTrails" -> "", "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7860, 239, 460, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->15681566]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 19033, 643}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[613, 21, 76, 1, 70, "SymbolColorBar"],
Cell[692, 24, 209, 5, 70, "LinkTrail"],
Cell[904, 31, 3672, 84, 70, "AnchorBarGrid",
 CellID->1],
Cell[4579, 117, 62, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4666, 122, 301, 9, 70, "Usage"],
Cell[CellGroupData[{
Cell[4992, 135, 580, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->248862370],
Cell[5575, 154, 339, 11, 70, "Notes",
 CellID->59647763],
Cell[5917, 167, 121, 3, 70, "Notes",
 CellID->373669702],
Cell[6041, 172, 429, 15, 70, "Notes",
 CellID->535998499],
Cell[6473, 189, 1338, 44, 70, "Text",
 CellID->588748268]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7860, 239, 460, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->15681566],
Cell[CellGroupData[{
Cell[8345, 256, 148, 5, 70, "ExampleSection",
 CellID->152595713],
Cell[8496, 263, 126, 3, 70, "Input",
 CellID->58310437],
Cell[8625, 268, 349, 11, 70, "Input",
 CellID->297259569],
Cell[CellGroupData[{
Cell[8999, 283, 201, 7, 70, "Input",
 CellID->302823888],
Cell[9203, 292, 933, 30, 92, "Output",
 CellID->53723397]
}, Open  ]],
Cell[CellGroupData[{
Cell[10173, 327, 183, 6, 70, "Input",
 CellID->17724964],
Cell[10359, 335, 260, 8, 36, "Output",
 CellID->330165695]
}, Open  ]],
Cell[CellGroupData[{
Cell[10656, 348, 93, 3, 70, "Input",
 CellID->495934677],
Cell[10752, 353, 260, 8, 36, "Output",
 CellID->227762296]
}, Open  ]],
Cell[CellGroupData[{
Cell[11049, 366, 125, 3, 70, "ExampleDelimiter",
 CellID->334188613],
Cell[11177, 371, 356, 11, 70, "Input",
 CellID->14601290],
Cell[CellGroupData[{
Cell[11558, 386, 200, 7, 70, "Input",
 CellID->90545626],
Cell[11761, 395, 950, 30, 92, "Output",
 CellID->616151665]
}, Open  ]],
Cell[CellGroupData[{
Cell[12748, 430, 125, 4, 70, "Input",
 CellID->319811606],
Cell[12876, 436, 832, 27, 54, "Output",
 CellID->411191843]
}, Open  ]],
Cell[CellGroupData[{
Cell[13745, 468, 144, 5, 70, "Input",
 CellID->802950076],
Cell[13892, 475, 832, 27, 54, "Output",
 CellID->263871362]
}, Open  ]]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[14797, 510, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[15217, 524, 918, 29, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[16172, 558, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[16594, 572, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[16778, 578, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[16972, 586, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[17394, 600, 170, 4, 70, "MoreAbout",
 CellID->477751628]
}, Open  ]],
Cell[17579, 607, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

