(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      9712,        286]
NotebookOptionsPosition[      7569,        226]
NotebookOutlinePosition[      9176,        267]
CellTagsIndexPosition[      9133,        264]
WindowTitle->SetCoordinates - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"$CoordinatesList\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/$CoordinatesList"], "\<\"$Dim\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/$Dim"], "\<\"MonogenicQ\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/MonogenicQ"], "\<\"Paravector\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Paravector"], "\<\"ComplexLike\"\>":>
       Documentation`HelpLookup["paclet:QuaternionAnalysis/ref/ComplexLike"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"QuaternionAnalysis/ref/SetCoordinates\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/SetCoordinates"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/SetCoordinates.html"], StandardForm]], "Input", TextClipboardType -> 
              "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/SetCoordinates", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["SetCoordinates", "ObjectName",
 CellID->1224892054],

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"SetCoordinates", "[", 
       ButtonBox["CoordinatesSequence",
        BaseStyle->"Link",
        ButtonData->"paclet:ref/CoordinatesSequence"], "]"}]], 
      "InlineFormula"],
     "\[LineSeparator]sets the default coordinates to be CoordinatesSequence. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"SetCoordinates", "[", 
       RowBox[{
        StyleBox["a", "TI"], ",", 
        StyleBox["b", "TI"], ",", 
        StyleBox["c", "TI"]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]sets the default coordinates to be a, b and c. "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"SetCoordinates", "[", "5", "]"}]], "InlineFormula"],
     "\[LineSeparator]sets the default coordinates to be X0, X1, X2, X3 and \
X4."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, 
   "Rows" -> {None, None, {None}}, "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["$CoordinatesList",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/$CoordinatesList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["$Dim",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/$Dim"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["MonogenicQ",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/MonogenicQ"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Paravector",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet]",
 Cell[BoxData[
  RowBox[{" ", 
   StyleBox[
    ButtonBox["ComplexLike",
     BaseStyle->"Link",
     ButtonData->"paclet:QuaternionAnalysis/ref/ComplexLike"],
    FontFamily->"Verdana"]}]], "InlineFormula"]
}], "SeeAlso",
 CellID->929782353]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"SetCoordinates - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 51.6617051}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis Package", "status" -> "None", "summary" -> 
    "SetCoordinates[CoordinatesSequence] sets the default coordinates to be \
CoordinatesSequence. SetCoordinates[a, b, c] sets the default coordinates to \
be a, b and c. SetCoordinates[5] sets the default coordinates to be X0, X1, \
X2, X3 and X4.", "synonyms" -> {}, "title" -> "SetCoordinates", "type" -> 
    "Symbol", "uri" -> "QuaternionAnalysis/ref/SetCoordinates"}, "LinkTrails" -> 
  "", "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[608, 21, 76, 1, 70, "SymbolColorBar"],
Cell[687, 24, 209, 5, 70, "LinkTrail"],
Cell[899, 31, 3242, 73, 70, "AnchorBarGrid",
 CellID->1],
Cell[4144, 106, 57, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[4204, 109, 1021, 29, 70, "Usage"],
Cell[CellGroupData[{
Cell[5250, 142, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[5670, 156, 1057, 37, 70, "SeeAlso",
 CellID->929782353]
}, Open  ]],
Cell[CellGroupData[{
Cell[6764, 198, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[7186, 212, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[7370, 218, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[7542, 224, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

