(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     18980,        570]
NotebookOptionsPosition[     15788,        467]
NotebookOutlinePosition[     17413,        513]
CellTagsIndexPosition[     17328,        508]
WindowTitle->Tks - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACKAGE PACLET SYMBOL", "PacletNameCell"], Cell[
    TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Pk\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/ref/Pk"], "\<\"Ck\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Ck"], "\<\"Pochhammer\"\>":>
       Documentation`HelpLookup["paclet:ref/Pochhammer"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis/ref/Tks\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/Tks"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/Tks.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/Tks", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["Tks", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Tks", "[", 
       RowBox[{
        StyleBox["k", "TI"], ",", 
        StyleBox["s", "TI"], ",", 
        StyleBox["n", "TI"]}], "]"}]], "InlineFormula"],
     "\[LineSeparator]gives the (k,s) element of a triangle associated with ",
     Cell[BoxData[
      ButtonBox["Pk",
       BaseStyle->"Link",
       ButtonData->"paclet:QuaternionAnalysis/ref/Pk"]], "InlineFormula"],
     ". "
    }]]},
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{"Tks", "[", 
       RowBox[{
        StyleBox["k", "TI"], ",", 
        StyleBox["s", "TI"]}], "]"}]], "InlineFormula"],
     " = ",
     Cell[BoxData[
      RowBox[{"Tks", "[", 
       RowBox[{
        StyleBox["k", "TI"], ",", 
        StyleBox["s", "TI"], ",", 
        RowBox[{
         ButtonBox["$Dim",
          BaseStyle->"Link",
          ButtonData->"paclet:QuaternionAnalysis/ref/$Dim"], "-", "1"}]}], 
       "]"}]], "InlineFormula"],
     "."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {None, {None}}, 
   "RowsIndexed" -> {}}}],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->29521597],

Cell[TextData[{
 "To use  T",
 StyleBox["ks", "InlineCode"],
 ", you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"].", "InlineCode"]
}], "Notes",
 CellID->1067943069],

Cell["\<\
Mathematical function suitable for both symbolic and numerical manipulation.\
\>", "Notes",
 CellID->59647763],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["T", "s", "k"], TraditionalForm]], "InlineMath"],
 " are the numbers"
}], "Notes",
 CellID->447293768],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubsuperscriptBox["T", "s", "k"], "=", 
   RowBox[{
    FractionBox[
     RowBox[{"k", "!"}], 
     SubscriptBox[
      RowBox[{"(", "n", ")"}], "k"]], " ", 
    FractionBox[
     RowBox[{
      SubscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"n", "+", "1"}], "2"], ")"}], 
       RowBox[{"k", "-", "s"}]], 
      SubscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"n", "-", "1"}], "2"], ")"}], "s"]}], 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "-", "s"}], ")"}], "!"}], 
      RowBox[{"s", "!"}]}]]}]}], TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->88608920]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->6168168],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->67335266],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TableForm", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"TableForm", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Tks", "[", 
          RowBox[{"k", ",", "s", ",", "m"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", "4"}], " ", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "0", ",", "k"}], " ", "}"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "3", ",", "5"}], "}"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"TableDirections", "->", " ", "Row"}], ",", 
    RowBox[{"TableHeadings", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
       "\"\< Tks(2)\>\"", ",", "\"\< Tks(3)\>\"", ",", "\"\< Tks(5)\>\""}], 
       " ", "}"}], "}"}]}]}], "]"}], "\n"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->486423859],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzt3VGO67YZxfFBk4duIg/Zht/SJSQrSID6tUAaIMjTRXcwq/FmvBhVsmWZ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    "], {{0, 129}, {541, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{541, 129},
  PlotRange->{{0, 541}, {0, 129}}]], "Output",
 ImageSize->{545, 129},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[2]//TableForm=",
 CellID->51913819]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 Cell[BoxData[
  StyleBox[
   ButtonBox["Pk",
    BaseStyle->"Link",
    ButtonData->"paclet:Quaternions/ref/Pk"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Ck",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/Ck"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Pochhammer",
    BaseStyle->"Link",
    ButtonData->"paclet:ref/Pochhammer"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->38816396]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"Tks - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 10, 56.7309950}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Package Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis Package", "status" -> "None", "summary" -> 
    "Tks[k, s, n] gives the (k,s) element of a triangle associated with Pk. \
Tks[k, s] = Tks[k, s, $Dim - 1].", "synonyms" -> {}, "title" -> "Tks", "type" -> 
    "Symbol", "uri" -> "QuaternionAnalysis/ref/Tks"}, "LinkTrails" -> "", 
  "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[7429, 233, 459, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->6168168]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 17187, 501}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[597, 21, 76, 1, 70, "SymbolColorBar"],
Cell[676, 24, 209, 5, 70, "LinkTrail"],
Cell[888, 31, 3314, 76, 70, "AnchorBarGrid",
 CellID->1],
Cell[4205, 109, 46, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4276, 114, 1157, 38, 70, "Usage"],
Cell[CellGroupData[{
Cell[5458, 156, 579, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->29521597],
Cell[6040, 175, 327, 11, 70, "Notes",
 CellID->1067943069],
Cell[6370, 188, 120, 3, 70, "Notes",
 CellID->59647763],
Cell[6493, 193, 165, 6, 70, "Notes",
 CellID->447293768],
Cell[6661, 201, 719, 26, 70, "Text",
 CellID->88608920]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[7429, 233, 459, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->6168168],
Cell[CellGroupData[{
Cell[7913, 250, 147, 5, 70, "ExampleSection",
 CellID->67335266],
Cell[8063, 257, 126, 3, 70, "Input",
 CellID->58310437],
Cell[CellGroupData[{
Cell[8214, 264, 932, 27, 65, "Input",
 CellID->486423859],
Cell[9149, 293, 4113, 75, 160, "Output",
 CellID->51913819]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[13323, 375, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[13743, 389, 575, 22, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[14355, 416, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[14777, 430, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[14961, 436, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[15155, 444, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[15577, 458, 169, 4, 70, "MoreAbout",
 CellID->38816396]
}, Open  ]],
Cell[15761, 465, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

