(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     16389,        551]
NotebookOptionsPosition[     12880,        436]
NotebookOutlinePosition[     14429,        481]
CellTagsIndexPosition[     14344,        476]
WindowTitle->W - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "SymbolColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNIONANALYSIS PACLET SYMBOL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternion Analysis Package\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"], \
"\<\"Quaternions Package\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"See Also \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/$CoordinatesList"], \
"\<\"Quaternion\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/ref/Quaternion"], "\<\"Paravector\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Paravector"], "\<\"ComplexLike\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ComplexLike"], "\<\"ToComplexLike\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ToComplexLike"], "\<\"AbsVec\"\>":>
       Documentation`HelpLookup["paclet:QuaternionAnalysis/ref/AbsVec"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"More About \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"QuaternionAnalysis/ref/W\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/ref/W"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
ref/W.html"], StandardForm]], "Input", TextClipboardType -> "PlainText"]}, 
            Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/ref/W", ".html"]], None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell["W", "ObjectName",
 CellID->1224892054],

Cell[CellGroupData[{

Cell[BoxData[GridBox[{
   {"", Cell[TextData[{
     Cell[BoxData[
      RowBox[{
       StyleBox[
        ButtonBox["W",
         BaseStyle->"Link",
         ButtonData->"paclet:QuaternionAnalysis/ref/"], "InlineCode"], "[", 
       StyleBox["expr", "TI",
        FontFamily->"Times New Roman",
        FontSize->12], "]"}]], "InlineFormula"],
     " ",
     "\[LineSeparator]gives the sign of the vector part of ",
     StyleBox["expr", "TI",
      FontFamily->"Times New Roman",
      FontSize->12],
     "."
    }]]}
  }]], "Usage",
 GridBoxOptions->{
 GridBoxBackground->{
  "Columns" -> {{None}}, "ColumnsIndexed" -> {}, "Rows" -> {{None}}, 
   "RowsIndexed" -> {}}},
 CellID->982511436],

Cell[CellGroupData[{

Cell[TextData[Cell[BoxData[
 ButtonBox[
  FrameBox[
   StyleBox[
    RowBox[{"MORE", " ", "INFORMATION"}], "NotesFrameText"],
   StripOnInput->False],
  Appearance->{Automatic, None},
  BaseStyle->None,
  ButtonFunction:>(FrontEndExecute[{
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], All, ButtonCell], 
     FrontEndToken["OpenCloseGroup"], 
     FrontEnd`SelectionMove[
      FrontEnd`SelectedNotebook[], After, CellContents]}]& ),
  Evaluator->None,
  Method->"Preemptive"]]]], "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->304600004],

Cell[TextData[{
 "To use W, you first need to load the ",
 StyleBox["Quaternion Analysis Package", "InlineCode"],
 " using ",
 ButtonBox["Needs[\"",
  BaseStyle->"Link",
  ButtonData->"paclet:/ref/Needs"],
 StyleBox["QuaternionAnalysis`\"]", "InlineCode"]
}], "Notes",
 CellID->59647763],

Cell["\<\
Mathematical function suitable for both symbolic and numerical manipulation.\
\>", "Notes",
 CellID->157604007],

Cell[TextData[{
 "The function accepts as arguments objects of the form ",
 Cell[BoxData[
  ButtonBox["Quaternion",
   BaseStyle->"Link",
   ButtonData->"paclet:Quaternions/ref/Quaternion"]], "InlineFormula"],
 " and ",
 Cell[BoxData[
  ButtonBox["Paravector",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"]], "InlineFormula"],
 "."
}], "Notes",
 CellID->302811416]
}, Closed]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["EXAMPLES",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->507544849],

Cell[CellGroupData[{

Cell[TextData[{
 "Basic Examples",
 "\[NonBreakingSpace]\[NonBreakingSpace]",
 Cell["(1)", "ExampleCount"]
}], "ExampleSection",
 CellID->12548897],

Cell[BoxData[
 RowBox[{"Needs", "[", "\"\<QuaternionAnalysis`\>\"", "]"}]], "Input",
 CellLabel->"In[1]:=",
 CellID->58310437],

Cell[TextData[{
 " ",
 StyleBox["Quaternions", "InlineCode"],
 " or ",
 StyleBox["Paravector", "InlineCode"],
 "  objects:"
}], "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->339688713],

Cell[BoxData[
 RowBox[{"W", "[", 
  RowBox[{"Quaternion", "[", 
   RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "]"}], "]"}]], "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellLabel->"In[2]:=",
 CellID->165240853],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{"0", ",", 
   FractionBox["b", 
    SqrtBox[
     RowBox[{
      SuperscriptBox["b", "2"], "+", 
      SuperscriptBox["c", "2"], "+", 
      SuperscriptBox["d", "2"]}]]], ",", 
   FractionBox["c", 
    SqrtBox[
     RowBox[{
      SuperscriptBox["b", "2"], "+", 
      SuperscriptBox["c", "2"], "+", 
      SuperscriptBox["d", "2"]}]]], ",", 
   FractionBox["d", 
    SqrtBox[
     RowBox[{
      SuperscriptBox["b", "2"], "+", 
      SuperscriptBox["c", "2"], "+", 
      SuperscriptBox["d", "2"]}]]]}], "]"}]], "Output",
 ImageSize->{384, 43},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[3]=",
 CellID->112612808],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Paravector", "[", 
    RowBox[{"1", ",", "4", ",", "3"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"W", "[", "x", "]"}]}], "Input",
 CellLabel->"In[4]:=",
 CellID->296623891],

Cell[BoxData[
 RowBox[{"Paravector", "[", 
  RowBox[{"0", ",", 
   FractionBox["4", "5"], ",", 
   FractionBox["3", "5"]}], "]"}]], "Output",
 ImageSize->{140, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[4]=",
 CellID->632463122]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Re", "[", "x", "]"}], "+", 
  RowBox[{
   RowBox[{"W", "[", "x", "]"}], 
   RowBox[{"AbsVec", "[", "x", "]"}]}]}]], "Input",
 CellLabel->"In[5]:=",
 CellID->145100637],

Cell[BoxData[
 RowBox[{"Paravector", "[", 
  RowBox[{"1", ",", "4", ",", "3"}], "]"}]], "Output",
 ImageSize->{131, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[5]=",
 CellID->508349999]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["SEE ALSO",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "SeeAlsoSection",
 CellID->1255426704],

Cell[TextData[{
 " ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/$CoordinatesList"],
   FontFamily->"Verdana"]], "InlineFormula"],
 Cell[BoxData[
  StyleBox[
   ButtonBox["Quaternion",
    BaseStyle->"Link",
    ButtonData->"paclet:Quaternions/ref/Quaternion"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["Paravector",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "   \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ComplexLike",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/ComplexLike"],
   FontFamily->"Verdana"]], "InlineFormula"],
 "  \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["ToComplexLike",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/ToComplexLike"],
   FontFamily->"Verdana"]], "InlineFormula"],
 " \[Bullet] ",
 Cell[BoxData[
  StyleBox[
   ButtonBox["AbsVec",
    BaseStyle->"Link",
    ButtonData->"paclet:QuaternionAnalysis/ref/AbsVec"],
   FontFamily->"Verdana"]], "InlineFormula"]
}], "SeeAlso",
 CellID->108958085]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["TUTORIALS",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "TutorialsSection",
 CellID->250839057],

Cell[TextData[ButtonBox["Quaternion Analysis Package",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/tutorial/QuaternionAnalysis"]], "Tutorials",
 CellID->18954368],

Cell[TextData[ButtonBox["Quaternions Package",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "Tutorials",
 CellID->920639525]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[ButtonBox["MORE ABOUT",
 BaseStyle->None,
 Appearance->{Automatic, None},
 Evaluator->None,
 Method->"Preemptive",
 ButtonFunction:>(FrontEndExecute[{
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], All, ButtonCell], 
    FrontEndToken["OpenCloseGroup"], 
    FrontEnd`SelectionMove[
     FrontEnd`SelectedNotebook[], After, 
     CellContents]}]& )]], "MoreAboutSection",
 CellID->38303248],

Cell[TextData[ButtonBox["QuaternionAnalysis",
 BaseStyle->"Link",
 ButtonData->
  "paclet:QuaternionAnalysis/guide/QuaternionAnalysis"]], "MoreAbout",
 CellID->455834925]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"W - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 11, 4.5224406}", "context" -> 
    "QuaternionAnalysis`", "keywords" -> {}, "index" -> True, "label" -> 
    "QuaternionAnalysis Paclet Symbol", "language" -> "en", "paclet" -> 
    "QuaternionAnalysis", "status" -> "None", "summary" -> 
    "W[expr] gives the sign of the vector part of expr.", "synonyms" -> {}, 
    "title" -> "W", "type" -> "Symbol", "uri" -> "QuaternionAnalysis/ref/W"}, 
  "LinkTrails" -> "", "SearchTextTranslated" -> ""},
CellContext->"Global`",
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{
 "PrimaryExamplesSection"->{
  Cell[6786, 201, 461, 13, 70, "PrimaryExamplesSection",
   CellTags->"PrimaryExamplesSection",
   CellID->507544849]}
 }
*)
(*CellTagsIndex
CellTagsIndex->{
 {"PrimaryExamplesSection", 14201, 469}
 }
*)
(*NotebookFileOutline
Notebook[{
Cell[595, 21, 76, 1, 70, "SymbolColorBar"],
Cell[674, 24, 209, 5, 70, "LinkTrail"],
Cell[886, 31, 3666, 82, 70, "AnchorBarGrid",
 CellID->1],
Cell[4555, 115, 44, 1, 70, "ObjectName",
 CellID->1224892054],
Cell[CellGroupData[{
Cell[4624, 120, 692, 23, 70, "Usage",
 CellID->982511436],
Cell[CellGroupData[{
Cell[5341, 147, 580, 17, 70, "NotesSection",
 CellGroupingRules->{"SectionGrouping", 50},
 CellID->304600004],
Cell[5924, 166, 287, 9, 70, "Notes",
 CellID->59647763],
Cell[6214, 177, 121, 3, 70, "Notes",
 CellID->157604007],
Cell[6338, 182, 399, 13, 70, "Notes",
 CellID->302811416]
}, Closed]]
}, Open  ]],
Cell[CellGroupData[{
Cell[6786, 201, 461, 13, 70, "PrimaryExamplesSection",
 CellTags->"PrimaryExamplesSection",
 CellID->507544849],
Cell[CellGroupData[{
Cell[7272, 218, 147, 5, 70, "ExampleSection",
 CellID->12548897],
Cell[7422, 225, 126, 3, 70, "Input",
 CellID->58310437],
Cell[7551, 230, 208, 8, 70, "Text",
 CellGroupingRules->{GroupTogetherGrouping, 10000.},
 CellID->339688713],
Cell[7762, 240, 231, 6, 70, "Input",
 CellGroupingRules->{GroupTogetherGrouping, 10002.},
 CellID->165240853],
Cell[7996, 248, 706, 25, 64, "Output",
 CellID->112612808],
Cell[CellGroupData[{
Cell[8727, 277, 240, 7, 70, "Input",
 CellID->296623891],
Cell[8970, 286, 272, 9, 53, "Output",
 CellID->632463122]
}, Open  ]],
Cell[CellGroupData[{
Cell[9279, 300, 202, 7, 70, "Input",
 CellID->145100637],
Cell[9484, 309, 228, 7, 36, "Output",
 CellID->508349999]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[9773, 323, 417, 12, 70, "SeeAlsoSection",
 CellID->1255426704],
Cell[10193, 337, 1216, 43, 70, "SeeAlso",
 CellID->108958085]
}, Open  ]],
Cell[CellGroupData[{
Cell[11446, 385, 419, 12, 70, "TutorialsSection",
 CellID->250839057],
Cell[11868, 399, 181, 4, 70, "Tutorials",
 CellID->18954368],
Cell[12052, 405, 157, 3, 70, "Tutorials",
 CellID->920639525]
}, Open  ]],
Cell[CellGroupData[{
Cell[12246, 413, 419, 12, 70, "MoreAboutSection",
 CellID->38303248],
Cell[12668, 427, 170, 4, 70, "MoreAbout",
 CellID->455834925]
}, Open  ]],
Cell[12853, 434, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

