(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 10.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[    151781,       5449]
NotebookOptionsPosition[    131808,       4746]
NotebookOutlinePosition[    134061,       4801]
CellTagsIndexPosition[    134018,       4798]
WindowTitle->QuaternionAnalysis - Wolfram Mathematica
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[" ", "TutorialColorBar",
 CellMargins->{{Inherited, Inherited}, {-5, 0}}],

Cell[TextData[{
 ButtonBox["QuaternionAnalysis",
  BaseStyle->{"Link", "LinkTrail"},
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 StyleBox[" > ", "LinkTrailSeparator"]
}], "LinkTrail"],

Cell[BoxData[GridBox[{
   {Cell["QUATERNION ANALYSIS TUTORIAL", "PacletNameCell"], Cell[TextData[{
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Related Tutorials \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Quaternions\"\>":>
       Documentation`HelpLookup["paclet:Quaternions/tutorial/Quaternions"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"Functions \[RightGuillemet]\"\>",
        StripOnInput->False], {"\<\"Abs\"\>":>Documentation`HelpLookup[
       "paclet:ref/Abs"], "\<\"AbsVec\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/AbsVec"], "\<\"CauchyRiemannL\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/CauchyRiemannL"], "\<\"CauchyRiemannR\"\
\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/CauchyRiemannR"], "\<\"Ck\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Ck"], "\<\"ComplexLike\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ComplexLike"], "\<\"ComplexToQuaternion\
\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ComplexToQuaternion"], \
"\<\"Derivative\"\>":>Documentation`HelpLookup[
       "paclet:ref/Derivative"], "\<\"DiracL\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/DiracL"], "\<\"DiracR\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/DiracR"], "\<\"Dot\"\>":>
       Documentation`HelpLookup["paclet:ref/Dot"], "\<\"Laplace\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Laplace"], "\<\"MonogenicQ\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/MonogenicQ"], "\<\"Norm\"\>":>
       Documentation`HelpLookup["paclet:ref/Norm"], "\<\"Paravector\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Paravector"], "\<\"Pk\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Pk"], "\<\"PolarForm\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/PolarForm"], "\<\"PureQuaternionQ\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/PureQuaternionQ"], "\<\"QPower\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QPower"], "\<\"Quaternion\"\>":>
       Documentation`HelpLookup[
       "paclet:Quaternions/ref/Quaternion"], "\<\"QuaternionToComplex\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToComplex"], \
"\<\"QuaternionToComplexMatrix\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToComplexMatrix"], \
"\<\"QuaternionToMatrixL\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"], \
"\<\"QuaternionToMatrixR\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/QuaternionToMatrixR"], \
"\<\"ScalarQ\"\>":>Documentation`HelpLookup[
       "paclet:Quaternions/ref/ScalarQ"], "\<\"SetCoordinates\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/SetCoordinates"], "\<\"SymmetricProduct\
\"\>":>Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/SymmetricProduct"], "\<\"Tks\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Tks"], "\<\"ToComplexLike\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/ToComplexLike"], "\<\"Vec\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/Vec"], "\<\"W\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/W"], "\<\"$CoordinatesList\"\>":>
       Documentation`HelpLookup[
       "paclet:QuaternionAnalysis/ref/$CoordinatesList"], "\<\"$Dim\"\>":>
       Documentation`HelpLookup["paclet:QuaternionAnalysis/ref/$Dim"]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}],
     "\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\[ThickSpace]\
\[ThickSpace]",
     Cell[BoxData[
      ActionMenuBox[
       FrameBox["\<\"URL \[RightGuillemet]\"\>",
        StripOnInput->
         False], {"\<\"QuaternionAnalysis/tutorial/QuaternionAnalysis\"\>":>
       None, "\<\"Copy Mathematica url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell["QuaternionAnalysis/tutorial/QuaternionAnalysis"]}, Visible -> 
            False]]; SelectionMove[
         DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; Null], 
       Delimiter, "\<\"Copy web url\"\>":>
       Module[{DocumentationSearch`Private`nb$}, 
        DocumentationSearch`Private`nb$ = NotebookPut[
           Notebook[{
             Cell[
              BoxData[
               MakeBoxes[
                Hyperlink[
                "http://reference.wolfram.com/mathematica/QuaternionAnalysis/\
tutorial/QuaternionAnalysis.html"], StandardForm]], "Input", 
              TextClipboardType -> "PlainText"]}, Visible -> False]]; 
        SelectionMove[DocumentationSearch`Private`nb$, All, Notebook]; 
        FrontEndTokenExecute[DocumentationSearch`Private`nb$, "Copy"]; 
        NotebookClose[DocumentationSearch`Private`nb$]; 
        Null], "\<\"Go to web url\"\>":>FrontEndExecute[{
         NotebookLocate[{
           URL[
            StringJoin[
            "http://reference.wolfram.com/mathematica/", 
             "QuaternionAnalysis/tutorial/QuaternionAnalysis", ".html"]], 
           None}]}]},
       Appearance->None,
       MenuAppearance->Automatic]],
      LineSpacing->{1.4, 0}]
    }], "AnchorBar"]}
  }]], "AnchorBarGrid",
 CellID->1],

Cell[CellGroupData[{

Cell["QuaternionAnalysis", "Title",
 CellID->509267359],

Cell[TextData[{
 "This package endows the standard package ",
 ButtonBox["Quaternions",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/tutorial/Quaternions"],
 " which implements Hamilton's quaternion  algebra with the ability to \
perform operations on quaternion-valued functions. "
}], "Text",
 CellID->1534169418],

Cell[TextData[{
 "A collection of new functions is introduced to provide basic mathematical \
tools necessary for dealing with quaternion valued regular functions, in the \
sense of Fueter. Some of the new added features include the possibility of \
manipulating functions defined in",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SuperscriptBox["\[DoubleStruckCapitalR]", 
     RowBox[{"n", "+", "1"}]]}], TraditionalForm]], "InlineMath"],
 ", for ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "\[GreaterEqual]", "2"}], TraditionalForm]], "InlineMath"],
 ". "
}], "Text",
 CellID->93433384],

Cell[CellGroupData[{

Cell["Hamilton's Quaternion Algebra", "Subsection",
 CellID->127113684],

Cell[TextData[{
 "A quaternion ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " is a number of the form  "
}], "Text",
 CellID->302882948],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[LongEqual]", " ", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     RowBox[{"i", " ", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"j", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"k", " ", 
      SubscriptBox["x", "3"]}]}]}], TraditionalForm]], "InlineMath"],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["x", "i"], "\[Element]", "\[DoubleStruckCapitalR]"}], 
   TraditionalForm]], "InlineMath"],
 ","
}], "Text",
 TextAlignment->Center,
 CellID->495994398],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox["j", TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox["k", TraditionalForm]], "InlineMath"],
 " satisfy the multiplication rules:"
}], "Text",
 CellID->2924368],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SuperscriptBox["i", "2"], "=", 
   RowBox[{
    SuperscriptBox["j", "2"], "=", 
    RowBox[{
     SuperscriptBox["k", "2"], "=", 
     RowBox[{
      RowBox[{"i", " ", "j", " ", "k"}], " ", "=", 
      RowBox[{"-", "1."}]}]}]}]}], TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->442326454],

Cell[TextData[{
 "This noncommutative product generates the algebra of real quaternions ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]], "InlineMath"],
 ". The real vector space ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SuperscriptBox["\[DoubleStruckCapitalR]", "4"]}], TraditionalForm]], 
  "InlineMath"],
 " can be embedded in ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]], "InlineMath"],
 " by identifying the element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", 
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["x", "0"], ",", 
      SubscriptBox["x", "1"], ",", 
      SubscriptBox["x", "2"], ",", 
      SubscriptBox["x", "3"]}], ")"}], " "}], TraditionalForm]], "InlineMath"],
 "\[Element] ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", "4"], TraditionalForm]]],
 " with the element ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[LongEqual]", " ", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     RowBox[{"i", " ", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"j", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"k", " ", 
      SubscriptBox["x", 
       RowBox[{"3", " "}]]}]}]}], TraditionalForm]], "InlineMath"],
 "\[Element] ",
 Cell[BoxData[
  FormBox["\[DoubleStruckCapitalH]", TraditionalForm]], "InlineMath"],
 "."
}], "Text",
 CellID->537355663],

Cell[TextData[{
 "The standard package ",
 StyleBox[ButtonBox["Quaternions",
  BaseStyle->"Link",
  ButtonData->"paclet:QuaternionAnalysis/tutorial/Quaternions"], "InlineCode"],
 " adds rules to  ",
 StyleBox[ButtonBox["Plus",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Plus"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Minus",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Minus"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Times",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Times"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Divide",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Divide"], "InlineCode"],
 ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Divide"],
 "and the fundamental ",
 StyleBox[ButtonBox["NonCommutativeMultiply",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/NonCommutativeMultiply"], "InlineCode"],
 ". Among others, the following quaternion functions are included:",
 ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Re"],
 StyleBox[ButtonBox["Re",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Re"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Conjugate",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Conjugate"], "InlineCode"],
 ",",
 StyleBox[ButtonBox[" AbsIJK",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/ref/AbsIJK"], "InlineCode"],
 ",  ",
 StyleBox[ButtonBox["Sign",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Sign"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["AdjustedSignIJK",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/ref/AdjustedSignIJK"], "InlineCode"],
 ",",
 ButtonBox[" ",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/ref/ToQuaternion"],
 StyleBox[ButtonBox["ToQuaternion",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/ref/ToQuaternion"], "InlineCode"],
 ButtonBox[", ",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/ref/ToQuaternion"],
 StyleBox[ButtonBox["FromQuaternion",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/ref/FromQuaternion"], "InlineCode"],
 " and ",
 StyleBox[ButtonBox["QuaternionQ",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/ref/QuaternionQ"], "InlineCode"],
 ". "
}], "Text",
 CellID->45632744],

Cell[TextData[{
 "In the ",
 ButtonBox["QuaternionAnalysis",
  BaseStyle->"Link",
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 " package, a quaternion is also an object of the form ",
 StyleBox["Quaternion[x0,x1,x2,x3]", "InlineCode"],
 ", whose entries are not necessarily numeric valued. This package allows the \
use of symbolic entries, assuming that all symbols represent real numbers."
}], "Text",
 CellID->342078950],

Cell[BoxData[GridBox[{
   {
    RowBox[{
     ButtonBox["Quaternion",
      BaseStyle->"Link",
      ButtonData->"paclet:Quaternions/ref/Quaternion"], "[", 
     RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], "]"}], 
    StyleBox[Cell[TextData[{
      StyleBox["the quaternion ",
       FontSize->11],
      Cell[BoxData[
       FormBox[
        RowBox[{"x0", "+", " ", 
         RowBox[{"i", " ", "x1"}], "+", " ", 
         RowBox[{"j", " ", "x2"}], "+", 
         RowBox[{"k", " ", "x3", " "}]}], TraditionalForm]], "InlineMath",
       FontSize->11],
      StyleBox[" with numeric or symbolic entries",
       FontSize->11]
     }], "TableText"], "TR"]},
   {
    RowBox[{
     ButtonBox["Vec",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/Vec"], "[", "x", "]"}], Cell[
    TextData[StyleBox["the vector part of x",
     FontSize->11]], "TableText"]},
   {
    RowBox[{
     ButtonBox["Abs",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Abs"], "[", "x", "]"}], 
    StyleBox[
     RowBox[{
     "extends", " ", "the", " ", "absolut", " ", "value", " ", "function", 
      " ", "to", " ", "quaternion", " ", "objects"}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["AbsVec",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/AbsVec"], "[", "x", "]"}], 
    Cell[TextData[StyleBox["the absolute value of the vector part of x",
     FontSize->11]], "TableText"]},
   {
    RowBox[{
     ButtonBox["Norm",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Norm"], "[", "x", "]"}], Cell[
    "extends the norm function to quaternion objects", "TableText",
     FontSize->11]},
   {
    RowBox[{
     ButtonBox["W",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/W"], "[", "x", "]"}], 
    StyleBox[
     RowBox[{"the", " ", "sign", " ", "of", " ", "the", "  ", 
      StyleBox[
       RowBox[{"v", 
        StyleBox["e", "TR",
         FontFamily->"Verdana",
         FontSize->10], "ctor"}]], 
      StyleBox[" ", "TR",
       FontFamily->"Verdana",
       FontSize->10], 
      StyleBox[
       RowBox[{
        StyleBox["p", "TR",
         FontFamily->"Verdana",
         FontSize->10], "ar", 
        StyleBox[
         StyleBox["t", "TR",
          FontFamily->"Verdana",
          FontSize->10], "TR",
         FontFamily->"Verdana",
         FontSize->10]}]], 
      StyleBox[" ", "TR",
       FontFamily->"Verdana",
       FontSize->10], 
      StyleBox["of", "TR",
       FontFamily->"Verdana",
       FontSize->10], 
      StyleBox[" ", "TR",
       FontFamily->"Verdana",
       FontSize->10], 
      StyleBox[
       RowBox[{
        StyleBox["t", "TR",
         FontFamily->"Verdana",
         FontSize->10], "he"}]], 
      StyleBox[" ", "TR",
       FontFamily->"Verdana",
       FontSize->10], "quaternion", " ", "x"}], "TR",
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["Dot",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Dot"], "[", 
     RowBox[{"x", ",", "y"}], "]"}], Cell[TextData[StyleBox[
    "extends the dot product to quaternion objects",
     FontSize->11]], "TableText"]},
   {
    RowBox[{
     ButtonBox["SymmetricProduct",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/SymmetricProduct"], "[", 
     RowBox[{"x", ",", "y"}], "]"}], Cell[TextData[Cell[BoxData[
    Cell[TextData[StyleBox["the symmetric product of two quaternions",
      FontFamily->"Verdana",
      FontSize->11]], "TableText",
      FontFamily->"Courier New",
      FontSize->10]],
     FontFamily->"Verdana",
     FontSize->10]], "TableText",
     FontSize->11]},
   {
    RowBox[{
     ButtonBox["QPower",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/QPower"], "[", 
     RowBox[{"x", ",", "n"}], "]"}], Cell[TextData[Cell[BoxData[
     StyleBox[Cell[TextData[{
       Cell[BoxData[
        FormBox[
         SuperscriptBox["x", "n"], TraditionalForm]], "InlineMath"],
       " -",
       StyleBox[" a recursive implementation of the Power",
        FontSize->11]
      }], "TableText"], "TR"]]]], "TableText"]},
   {
    RowBox[{
     ButtonBox["PureQuaternionQ",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/PureQuaternionQ"], "[", "x", 
     "]"}], Cell[TextData[Cell[BoxData[
     StyleBox[Cell[TextData[StyleBox[
      "gives True if x is a pure quaternion and False otherwise",
       FontSize->11]], "TableText"], "TR",
      FontFamily->"Verdana",
      FontSize->10]]]], "TableText"]},
   {
    RowBox[{
     ButtonBox["ScalarQ",
      BaseStyle->"Link",
      ButtonData->"paclet:Quaternions/ref/ScalarQ"], "[", "x", "]"}], Cell[
    "overloads the original ScalarQ to allow symbolic entries", "TableText",
     FontSize->11]}
  }]], "DefinitionBox",
 CellID->7288010],

Cell["Quaternion Algebra", "Caption",
 CellID->504005085],

Cell["This loads the package", "MathCaption",
 CellID->836781195],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"<<", "QuaternionAnalysis`"}]], "Input",
 CellLabel->"In[8]:=",
 CellID->2058623809],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"SetCoordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({X0, X1, X2, X3}\
\\)\[NoBreak].\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[8]:=",
 CellID->131031542]
}, Open  ]],

Cell["Quaternions can have either numeric entries or symbolic ones", \
"MathCaption",
 CellID->9311731],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"Quaternion", "[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}], "+", 
   RowBox[{"2", 
    RowBox[{"Quaternion", "[", 
     RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "]"}]}]}], "//", 
  "TraditionalForm"}]], "Input",
 CellLabel->"In[11]:=",
 CellID->67659875],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{"2", " ", "a"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"2", "+", 
     RowBox[{"2", " ", "b"}]}], ")"}], " ", "\[DoubleStruckI]"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"3", "+", 
     RowBox[{"2", " ", "c"}]}], ")"}], " ", "\[DoubleStruckJ]"}], "+", 
  RowBox[{
   RowBox[{"(", 
    RowBox[{"4", "+", 
     RowBox[{"2", " ", "d"}]}], ")"}], " ", "\[DoubleStruckK]"}]}]], "Output",
 ImageSize->{262, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[11]=",
 CellID->27621951]
}, Open  ]],

Cell["Operations on Quaternions ", "MathCaption",
 CellID->74426537],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}]}], ";", 
  RowBox[{"y", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"x", "**", 
  RowBox[{"Vec", "[", "x", "]"}]}]}], "Input",
 CellLabel->"In[12]:=",
 CellID->797422931],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{"-", "29"}], ",", "2", ",", "3", ",", "4"}], "]"}]], "Output",
 ImageSize->{164, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[13]=",
 CellID->835730800]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SymmetricProduct", "[", 
  RowBox[{"x", ",", "y"}], "]"}]], "Input",
 CellLabel->"In[14]:=",
 CellID->24491411],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{"-", "12"}], ",", "11", ",", "14", ",", "17"}], "]"}]], "Output",
 ImageSize->{185, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[14]=",
 CellID->58036811]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(", 
   RowBox[{
    RowBox[{"x", "**", "y"}], "+", 
    RowBox[{"y", "**", "x"}]}], ")"}], "/", "2", " "}]], "Input",
 CellLabel->"In[15]:=",
 CellID->15190104],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{"-", "12"}], ",", "11", ",", "14", ",", "17"}], "]"}]], "Output",
 ImageSize->{185, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[15]=",
 CellID->710107664]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QPower", "[", 
  RowBox[{
   RowBox[{"Quaternion", "[", 
    RowBox[{"a", ",", "b", ",", "c", ",", "d"}], "]"}], ",", "2"}], 
  "]"}]], "Input",
 CellLabel->"In[16]:=",
 CellID->149621032],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["a", "2"], "-", 
    SuperscriptBox["b", "2"], "-", 
    SuperscriptBox["c", "2"], "-", 
    SuperscriptBox["d", "2"]}], ",", 
   RowBox[{"2", " ", "a", " ", "b"}], ",", 
   RowBox[{"2", " ", "a", " ", "c"}], ",", 
   RowBox[{"2", " ", "a", " ", "d"}]}], "]"}]], "Output",
 ImageSize->{293, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[16]=",
 CellID->286442572]
}, Open  ]],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["W",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/W"]], "InlineFormula"],
 " is the sign of the vector part of a quaternion. If ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " is a real number, \[Omega]",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", "x", ")"}], "=", "0"}], TraditionalForm]], "InlineMath"]
}], "MathCaption",
 CellID->132364208],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"W", "[", "x", "]"}], "//", "TraditionalForm"}]], "Input",
 CellLabel->"In[17]:=",
 CellID->589312481],

Cell[BoxData[
 RowBox[{
  FractionBox[
   RowBox[{"2", " ", "\[DoubleStruckI]"}], 
   SqrtBox["29"]], "+", 
  FractionBox[
   RowBox[{"3", " ", "\[DoubleStruckJ]"}], 
   SqrtBox["29"]], "+", 
  FractionBox[
   RowBox[{"4", " ", "\[DoubleStruckK]"}], 
   SqrtBox["29"]]}]], "Output",
 ImageSize->{130, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[17]=",
 CellID->161528142]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Sign", "[", 
  RowBox[{"Vec", "[", "x", "]"}], "]"}]], "Input",
 CellLabel->"In[18]:=",
 CellID->531753143],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{"0", ",", 
   FractionBox["2", 
    SqrtBox["29"]], ",", 
   FractionBox["3", 
    SqrtBox["29"]], ",", 
   FractionBox["4", 
    SqrtBox["29"]]}], "]"}]], "Output",
 ImageSize->{228, 36},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[18]=",
 CellID->657245375]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"W", "[", 
  RowBox[{"Quaternion", "[", 
   RowBox[{"a", ",", "0", ",", "0", ",", "0"}], "]"}], "]"}]], "Input",
 CellLabel->"In[19]:=",
 CellID->875306644],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{"0", ",", "0", ",", "0", ",", "0"}], "]"}]], "Output",
 ImageSize->{149, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[19]=",
 CellID->4459266]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Representation of real quaternions", "Subsection",
 CellID->11788280],

Cell[CellGroupData[{

Cell["Complex-like form", "Subsubsection",
 CellID->217923342],

Cell[TextData[{
 "A non-real quaternion ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " can be written as "
}], "Text",
 CellID->121754635],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[LongEqual]", " ", 
    SubscriptBox["x", "0"]}], TraditionalForm]], "InlineMath"],
 Cell[BoxData[
  FormBox[
   RowBox[{"+", 
    RowBox[{"\[Omega]", "(", "x", ")"}]}], TraditionalForm]], "InlineMath"],
 " |",
 Cell[BoxData[
  FormBox[
   StyleBox["x",
    FontVariations->{"Underline"->True}], TraditionalForm]], "InlineMath"],
 "|, "
}], "Text",
 TextAlignment->Center,
 CellID->44649250],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["x", "0"], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   StyleBox["x",
    FontVariations->{"Underline"->True}], TraditionalForm]], "InlineMath"],
 " are  the real and  vector parts of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 ", respectively, and",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"\[Omega]", "(", "x", ")"}]}], TraditionalForm]], "InlineMath"],
 " is the unit  quaternion"
}], "Text",
 CellID->237413745],

Cell[TextData[{
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Omega]", "(", "x", ")"}], " ", "\[LongEqual]", " ", 
    FractionBox[
     UnderscriptBox["x", "_"], 
     RowBox[{"\[LeftBracketingBar]", 
      UnderscriptBox["x", "_"], "\[RightBracketingBar]"}]]}], 
   TraditionalForm]], "InlineMath"],
 ", "
}], "Text",
 TextAlignment->Center,
 CellID->363486729],

Cell[TextData[{
 "very much like a complex number is written in the form",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    RowBox[{"a", "+", " ", 
     RowBox[{"\[ImaginaryI]", " ", "b"}]}]}], TraditionalForm]], "InlineMath"],
 ". This representation is known as the Complex-Like form of a quaternion."
}], "Text",
 CellID->95946378],

Cell[TextData[{
 "To perform operations on quaternions written in the complex-like form,  an \
object of the form ",
 StyleBox["ComplexLike[a,b]", "InlineCode"],
 " is defined. For such objects, simple rules as ",
 StyleBox[ButtonBox["Plus",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Plus"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Times",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Times"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Power",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Power"], "InlineCode"],
 " and functions as ",
 StyleBox[ButtonBox["Re",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Re"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Abs",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Abs"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Norm",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Norm"], "InlineCode"],
 ", etc. are defined, mimicking the complex ones."
}], "Text",
 CellID->301086255]
}, Open  ]],

Cell[CellGroupData[{

Cell["Polar representation", "Subsubsection",
 CellID->198503875],

Cell[TextData[{
 "A  non-real quaternion ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 "  permits the representation"
}], "Text",
 CellID->12129833],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "=", " ", 
    RowBox[{"\[LeftBracketingBar]", "x", "\[RightBracketingBar]"}]}], 
   TraditionalForm]], "InlineMath"],
 "(cos \[Phi] + \[Omega]",
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "x"}], TraditionalForm]], "InlineMath"],
 ")sin \[Phi]),"
}], "Text",
 TextAlignment->Center,
 CellID->156978816],

Cell[TextData[{
 "where \[Phi] =arccot ",
 Cell[BoxData[
  FractionBox[
   SubscriptBox[
    FormBox["x",
     TraditionalForm], "0"], 
   FormBox[
    RowBox[{"|", 
     UnderscriptBox["x", "_"], "|"}],
    TraditionalForm]]], "InlineFormula"]
}], "Text",
 CellID->461866789]
}, Open  ]],

Cell[CellGroupData[{

Cell["Complex representation ", "Subsubsection",
 CellID->121224600],

Cell[TextData[{
 "Any quaternion ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[LongEqual]", " ", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     RowBox[{"i", " ", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"j", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"k", " ", 
      SubscriptBox["x", "3"]}]}]}], TraditionalForm]], "InlineMath"],
 " can be written as"
}], "Text",
 CellID->863989986],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{"x", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["x", "0"], "+", 
      RowBox[{"i", " ", 
       SubscriptBox["x", "1"]}]}], ")"}], "+", 
    RowBox[{
     RowBox[{"(", 
      RowBox[{
       SubscriptBox["x", "2"], "+", 
       RowBox[{"i", " ", 
        SubscriptBox["x", "3"]}]}], ")"}], " ", "j", " "}]}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->215216456],

Cell["and represented by the complex matrix", "Text",
 CellID->171401645],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {
       RowBox[{
        SubscriptBox["x", "0"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}], 
       RowBox[{
        SubscriptBox["x", "2"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "3"]}]}]},
      {
       RowBox[{
        RowBox[{"-", 
         SubscriptBox["x", "2"]}], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "3"]}]}], 
       RowBox[{
        SubscriptBox["x", "0"], "-", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}], 
   TraditionalForm]], "InlineMath"],
 "."
}], "Text",
 TextAlignment->Center,
 CellID->239937974],

Cell["\<\
Thus, the product of two quaternions can be expressed by the product of the \
two corresponding complex matrices. \
\>", "Text",
 CellID->392258799]
}, Open  ]],

Cell[CellGroupData[{

Cell["Matrix representation ", "Subsubsection",
 CellID->103041750],

Cell[TextData[{
 "The left and right representations of the quaternion ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", " ", "\[LongEqual]", " ", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     RowBox[{"i", " ", 
      SubscriptBox["x", "1"]}], "+", 
     RowBox[{"j", " ", 
      SubscriptBox["x", "2"]}], "+", 
     RowBox[{"k", " ", 
      SubscriptBox["x", "3"]}]}]}], TraditionalForm]], "InlineMath"],
 "  are"
}], "Text",
 CellID->607959139],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubscriptBox["L", "x"], "=", 
   RowBox[{"(", "\[NoBreak]", GridBox[{
      {
       SubscriptBox["x", "0"], 
       RowBox[{"-", 
        SubscriptBox["x", "1"]}], 
       RowBox[{"-", 
        SubscriptBox["x", "2"]}], 
       RowBox[{"-", 
        SubscriptBox["x", "3"]}]},
      {
       SubscriptBox["x", "1"], 
       SubscriptBox["x", "0"], 
       RowBox[{"-", 
        SubscriptBox["x", "3"]}], 
       SubscriptBox["x", "2"]},
      {
       SubscriptBox["x", "2"], 
       SubscriptBox["x", "3"], 
       SubscriptBox["x", "0"], 
       RowBox[{"-", 
        SubscriptBox["x", "1"]}]},
      {
       SubscriptBox["x", "3"], 
       RowBox[{"-", 
        SubscriptBox["x", "2"]}], 
       SubscriptBox["x", "1"], 
       SubscriptBox["x", "0"]}
     },
     GridBoxAlignment->{
      "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
        "RowsIndexed" -> {}},
     GridBoxSpacings->{"Columns" -> {
         Offset[0.27999999999999997`], {
          Offset[0.7]}, 
         Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
         Offset[0.2], {
          Offset[0.4]}, 
         Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->588748268],

Cell["and", "Text",
 CellID->33937607],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["R", "x"], "=", 
    RowBox[{"(", "\[NoBreak]", GridBox[{
       {
        SubscriptBox["x", "0"], 
        RowBox[{"-", 
         SubscriptBox["x", "1"]}], 
        RowBox[{"-", 
         SubscriptBox["x", "2"]}], 
        RowBox[{"-", 
         SubscriptBox["x", "3"]}]},
       {
        SubscriptBox["x", "1"], 
        SubscriptBox["x", "0"], 
        SubscriptBox["x", "3"], 
        RowBox[{"-", 
         SubscriptBox["x", "2"]}]},
       {
        SubscriptBox["x", "2"], 
        RowBox[{"-", 
         SubscriptBox["x", "3"]}], 
        SubscriptBox["x", "0"], 
        SubscriptBox["x", "1"]},
       {
        SubscriptBox["x", "3"], 
        SubscriptBox["x", "2"], 
        RowBox[{"-", 
         SubscriptBox["x", "1"]}], 
        SubscriptBox["x", "0"]}
      },
      GridBoxAlignment->{
       "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, 
        "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
      GridBoxSpacings->{"Columns" -> {
          Offset[0.27999999999999997`], {
           Offset[0.7]}, 
          Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
          Offset[0.2], {
           Offset[0.4]}, 
          Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}]}], 
   TraditionalForm]], "InlineMath"],
 "."
}], "Text",
 TextAlignment->Center,
 CellID->230982794],

Cell[TextData[{
 "These matrices can be associated with the left and right product of the \
quaternions ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath"],
 ", i.e"
}], "Text",
 CellID->150323063],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[RightArrow]", 
    SubscriptBox["L", "x"]}], TraditionalForm]], "InlineMath"],
 "  with  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"x", " ", "y"}], "\[RightArrow]", 
    RowBox[{
     SubscriptBox["L", 
      RowBox[{"x", " "}]], 
     StyleBox["y",
      FontWeight->"Bold"]}]}], TraditionalForm]], "InlineMath"],
 "  and ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[RightArrow]", 
    SubscriptBox["R", "x"]}], TraditionalForm]], "InlineMath"],
 "  with  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"y", " ", "x"}], "\[RightArrow]", 
    RowBox[{
     SubscriptBox["R", 
      RowBox[{"x", " "}]], 
     StyleBox["y",
      FontWeight->"Bold"]}]}], TraditionalForm]], "InlineMath"]
}], "Text",
 TextAlignment->Center,
 CellID->345088051],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath",
  FontWeight->"Bold"],
 " is the vector in ",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SuperscriptBox["\[DoubleStruckCapitalR]", "4"]}], TraditionalForm]], 
  "InlineMath"],
 " corresponding to the quaternion  ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath"],
 "."
}], "Text",
 CellID->359687868],

Cell[BoxData[GridBox[{
   {
    RowBox[{
     ButtonBox["ComplexLike",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/ComplexLike"], "[", 
     RowBox[{"a", ",", "b"}], "]"}], 
    StyleBox[Cell[TextData[{
      StyleBox["representation of a quaternion by its real part",
       FontSize->11],
      " ",
      StyleBox["(a) and the",
       FontSize->11],
      " ",
      StyleBox["norm of its vector part (b)",
       FontSize->11]
     }], "TableText"], "TR",
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["ToComplexLike",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/ToComplexLike"], "[", "x", 
     "]"}], 
    StyleBox[Cell[TextData[{
      StyleBox["returns the",
       FontSize->11],
      StyleBox[" ",
       FontSize->10],
      StyleBox["representation of the quaternion",
       FontSize->11],
      StyleBox[" ",
       FontSize->10],
      StyleBox["x",
       FontSize->11],
      StyleBox[" ",
       FontSize->10],
      StyleBox["in the complex-like form",
       FontSize->11]
     }], "TableText"], "TR",
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["PolarForm",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/PolarForm"], "[", "x", "]"}], 
    StyleBox[
     RowBox[{
     "polar", " ", "form", " ", "of", "  ", "a", " ", "quaternion", " "}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["QuaternionToComplex",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToComplex"], "[", 
     "x", "]"}], 
    StyleBox[
     RowBox[{
      StyleBox[
       RowBox[{"c", 
        StyleBox["omplex",
         FontSize->11]}]], 
      StyleBox[" ",
       FontSize->11], 
      StyleBox["representation",
       FontSize->11], 
      StyleBox["  ",
       FontSize->11], 
      StyleBox["of",
       FontSize->11], 
      StyleBox[" ",
       FontSize->11], 
      StyleBox["a",
       FontSize->11], 
      StyleBox[" ",
       FontSize->11], 
      StyleBox["quaternion",
       FontSize->11], 
      StyleBox[" ",
       FontSize->11]}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["ComplexToQuaternion",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/ComplexToQuaternion"], "[", 
     RowBox[{"x", ",", "y"}], "]"}], 
    RowBox[{
     StyleBox["returns",
      FontFamily->"Verdana",
      FontSize->11], 
     StyleBox["  ",
      FontFamily->"Verdana",
      FontSize->11], 
     StyleBox["the",
      FontFamily->"Verdana",
      FontSize->11], 
     StyleBox["  ",
      FontFamily->"Verdana",
      FontSize->11], 
     StyleBox["quaternion",
      FontFamily->"Verdana",
      FontSize->11], 
     StyleBox[" ",
      FontFamily->"Verdana",
      FontSize->10], 
     FormBox[
      RowBox[{" ", 
       RowBox[{"x", "+", 
        RowBox[{"y", " ", "j", " "}]}]}],
      TraditionalForm]}]},
   {
    RowBox[{
     ButtonBox["QuaternionToComplexMatrix",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToComplexMatrix"], 
     "[", "x", "]"}], 
    StyleBox[
     RowBox[{
     "complex", " ", "representation", " ", "matrix", " ", "of", " ", "a", 
      " ", "quaternion", " "}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["QuaternionToMatrixR",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixR"], "[", 
     "x", "]"}], 
    StyleBox[
     RowBox[{
     "real", " ", "right", " ", "representation", " ", "matrix", " ", "of", "  ",
       "a", " ", "quaternion"}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["QuaternionToMatrixL",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/QuaternionToMatrixL"], "[", 
     "x", "]"}], 
    StyleBox[
     RowBox[{
     "real", "  ", "left", " ", "representation", "  ", "matrix", " ", "of", 
      " ", "a", " ", "quaternion"}],
     FontFamily->"Verdana"]}
  }]], "DefinitionBox",
 CellID->1196922],

Cell["Representation of real quaternions", "Caption",
 CellID->43421408],

Cell[TextData[{
 Cell[BoxData[
  ButtonBox["ToComplexLike",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/ToComplexLike"]], 
  "InlineFormula"],
 " gives the complex-like form of a quaternion "
}], "MathCaption",
 CellID->460327742],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"X", "=", 
  RowBox[{"ToComplexLike", "[", "x", "]"}]}]}], "Input",
 CellLabel->"In[9]:=",
 CellID->191374176],

Cell[BoxData[
 RowBox[{"ComplexLike", "[", 
  RowBox[{"1", ",", 
   SqrtBox["29"]}], "]"}]], "Output",
 ImageSize->{142, 21},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[10]=",
 CellID->759119060]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"X", "//", "TraditionalForm"}]], "Input",
 CellLabel->"In[11]:=",
 CellID->247468957],

Cell[BoxData[
 RowBox[{"1", "+", 
  RowBox[{
   SqrtBox["29"], " ", "\[DoubleStruckW]"}]}]], "Output",
 ImageSize->{65, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[11]=",
 CellID->273362294]
}, Open  ]],

Cell[TextData[{
 "Operations on ",
 Cell[BoxData[
  ButtonBox["ComplexLike",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/ComplexLike"]], "InlineFormula"],
 " objects"
}], "MathCaption",
 CellID->340055893],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Conjugate", "[", "X", "]"}]], "Input",
 CellLabel->"In[12]:=",
 CellID->278966175],

Cell[BoxData[
 RowBox[{"ComplexLike", "[", 
  RowBox[{"1", ",", 
   RowBox[{"-", 
    SqrtBox["29"]}]}], "]"}]], "Output",
 ImageSize->{150, 21},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[12]=",
 CellID->786498816]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Abs", "[", "X", "]"}]], "Input",
 CellLabel->"In[13]:=",
 CellID->88274341],

Cell[BoxData[
 SqrtBox["30"]], "Output",
 ImageSize->{33, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[13]=",
 CellID->153298326]
}, Open  ]],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"\[Omega]", "(", "x", ")"}], "\[LongEqual]", 
    RowBox[{"\[Omega]", "(", "y", ")"}]}], TraditionalForm]], "InlineMath"],
 ", then all the algebraic operations can be computed as if ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox["y", TraditionalForm]], "InlineMath"],
 " were complex numbers."
}], "MathCaption",
 CellID->318965085],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"a", ",", "2", ",", "3", ",", "4"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"x", "**", "y"}]}], "Input",
 CellLabel->"In[14]:=",
 CellID->779751438],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "29"}], "+", "a"}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"3", "+", 
    RowBox[{"3", " ", "a"}]}], ",", 
   RowBox[{"4", "+", 
    RowBox[{"4", " ", "a"}]}]}], "]"}]], "Output",
 ImageSize->{274, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[15]=",
 CellID->156958123]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"ToComplexLike", "[", "x", "]"}], 
  RowBox[{"ToComplexLike", "[", "y", "]"}]}]], "Input",
 CellLabel->"In[16]:=",
 CellID->5874579],

Cell[BoxData[
 RowBox[{"ComplexLike", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "29"}], "+", "a"}], ",", 
   RowBox[{
    SqrtBox["29"], "+", 
    RowBox[{
     SqrtBox["29"], " ", "a"}]}]}], "]"}]], "Output",
 ImageSize->{229, 21},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[16]=",
 CellID->447527546]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"First", "[", "%", "]"}], "+", 
   RowBox[{
    RowBox[{"Last", "[", "%", "]"}], 
    RowBox[{"W", "[", "x", "]"}]}]}], "//", "Simplify"}]], "Input",
 CellLabel->"In[17]:=",
 CellID->16945644],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "29"}], "+", "a"}], ",", 
   RowBox[{"2", "+", 
    RowBox[{"2", " ", "a"}]}], ",", 
   RowBox[{"3", "+", 
    RowBox[{"3", " ", "a"}]}], ",", 
   RowBox[{"4", "+", 
    RowBox[{"4", " ", "a"}]}]}], "]"}]], "Output",
 ImageSize->{274, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[17]=",
 CellID->369067571]
}, Open  ]],

Cell["The PolarForm of a quaternion", "MathCaption",
 CellID->437189593],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"PolarForm", "[", "x", "]"}]], "Input",
 CellLabel->"In[18]:=",
 CellID->70589302],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SqrtBox["30"], ",", 
   RowBox[{"ArcCot", "[", 
    FractionBox["1", 
     SqrtBox["29"]], "]"}]}], "}"}]], "Output",
 ImageSize->{148, 36},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[18]=",
 CellID->72554811]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"Abs", "[", "x", "]"}], ",", 
   RowBox[{"ArcCot", "[", 
    RowBox[{
     RowBox[{"Re", "[", "x", "]"}], "/", 
     RowBox[{"AbsVec", "[", "x", "]"}]}], "]"}]}], "}"}]], "Input",
 CellLabel->"In[19]:=",
 CellID->634485280],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   SqrtBox["30"], ",", 
   RowBox[{"ArcCot", "[", 
    FractionBox["1", 
     SqrtBox["29"]], "]"}]}], "}"}]], "Output",
 ImageSize->{148, 36},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[19]=",
 CellID->66537248]
}, Open  ]],

Cell["Complex form of a quaternion", "MathCaption",
 CellID->148154256],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"QuaternionToComplex", "[", "x", "]"}]], "Input",
 CellLabel->"In[20]:=",
 CellID->475749512],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"1", "+", 
    RowBox[{"2", " ", "\[ImaginaryI]"}]}], ",", 
   RowBox[{"3", "+", 
    RowBox[{"4", " ", "\[ImaginaryI]"}]}]}], "}"}]], "Output",
 ImageSize->{103, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[20]=",
 CellID->166169136]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ComplexToQuaternion", "@@", "%"}]], "Input",
 CellLabel->"In[21]:=",
 CellID->22736781],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{"1", ",", "2", ",", "3", ",", "4"}], "]"}]], "Output",
 ImageSize->{149, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[21]=",
 CellID->171475446]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"QuaternionToComplexMatrix", "[", "x", "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[22]:=",
 CellID->450765332],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{"1", "+", 
       RowBox[{"2", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"3", "+", 
       RowBox[{"4", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "3"}], "+", 
       RowBox[{"4", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"1", "-", 
       RowBox[{"2", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{114, 29},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[22]//MatrixForm=",
 CellID->714359245]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"y", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"4", ",", "3", ",", "2", ",", "1"}], "]"}]}], ";", 
  RowBox[{"x", "**", "y"}]}]], "Input",
 CellLabel->"In[23]:=",
 CellID->208975474],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{"-", "12"}], ",", "6", ",", "24", ",", "12"}], "]"}]], "Output",
 ImageSize->{178, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[23]=",
 CellID->74676162]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"QuaternionToComplexMatrix", "[", "x", "]"}], ".", 
    RowBox[{"QuaternionToComplexMatrix", "[", "y", "]"}]}], "//", 
   "MatrixForm"}], "\[IndentingNewLine]"}]], "Input",
 CellLabel->"In[24]:=",
 CellID->71157755],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      RowBox[{
       RowBox[{"-", "12"}], "+", 
       RowBox[{"6", " ", "\[ImaginaryI]"}]}], 
      RowBox[{"24", "+", 
       RowBox[{"12", " ", "\[ImaginaryI]"}]}]},
     {
      RowBox[{
       RowBox[{"-", "24"}], "+", 
       RowBox[{"12", " ", "\[ImaginaryI]"}]}], 
      RowBox[{
       RowBox[{"-", "12"}], "-", 
       RowBox[{"6", " ", "\[ImaginaryI]"}]}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{143, 29},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[24]//MatrixForm=",
 CellID->52253071]
}, Open  ]],

Cell["Matrix form of a quaternion", "MathCaption",
 CellID->299597479],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"QuaternionToMatrixL", "[", "x", "]"}], "//", 
  "MatrixForm"}]], "Input",
 CellLabel->"In[25]:=",
 CellID->43456513],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {"1", 
      RowBox[{"-", "2"}], 
      RowBox[{"-", "3"}], 
      RowBox[{"-", "4"}]},
     {"2", "1", 
      RowBox[{"-", "4"}], "3"},
     {"3", "4", "1", 
      RowBox[{"-", "2"}]},
     {"4", 
      RowBox[{"-", "3"}], "2", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 ImageSize->{100, 57},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[25]//MatrixForm=",
 CellID->162752174]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"QuaternionToMatrixL", "[", "x", "]"}], ".", 
  RowBox[{"List", "@@", "y"}]}]], "Input",
 CellLabel->"In[26]:=",
 CellID->122353662],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "12"}], ",", "6", ",", "24", ",", "12"}], "}"}]], "Output",
 ImageSize->{108, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[26]=",
 CellID->25269026]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"QuaternionToMatrixR", "[", "y", "]"}], ".", 
  RowBox[{"List", "@@", "x"}]}]], "Input",
 CellLabel->"In[27]:=",
 CellID->276643628],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{
   RowBox[{"-", "12"}], ",", "6", ",", "24", ",", "12"}], "}"}]], "Output",
 ImageSize->{108, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[27]=",
 CellID->66523302]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Quaternion Analysis", "Subsection",
 CellID->538363480],

Cell[TextData[{
 "In 1935, R. Fueter, one of the founders of Quaternion (or Quaternionic) \
Analysis, proposed a generalization of complex analyticity to the \
quaternionic case by means of an analogue of the Cauchy-Riemann equations. \n\
The QuaternionAnalysis package leads with quaternion-valued functions ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 " of one quaternion variable ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 ", defined in a domain ",
 Cell[BoxData[
  FormBox[
   RowBox[{"\[CapitalOmega]", "\[Subset]", 
    SuperscriptBox["\[DoubleStruckCapitalR]", "4"]}], TraditionalForm]], 
  "InlineMath"],
 ", of the form "
}], "Text",
 CellID->315864047],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], " ", "\[LongEqual]", " ", 
    RowBox[{
     RowBox[{
      SubscriptBox["f", "0"], "(", "x", ")"}], "+", 
     RowBox[{"i", " ", 
      RowBox[{
       SubscriptBox["f", "1"], "(", "x", ")"}]}], "+", 
     RowBox[{"j", " ", 
      RowBox[{
       SubscriptBox["f", "2"], "(", "x", ")"}]}], "+", 
     RowBox[{"k", " ", 
      RowBox[{
       SubscriptBox["f", "3"], "(", "x", ")"}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 ","
}], "Text",
 TextAlignment->Center,
 CellID->258566604],

Cell[TextData[{
 "where  ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 "=",
 Cell[BoxData[
  FormBox["(", TraditionalForm]], "InlineMath"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["x", 
      RowBox[{"0", ",", " "}]], 
     SubscriptBox["x", "1"]}], ",", " ", 
    SubscriptBox["x", "2"], ",", 
    SubscriptBox["x", "3"]}], TraditionalForm]], "InlineMath"],
 ") and ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "k"], TraditionalForm]], "InlineMath"],
 " are real valued in ",
 Cell[BoxData[
  FormBox["\[CapitalOmega]", TraditionalForm]], "InlineMath"],
 " functions. Continuity, differentiability or integrability are defined  \
coordinatewisely."
}], "Text",
 CellID->29326599],

Cell["The quaternionic Cauchy-Riemann operator is defined as", "Text",
 CellID->439523303],

Cell[TextData[{
 " ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[PartialD]", "_"], TraditionalForm]]],
 " = ",
 Cell[BoxData[
  RowBox[{
   SubscriptBox[
    FormBox["\[PartialD]",
     TraditionalForm], "0"], 
   RowBox[{"+", 
    SubscriptBox["\[PartialD]", 
     UnderscriptBox["x", "_"]]}]}]], "InlineFormula"],
 ", where ",
 Cell[BoxData[
  SubscriptBox["\[PartialD]", "0"]], "InlineFormula"],
 " = ",
 Cell[BoxData[
  RowBox[{
   FractionBox["\[PartialD]", 
    SubscriptBox["\[PartialD]", 
     SubscriptBox["x", "0"]]], " "}]], "InlineFormula"],
 " and ",
 Cell[BoxData[
  SubscriptBox["\[PartialD]", 
   UnderscriptBox["x", "_"]]], "InlineFormula"],
 " is the Dirac operator  ",
 Cell[BoxData[
  SubscriptBox["\[PartialD]", 
   UnderscriptBox["x", "_"]]], "InlineFormula"],
 " = ",
 Cell[BoxData[
  FormBox["i", TraditionalForm]], "InlineMath"],
 Cell[BoxData[
  FractionBox["\[PartialD]", 
   SubscriptBox["\[PartialD]", 
    SubscriptBox["x", "1"]]]]],
 Cell[BoxData[
  FormBox[
   RowBox[{"+", "j"}], TraditionalForm]], "InlineMath"],
 Cell[BoxData[
  FractionBox["\[PartialD]", 
   SubscriptBox["\[PartialD]", 
    SubscriptBox["x", "2"]]]]],
 "+",
 Cell[BoxData[
  FormBox["k", TraditionalForm]], "InlineMath"],
 Cell[BoxData[
  FractionBox["\[PartialD]", 
   SubscriptBox["\[PartialD]", 
    SubscriptBox["x", "3"]]]]],
 ". "
}], "Text",
 TextAlignment->Center,
 CellID->70552117],

Cell[TextData[{
 "A ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["C", "1"], TraditionalForm]], "InlineMath"],
 "-function ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 " satisfying the equation ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     OverscriptBox["\[PartialD]", "_"], "f"}], "\[LongEqual]", "0"}], 
   TraditionalForm]], "InlineMath"],
 " (resp. ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", 
     OverscriptBox["\[PartialD]", "_"]}], "\[LongEqual]", "0"}], 
   TraditionalForm]], "InlineMath"],
 ") is called left monogenic (resp. right monogenic). A function which is \
both left and right monogenic is called  monogenic. In such case, the \
derivative  ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["f", "\[Prime]",
    MultilineFunction->None], TraditionalForm]], "InlineMath"],
 " can be expressed by the real partial derivatives as in the complex case:"
}], "Text",
 CellID->46589408],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["f", "\[Prime]",
     MultilineFunction->None], " ", "\[LongEqual]", " ", 
    FractionBox["1", "2"]}], TraditionalForm]], "InlineMath"],
 " \[PartialD]",
 Cell[BoxData[
  FormBox[
   RowBox[{"f", " "}], TraditionalForm]], "InlineMath"],
 "= ",
 Cell[BoxData[
  SubscriptBox["\[PartialD]", "0"]]],
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 ",  where \[PartialD] =",
 Cell[BoxData[
  RowBox[{
   SubscriptBox[
    FormBox[
     RowBox[{" ", "\[PartialD]"}],
     StandardForm], "0"], 
   RowBox[{"-", 
    SubscriptBox["\[PartialD]", 
     UnderscriptBox["x", "_"]]}]}]], "InlineFormula"],
 " "
}], "Text",
 TextAlignment->Center,
 CellID->621907457],

Cell["is the conjugate Cauchy-Riemann operator.", "Text",
 CellID->117389258],

Cell[BoxData[GridBox[{
   {
    StyleBox[
     RowBox[{
      ButtonBox[
       ButtonBox["CauchyRiemannL",
        BaseStyle->"Link",
        ButtonData->"paclet:QuaternionAnalysis/ref/CauchyRiemannL"],
       BaseStyle->"Link",
       ButtonData->"paclet:QuaternionAnalysis/ref/CauchyRiemannL"], "[", "f", 
      "]"}],
     FontFamily->"Courier New"], 
    StyleBox[Cell[TextData[StyleBox[
     "Cauchy Riemann operator acting on f from the left",
      FontSize->11]], "TableText"], "TR",
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["CauchyRiemannR",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/CauchyRiemannR"], 
     StyleBox["[",
      FontFamily->"Courier New"], 
     StyleBox["f",
      FontFamily->"Courier New"], 
     StyleBox["]",
      FontFamily->"Courier New"]}], 
    StyleBox[Cell[TextData[StyleBox[
     "Cauchy Riemann operator acting on f from the right",
      FontSize->11]], "TableText"], "TR",
     FontFamily->"Times New Roman",
     FontSize->10]},
   {
    RowBox[{
     ButtonBox["DiracL",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/DiracL"], 
     StyleBox["[",
      FontFamily->"Courier New"], 
     StyleBox["f",
      FontFamily->"Courier New"], 
     StyleBox["]",
      FontFamily->"Courier New"]}], 
    StyleBox[Cell[TextData[{
      StyleBox["Dirac",
       FontSize->11],
      " ",
      StyleBox["operator acting on f from the left",
       FontSize->11]
     }], "TableText"], "TR",
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["DiracR",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/DiracR"], 
     StyleBox["[",
      FontFamily->"Courier New"], 
     StyleBox["f",
      FontFamily->"Courier New"], 
     StyleBox["]",
      FontFamily->"Courier New"]}], 
    StyleBox[Cell[TextData[StyleBox[
     "Dirac operator acting on f from the right",
      FontSize->11]], "TableText"], "TR",
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["Laplace",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/Laplace"], 
     StyleBox["[",
      FontFamily->"Courier New"], 
     StyleBox["f",
      FontFamily->"Courier New"], 
     StyleBox["]",
      FontFamily->"Courier New"]}], 
    StyleBox[
     RowBox[{"Laplace", " ", "operator"}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["MonogenicQ",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/MonogenicQ"], 
     StyleBox["[",
      FontFamily->"Courier New"], 
     StyleBox["f",
      FontFamily->"Courier New"], 
     StyleBox["]",
      FontFamily->"Courier New"]}], 
    StyleBox[Cell[TextData[{
      StyleBox["gives",
       FontSize->11],
      " ",
      StyleBox["True for monogenic functions f",
       FontSize->11]
     }], "TableText"], "TR",
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["Derivative",
      BaseStyle->"Link",
      ButtonData->"paclet:ref/Derivative"], 
     StyleBox["[",
      FontFamily->"Courier New"], 
     StyleBox["f",
      FontFamily->"Courier New"], 
     StyleBox["]",
      FontFamily->"Courier New"]}], 
    StyleBox[
     RowBox[{
     "gives", " ", "the", " ", "derivative", " ", "of", " ", "monogenic", " ",
       "function", " ", "f"}], "TR",
     FontFamily->"Verdana"]}
  }]], "DefinitionBox",
 CellID->192710129],

Cell["Quaternion Analysis", "Caption",
 CellID->215151766],

Cell["A non-monogenic function", "MathCaption",
 CellID->76438764],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "=", 
  RowBox[{"QPower", "[", 
   RowBox[{
    RowBox[{"Quaternion", "[", 
     RowBox[{"X0", ",", "X1", ",", "X2", ",", "X3"}], "]"}], ",", "2"}], 
   "]"}]}]], "Input",
 CellLabel->"In[10]:=",
 CellID->147177334],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{
    SuperscriptBox["X0", "2"], "-", 
    SuperscriptBox["X1", "2"], "-", 
    SuperscriptBox["X2", "2"], "-", 
    SuperscriptBox["X3", "2"]}], ",", 
   RowBox[{"2", " ", "X0", " ", "X1"}], ",", 
   RowBox[{"2", " ", "X0", " ", "X2"}], ",", 
   RowBox[{"2", " ", "X0", " ", "X3"}]}], "]"}]], "Output",
 ImageSize->{363, 18},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[10]=",
 CellID->228361583]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"CauchyRiemannL", "[", "f", "]"}]], "Input",
 CellLabel->"In[55]:=",
 CellID->50092821],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "4"}], " ", "X0"}], ",", "0", ",", "0", ",", "0"}], 
  "]"}]], "Output",
 ImageSize->{174, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[55]=",
 CellID->99441191]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MonogenicQ", "[", "f", "]"}]], "Input",
 CellLabel->"In[56]:=",
 CellID->76465670],

Cell[BoxData["False"], "Output",
 ImageSize->{39, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[56]=",
 CellID->279811471]
}, Open  ]],

Cell["Monogenic functions", "MathCaption",
 CellID->33573670],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"f", "=", 
  RowBox[{"Quaternion", "[", 
   RowBox[{
    RowBox[{
     RowBox[{"X1", " ", "X2", " ", "X3"}], "-", "1"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "X0"}], " ", "X2", " ", "X3"}], "+", "1"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "X0"}], " ", "X1", "  ", "X3"}], "+", "1"}], ",", 
    RowBox[{
     RowBox[{
      RowBox[{"-", "X0"}], " ", "X1", " ", "X2"}], "+", "1"}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[51]:=",
 CellID->60156105],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"-", "1"}], "+", 
    RowBox[{"X1", " ", "X2", " ", "X3"}]}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"X0", " ", "X2", " ", "X3"}]}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"X0", " ", "X1", " ", "X3"}]}], ",", 
   RowBox[{"1", "-", 
    RowBox[{"X0", " ", "X1", " ", "X2"}]}]}], "]"}]], "Output",
 ImageSize->{401, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[51]=",
 CellID->301446581]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MonogenicQ", "[", "f", "]"}]], "Input",
 CellLabel->"In[52]:=",
 CellID->509663854],

Cell[BoxData["True"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[52]=",
 CellID->412229574]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Derivative", "[", "f", "]"}]], "Input",
 CellLabel->"In[53]:=",
 CellID->408076013],

Cell[BoxData[
 RowBox[{"Quaternion", "[", 
  RowBox[{"0", ",", 
   RowBox[{
    RowBox[{"-", "X2"}], " ", "X3"}], ",", 
   RowBox[{
    RowBox[{"-", "X1"}], " ", "X3"}], ",", 
   RowBox[{
    RowBox[{"-", "X1"}], " ", "X2"}]}], "]"}]], "Output",
 ImageSize->{245, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[53]=",
 CellID->158492373]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"g", "=", 
   RowBox[{"ComplexLike", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"-", 
       FractionBox[
        SuperscriptBox["r", "2"], "3"]}], "+", 
      SuperscriptBox["x0", "2"]}], ",", 
     FractionBox[
      RowBox[{"2", " ", "r", " ", "x0"}], "3"]}], "]"}]}], ";"}]], "Input",
 CellLabel->"In[11]:=",
 CellID->216223926],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MonogenicQ", "[", 
  RowBox[{"g", ",", "x0", ",", "r"}], "]"}]], "Input",
 CellLabel->"In[12]:=",
 CellID->562548354],

Cell[BoxData["True"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[12]=",
 CellID->244266810]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Clifford Analysis", "Subsection",
 CellID->152302960],

Cell[TextData[{
 "Let ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["e", "1"], ",", 
     SubscriptBox["e", "2"], ",", "...", " ", ",", " ", 
     SubscriptBox["e", "n"]}], "}"}], TraditionalForm]], "InlineMath"],
 " be an orthonormal basis of the euclidean vector space",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SuperscriptBox["\[DoubleStruckCapitalR]", "n"]}], TraditionalForm]]],
 " with a product according to the multiplication rules "
}], "Text",
 CellID->535226969],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["e", "k"], 
       SubscriptBox["e", "l"]}], "+", 
      RowBox[{
       SubscriptBox["e", "l"], 
       SubscriptBox["e", "k"]}]}], "=", 
     RowBox[{
      RowBox[{"-", "2"}], 
      SubscriptBox["\[Delta]", "kl"]}]}], ",", " ", "k", ",", " ", 
    RowBox[{"l", " ", "=", "1"}], ",", "...", " ", ",", "n"}], 
   TraditionalForm]], "InlineMath"],
 ", where",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox["\[Delta]", "kl"]}], TraditionalForm]], "InlineMath"],
 " is the Kronecker symbol. "
}], "Text",
 TextAlignment->Center,
 CellID->5518875],

Cell[TextData[{
 "This non-commutative product generates the ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["2", "n"], TraditionalForm]], "InlineMath"],
 "-dimensional  Clifford Algebra",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SubscriptBox["Cl", 
     RowBox[{"0", ",", "n"}]]}], TraditionalForm]], "InlineMath"],
 " over \[DoubleStruckCapitalR] and the set ",
 Cell[BoxData[
  FormBox[
   RowBox[{"{", 
    RowBox[{
     SubscriptBox["e", "A"], ":", 
     RowBox[{"A", "\[Subset]", 
      RowBox[{"{", 
       RowBox[{"1", ",", "...", " ", ",", "n"}], "}"}]}]}], "}"}], 
   TraditionalForm]], "InlineMath"],
 " with ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["e", "A"], "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       SubscriptBox["e", 
        SubscriptBox["h", "1"]], 
       SubscriptBox["e", 
        SubscriptBox["h", "2"]]}], "..."}], " ", 
     SubscriptBox["e", 
      SubscriptBox["h", "r"]]}]}], TraditionalForm]], "InlineMath"],
 ",  ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"1", "\[LessEqual]", 
       SubscriptBox["h", "1"], "<"}], "..."}], "<", 
     SubscriptBox["h", "r"], "\[LessEqual]", "n"}], ",", " ", 
    RowBox[{
     SubscriptBox["e", "\[EmptySet]"], "=", 
     RowBox[{
      SubscriptBox["e", "0"], "=", "1"}]}]}], TraditionalForm]], "InlineMath"],
 ", forms a basis of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Cl", 
    RowBox[{"0", ",", "n"}]], TraditionalForm]], "InlineMath"],
 ". Denoting by ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]], "InlineMath"],
 " the subset  of the  Algebra ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Cl", 
    RowBox[{"0", ",", "n"}]], TraditionalForm]], "InlineMath"],
 ", ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["A", "n"], "=", 
    RowBox[{
     SubscriptBox["span", 
      RowBox[{" ", "\[DoubleStruckCapitalR]"}]], 
     RowBox[{"{", 
      RowBox[{"1", ",", 
       SubscriptBox["e", "1"], ",", 
       SubscriptBox["e", "2"], ",", "...", " ", ",", " ", 
       SubscriptBox["e", "n"]}], "}"}]}]}], TraditionalForm]], "InlineMath"],
 " the real vector space ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", 
    RowBox[{"n", "+", "1"}]], TraditionalForm]]],
 " can be embedded in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]], "InlineMath"],
 " by the identification of each element ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      SubscriptBox["x", "0"], ",", 
      SubscriptBox["x", "1"], ",", "...", " ", ",", 
      SubscriptBox["x", "n"]}], ")"}], " ", "\[Element]", " ", 
    "\[DoubleStruckCapitalR]", " "}], TraditionalForm]], "InlineMath"],
 " with the so-called paravector ",
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       RowBox[{
        SubscriptBox["x", "0"], "+", 
        RowBox[{
         SubscriptBox["x", "1"], 
         SubscriptBox["e", "1"]}], "+", 
        RowBox[{
         SubscriptBox["x", "2"], " ", 
         SubscriptBox["e", "2"]}], "+"}], "..."}], " ", "+", 
      RowBox[{
       SubscriptBox["x", "n"], 
       SubscriptBox["e", "n"]}]}], "\[Element]", " ", 
     SubscriptBox["A", "n"]}]}], TraditionalForm]], "InlineMath"],
 ".\nSimilarly to the quaternionic and complex case, a paravector can be \
written in terms of a real part and a vector part as "
}], "Text",
 CellID->47992747],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "=", 
    RowBox[{
     SubscriptBox["x", "0"], "+", 
     UnderscriptBox["x", "_"]}]}], TraditionalForm]], "InlineMath"],
 ", "
}], "Text",
 TextAlignment->Center,
 CellID->56104498],

Cell[TextData[{
 "the conjugate of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " is "
}], "Text",
 CellID->62072223],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   OverscriptBox["x", "_"], "=", 
   RowBox[{
    SubscriptBox["x", "0"], "-", 
    UnderscriptBox["x", "_"]}]}], TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->227739551],

Cell[TextData[{
 "and the norm ",
 Cell[BoxData[
  FormBox[
   TemplateBox[{"x"},
    "Abs"], TraditionalForm]], "InlineMath"],
 " of ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " is defined by"
}], "Text",
 CellID->306834383],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SuperscriptBox[
    RowBox[{"\[LeftBracketingBar]", "x", "\[RightBracketingBar]"}], "2"], "=", 
   RowBox[{
    RowBox[{"x", 
     OverscriptBox["x", "_"]}], "=", 
    RowBox[{
     RowBox[{
      RowBox[{
       SuperscriptBox[
        SubscriptBox["x", "0"], "2"], "+", 
       SuperscriptBox[
        SubscriptBox["x", "1"], "2"], "+"}], ".."}], " ", "+", 
     SuperscriptBox[
      SubscriptBox["x", "n"], "2"]}]}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->294493521],

Cell["Moreover, denoting by", "Text",
 CellID->802641884],

Cell[TextData[{
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      RowBox[{"\[Omega]", "(", "x", ")"}], "\[LongEqual]", 
      FractionBox[
       UnderscriptBox["x", "_"], 
       RowBox[{"\[LeftBracketingBar]", 
        UnderscriptBox["x", "_"], "\[RightBracketingBar]"}]]}], "\[Element]", 
     " ", 
     SuperscriptBox["S", "n"]}], ","}], TraditionalForm]], "InlineMath"]
}], "Text",
 TextAlignment->Center,
 CellID->247909861],

Cell[TextData[{
 " where ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["S", "n"], TraditionalForm]], "InlineMath"],
 " is the unit sphere in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", "n"], TraditionalForm]]],
 ", each paravector ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " can be written as a complex-like number"
}], "Text",
 CellID->269530335],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{"x", "\[LongEqual]", 
    SubscriptBox["x", "0"]}], TraditionalForm]], "InlineMath"],
 Cell[BoxData[
  FormBox[
   RowBox[{"+", 
    RowBox[{"\[Omega]", "(", "x", ")"}]}], TraditionalForm]], "InlineMath"],
 " |",
 Cell[BoxData[
  FormBox[
   StyleBox["x",
    FontVariations->{"Underline"->True}], TraditionalForm]], "InlineMath"],
 "|."
}], "Text",
 TextAlignment->Center,
 CellID->93444533],

Cell[TextData[{
 "In general, due to the algebraic properties of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Cl", 
    RowBox[{"0", ",", "n"}]], TraditionalForm]], "InlineMath"],
 ", we have to assume that a monogenic function ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 ", defined in some open subset ",
 Cell[BoxData[
  FormBox["\[CapitalOmega]", TraditionalForm]], "InlineMath"],
 " \[Subset]",
 Cell[BoxData[
  FormBox[
   RowBox[{" ", 
    SuperscriptBox["\[DoubleStruckCapitalR]", 
     RowBox[{"n", "+", "1"}]]}], TraditionalForm]]],
 ", has values in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Cl", 
    RowBox[{"0", ",", "n"}]], TraditionalForm]], "InlineMath"],
 ", i.e., it is of the form "
}], "Text",
 CellID->40140477],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"f", "(", "x", ")"}], "\[LongEqual]", 
    RowBox[{
     UnderscriptBox["\[Sum]", "A"], 
     RowBox[{
      SubscriptBox["e", "A"], " ", 
      RowBox[{
       SubscriptBox["f", "A"], "(", "x", ")"}]}]}]}], TraditionalForm]], 
  "InlineMath"],
 ", "
}], "Text",
 TextAlignment->Center,
 CellID->383367074],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["f", "A"], TraditionalForm]], "InlineMath"],
 " are real functions.\nThe Cauchy-Riemann operator in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", 
    RowBox[{"n", "+", "1"}]], TraditionalForm]]],
 " is obtained from the generalized Dirac operator"
}], "Text",
 CellID->330194706],

Cell[TextData[{
 " ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[PartialD]", "_"], TraditionalForm]]],
 "=",
 Cell[BoxData[
  RowBox[{
   SubscriptBox[
    FormBox["\[PartialD]",
     StandardForm], "0"], 
   RowBox[{"+", 
    SubscriptBox["\[PartialD]", 
     UnderscriptBox["x", "_"]]}]}]], "InlineFormula"],
 ", ",
 "where",
 " ",
 Cell[BoxData[
  RowBox[{" ", 
   RowBox[{
    SubscriptBox["\[PartialD]", 
     UnderscriptBox["x", "_"]], 
    RowBox[{"=", 
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"i", "=", "1"}], "n"]}]}]}]], "InlineFormula"],
 Cell[BoxData[
  FormBox[
   RowBox[{
    SubscriptBox["e", "i"], " ", 
    FractionBox["\[PartialD]", 
     SubscriptBox["\[PartialD]", 
      SubscriptBox["x", "i"]]]}], TraditionalForm]], "InlineMath"]
}], "Text",
 TextAlignment->Center,
 CellID->346362276],

Cell[TextData[{
 "and ",
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 " is a  monogenic function in the sense of Clifford Analysis if it belongs \
to the kernel of ",
 Cell[BoxData[
  FormBox[
   OverscriptBox["\[PartialD]", "_"], TraditionalForm]]],
 ". \nIn such case,"
}], "Text",
 CellID->684134308],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    SuperscriptBox["f", "\[Prime]",
     MultilineFunction->None], "\[LongEqual]", 
    FractionBox["1", "2"]}], TraditionalForm]], "InlineMath"],
 " \[PartialD]",
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 " = ",
 Cell[BoxData[
  SubscriptBox["\[PartialD]", "0"]]],
 Cell[BoxData[
  FormBox["f", TraditionalForm]], "InlineMath"],
 ","
}], "Text",
 TextAlignment->Center,
 CellID->33038443],

Cell["like in the complex and quaternionic case.", "Text",
 CellID->77781262],

Cell[TextData[{
 "One of the objectives of the ",
 ButtonBox["QuaternionAnalysis",
  BaseStyle->"Link",
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 " package is to endow the original ",
 ButtonBox["Quaternions ",
  BaseStyle->"Link",
  ButtonData->"paclet:Quaternions/tutorial/Quaternions"],
 "package with the ability to operate on paravector elements. For this \
purpose, the new object ",
 Cell[BoxData[
  ButtonBox["Paravector",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"]], "InlineFormula"],
 " is introduced and some elementary operations and functions are extended: ",
 Cell[BoxData[
  ButtonBox["ToComplexLike",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/ToComplexLike"]], 
  "InlineFormula"],
 ", ",
 StyleBox[ButtonBox["Plus",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Plus"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Re",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Re"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Conjugate",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Conjugate"], "InlineCode"],
 ",  ",
 StyleBox[ButtonBox["Dot",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Dot"], "InlineCode"],
 ",  ",
 StyleBox[ButtonBox["Abs",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Abs"], "InlineCode"],
 ", ",
 StyleBox[ButtonBox["Norm",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Norm"], "InlineCode"],
 ",  ",
 Cell[BoxData[
  ButtonBox["Vec",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/Vec"]], "InlineFormula"],
 ", ",
 Cell[BoxData[
  ButtonBox["AbsVec",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/AbsVec"]], "InlineFormula"],
 ", ",
 Cell[BoxData[
  ButtonBox["W",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/W"]], "InlineFormula"],
 ", ",
 Cell[BoxData[
  ButtonBox["MonogenicQ",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/MonogenicQ"]], "InlineFormula"],
 ", ",
 StyleBox[ButtonBox["Derivative",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Derivative"], "InlineCode"],
 ButtonBox[".",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Derivative"]
}], "Text",
 CellID->29387247],

Cell[TextData[{
 "If nothing is declare otherwise, it is assumed that ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "3", " "}], TraditionalForm]], "InlineMath"],
 " and therefore the new functions accept as arguments objects of the form ",
 StyleBox[ButtonBox["Quaternion",
  BaseStyle->"Link",
  ButtonData->"paclet:QuaternionAnalysis/ref/Quaternion"], "InlineCode"],
 " or ",
 Cell[BoxData[
  ButtonBox["Paravector",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"]], "InlineFormula"],
 ". For different values of ",
 Cell[BoxData[
  FormBox["n", TraditionalForm]], "InlineMath"],
 " one has to  declare the space dimension, through the command ",
 Cell[BoxData[
  ButtonBox["SetCoordinates",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/SetCoordinates"]], 
  "InlineFormula"],
 "."
}], "Text",
 CellID->200051800],

Cell[BoxData[GridBox[{
   {
    StyleBox[
     RowBox[{
      ButtonBox["Paravector",
       BaseStyle->"Link",
       ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"], "[", 
      RowBox[{"x0", ",", "x1", ",", "x2", ",", "..."}], "]"}],
     FontFamily->"Courier New"], 
    StyleBox[
     RowBox[{
      RowBox[{
       RowBox[{"represents", " ", "the", " ", "paravector", " ", "x0"}], "+", 
       RowBox[{"x1", " ", "e1"}], "+", 
       RowBox[{"x2", " ", "e2"}], "+"}], "..."}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["SetCoordinates",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/SetCoordinates"], "[", 
     RowBox[{"x0", ",", "x1", ",", "x2", ",", "..."}], "]"}], 
    StyleBox[
     RowBox[{
      RowBox[{
      "sets", " ", "the", " ", "default", " ", "coordinates", " ", "to", " ", 
       "be", " ", "x0"}], ",", " ", "x1", " ", ",", " ", "x2", ",", "..."}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["SetCoordinates",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/SetCoordinates"], "[", "n", 
     "]"}], 
    StyleBox[
     RowBox[{
      RowBox[{
      "sets", " ", "the", " ", "default", " ", "coordinates", " ", "to", " ", 
       "be", " ", "X0"}], ",", "X1", ",", " ", "...", "  ", ",", 
      RowBox[{"X", 
       RowBox[{"(", 
        RowBox[{"n", "-", "1"}], ")"}]}]}],
     FontFamily->"Verdana"]},
   {
    ButtonBox["$CoordinatesList",
     BaseStyle->"Link",
     ButtonData->"paclet:QuaternionAnalysis/ref/$CoordinatesList"], 
    StyleBox[
     RowBox[{
      StyleBox[
       RowBox[{
        StyleBox["gi", "MSG",
         FontFamily->"Verdana",
         FontSize->10], "ves"}]], 
      StyleBox[" ", "MSG",
       FontFamily->"Verdana",
       FontSize->10], 
      StyleBox[
       RowBox[{
        StyleBox["t", "MSG",
         FontFamily->"Verdana",
         FontSize->10], "he"}]], 
      StyleBox[" ", "MSG",
       FontFamily->"Verdana",
       FontSize->10], 
      StyleBox[
       RowBox[{
        StyleBox["l", "MSG",
         FontFamily->"Verdana",
         FontSize->10], 
        StyleBox[
         StyleBox["i", "MSG",
          FontFamily->"Verdana",
          FontSize->10], "MSG",
         FontFamily->"Verdana",
         FontSize->10], "st"}]], " ", "of", " ", 
      RowBox[{"variables", "."}], " ", 
      RowBox[{"{", 
       RowBox[{"X0", ",", "X1", ",", "X2", ",", "X3"}], "}"}], "  ", "is", 
      " ", "the", " ", "default", " ", "coordinates", " ", 
      RowBox[{"list", "."}]}], "MSG",
     FontFamily->"Verdana"]},
   {
    ButtonBox["$Dim",
     BaseStyle->"Link",
     ButtonData->"paclet:QuaternionAnalysis/ref/$Dim"], 
    StyleBox[
     RowBox[{
      StyleBox[
       RowBox[{
        StyleBox["g", "MSG",
         FontFamily->"Verdana",
         FontSize->10], "ives"}]], 
      StyleBox[" ", "MSG",
       FontFamily->"Verdana",
       FontSize->10], 
      StyleBox[
       RowBox[{
        StyleBox["t", "MSG",
         FontFamily->"Verdana",
         FontSize->10], "he"}]], " ", "dimension", " ", "of", " ", "the", " ", 
      RowBox[{"space", ".", " ", "The"}], " ", "default", " ", "dimension", 
      " ", "is", " ", "4", 
      StyleBox[" ", "MSG",
       FontFamily->"Verdana",
       FontSize->10], 
      RowBox[{
       StyleBox[
        StyleBox["(", "MSG",
         FontFamily->"Verdana",
         FontSize->10], "MSG",
        FontFamily->"Verdana",
        FontSize->10], 
       StyleBox[
        StyleBox[
         RowBox[{"n", 
          StyleBox["=", "MSG",
           FontFamily->"Verdana",
           FontSize->10], 
          StyleBox[
           StyleBox["3", "MSG",
            FontFamily->"Verdana",
            FontSize->10], "MSG",
           FontFamily->"Verdana",
           FontSize->10]}], "MSG",
         FontFamily->"Verdana",
         FontSize->10], "MSG",
        FontFamily->"Verdana",
        FontSize->10], ")"}]}], "MSG",
     FontFamily->"Verdana"]}
  }]], "DefinitionBox",
 CellID->112341302],

Cell["Paravectors", "Caption",
 CellID->259755433],

Cell["Set the dimension of the space ", "MathCaption",
 CellID->6598569],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetCoordinates", "[", 
  RowBox[{"x0", ",", "x1", ",", "x2"}], "]"}]], "Input",
 CellLabel->"In[13]:=",
 CellID->489756008],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"SetCoordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({x0, x1, x2}\\)\
\[NoBreak].\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[13]:=",
 CellID->624780164]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData["$Dim"], "Input",
 CellLabel->"In[62]:=",
 CellID->349113338],

Cell[BoxData["3"], "Output",
 ImageSize->{11, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[62]=",
 CellID->599035864]
}, Open  ]],

Cell["Operations on paravectors ", "MathCaption",
 CellID->414029507],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"(", 
   RowBox[{"p", "=", 
    RowBox[{"Paravector", "[", 
     RowBox[{"1", ",", "1", ",", "0"}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"(", 
   RowBox[{"q", "=", 
    RowBox[{"Paravector", "[", 
     RowBox[{
      RowBox[{"-", "1"}], ",", "0", ",", "1"}], "]"}]}], ")"}], "//", 
  "TraditionalForm"}]}], "Input",
 CellLabel->"In[14]:=",
 CellID->16624027],

Cell[BoxData[
 RowBox[{
  SubscriptBox["e", "0"], "+", 
  SubscriptBox["e", "1"]}]], "Output",
 ImageSize->{43, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[14]=",
 CellID->474782513],

Cell[BoxData[
 RowBox[{
  RowBox[{"-", 
   SubscriptBox["e", "0"]}], "+", 
  SubscriptBox["e", "2"]}]], "Output",
 ImageSize->{51, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[15]=",
 CellID->73992511]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Conjugate", "[", "p", "]"}], "+", 
  RowBox[{"Vec", "[", "q", "]"}]}]], "Input",
 CellLabel->"In[65]:=",
 CellID->456873940],

Cell[BoxData[
 RowBox[{"Paravector", "[", 
  RowBox[{"1", ",", 
   RowBox[{"-", "1"}], ",", "1"}], "]"}]], "Output",
 ImageSize->{139, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[65]=",
 CellID->867479448]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"ToComplexLike", "[", "p", "]"}]], "Input",
 CellLabel->"In[66]:=",
 CellID->1840523],

Cell[BoxData[
 RowBox[{"ComplexLike", "[", 
  RowBox[{"1", ",", "1"}], "]"}]], "Output",
 ImageSize->{120, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[66]=",
 CellID->625817749]
}, Open  ]],

Cell[TextData[{
 "The product of two paravectors in ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 " is an element of ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["Cl", 
    RowBox[{"0", ",", "n"}]], TraditionalForm]], "InlineMath"],
 " but, in general, it is not an ",
 Cell[BoxData[
  FormBox[
   SubscriptBox["A", "n"], TraditionalForm]]],
 "-element. Hence, the multiplication is not extended for this class of \
objects."
}], "MathCaption",
 CellID->548525019],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"p", "**", "q"}]], "Input",
 CellLabel->"In[67]:=",
 CellID->93798552],

Cell[BoxData[
 RowBox[{
  RowBox[{"Paravector", "[", 
   RowBox[{"1", ",", "1", ",", "0"}], "]"}], "**", 
  RowBox[{"Paravector", "[", 
   RowBox[{
    RowBox[{"-", "1"}], ",", "0", ",", "1"}], "]"}]}]], "Output",
 ImageSize->{286, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[67]=",
 CellID->15562215]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"p", "+", 
  RowBox[{"2", "q"}]}]], "Input",
 CellLabel->"In[68]:=",
 CellID->317390874],

Cell[BoxData[
 RowBox[{"Paravector", "[", 
  RowBox[{
   RowBox[{"-", "1"}], ",", "1", ",", "2"}], "]"}]], "Output",
 ImageSize->{139, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[68]=",
 CellID->846374830]
}, Open  ]],

Cell["Paravector-valued functions ", "MathCaption",
 CellID->761630112],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"p", "=", 
   RowBox[{"Paravector", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x0", "2"], "-", 
      SuperscriptBox["x1", "2"], "-", 
      SuperscriptBox["x2", "2"]}], ",", 
     RowBox[{"x0", " ", "x1"}], ",", 
     RowBox[{"x0", " ", "x2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MonogenicQ", "[", "p", "]"}]}], "Input",
 CellLabel->"In[16]:=",
 CellID->354577003],

Cell[BoxData["False"], "Output",
 ImageSize->{39, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[17]=",
 CellID->158788993]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Derivative", "[", "p", "]"}]], "Input",
 CellLabel->"In[83]:=",
 CellID->206411885],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"MonogenicQ", "::", "Fail"}], "MessageName"], ":", 
  " ", "\<\"The function is non monogenic.\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[83]:=",
 CellID->417003807]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"q", "=", 
   RowBox[{"Paravector", "[", 
    RowBox[{
     RowBox[{
      SuperscriptBox["x0", "2"], "-", 
      FractionBox[
       SuperscriptBox["x1", "2"], "2"], "-", 
      FractionBox[
       SuperscriptBox["x2", "2"], "2"]}], ",", 
     RowBox[{"x0", " ", "x1"}], ",", 
     RowBox[{"x0", " ", "x2"}]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"MonogenicQ", "[", "q", "]"}]}], "Input",
 CellLabel->"In[84]:=",
 CellID->121706629],

Cell[BoxData["True"], "Output",
 ImageSize->{32, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[85]=",
 CellID->590553726]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Derivative", "[", "q", "]"}]], "Input",
 CellLabel->"In[86]:=",
 CellID->294707376],

Cell[BoxData[
 RowBox[{"Paravector", "[", 
  RowBox[{
   RowBox[{"2", " ", "x0"}], ",", "x1", ",", "x2"}], "]"}]], "Output",
 ImageSize->{162, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[86]=",
 CellID->37131174]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["Special Monogenic Polynomials", "Subsection",
 CellID->58034463],

Cell[TextData[{
 "The ",
 ButtonBox["QuaternionAnalysis",
  BaseStyle->"Link",
  ButtonData->"paclet:QuaternionAnalysis/guide/QuaternionAnalysis"],
 " package includes several functions to construct special monogenic \
paravector-valued polynomials which behave like monomial functions in the \
sense of the complex powers ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SuperscriptBox["z", "k"], "\[LongEqual]", 
     SuperscriptBox[
      RowBox[{"(", 
       RowBox[{
        SubscriptBox["x", "0"], "+", 
        RowBox[{"i", " ", 
         SubscriptBox["x", "1"]}]}], ")"}], "k"]}], ",", " ", 
    RowBox[{"k", "=", "1"}], ",", "2", ",", "..."}], TraditionalForm]], 
  "InlineMath"],
 " These polynomials are of the form"
}], "Text",
 CellID->479101600],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{
     RowBox[{
      SubsuperscriptBox["P", "k", "n"], "(", "x", ")"}], "=", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"s", "=", "0"}], "k"], " ", 
      RowBox[{
       SubsuperscriptBox["T", "s", "k"], " ", 
       SuperscriptBox["x", 
        RowBox[{"k", "-", "s"}]], 
       SuperscriptBox[
        OverscriptBox["x", "_"], "s"]}]}]}], ",", " ", 
    RowBox[{"x", " ", "\[Element]", 
     SuperscriptBox["\[DoubleStruckCapitalR]", 
      RowBox[{"n", "+", "1"}]], " "}]}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->368665817],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox[
   SubsuperscriptBox["T", "s", "k"], TraditionalForm]], "InlineMath"],
 " are the numbers"
}], "Text",
 CellID->712880589],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{
   SubsuperscriptBox["T", "s", "k"], "=", 
   RowBox[{
    FractionBox[
     RowBox[{"k", "!"}], 
     SubscriptBox[
      RowBox[{"(", "n", ")"}], "k"]], " ", 
    FractionBox[
     RowBox[{
      SubscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"n", "+", "1"}], "2"], ")"}], 
       RowBox[{"k", "-", "s"}]], 
      SubscriptBox[
       RowBox[{"(", 
        FractionBox[
         RowBox[{"n", "-", "1"}], "2"], ")"}], "s"]}], 
     RowBox[{
      RowBox[{
       RowBox[{"(", 
        RowBox[{"k", "-", "s"}], ")"}], "!"}], 
      RowBox[{"s", "!"}]}]]}]}], TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->88608920],

Cell[TextData[{
 "( ",
 Cell[BoxData[
  FormBox[
   SubscriptBox[
    RowBox[{"(", "a", ")"}], "r"], TraditionalForm]], "InlineMath"],
 " is the ",
 ButtonBox["Pochhammer",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Pochhammer"],
 " symbol)."
}], "Text",
 CellID->19159055],

Cell["\<\
These monomial-like polynomials can be wriitten in several other forms, \
namely in terms of the:\
\>", "Text",
 CellID->218979868],

Cell[CellGroupData[{

Cell[TextData[{
 StyleBox["- real and vector part of ", "Subsubsection"],
 StyleBox[Cell[BoxData[
  FormBox["x", TraditionalForm]], "Subsubsection"], "Subsubsection"]
}], "Subsubsubsection",
 CellID->295200594],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{
     SubsuperscriptBox["P", "k", "n"], "(", "x", ")"}], "=", 
    RowBox[{
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"s", "=", "0"}], "k"], " ", 
      RowBox[{
       RowBox[{"(", GridBox[{
          {"k"},
          {"s"}
         }], ")"}], 
       SuperscriptBox[
        SubscriptBox["x", "0"], 
        RowBox[{"k", "-", "s"}]], 
       RowBox[{
        SubsuperscriptBox["P", "k", "n"], "(", 
        UnderscriptBox["x", "_"], ")"}]}]}], "=", 
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"s", "=", "0"}], "k"], " ", 
      RowBox[{
       RowBox[{"(", GridBox[{
          {"k"},
          {"s"}
         }], ")"}], 
       RowBox[{
        SubscriptBox["c", "s"], "(", "n", ")"}], 
       SuperscriptBox[
        SubscriptBox["x", "0"], 
        RowBox[{"k", "-", "s"}]], 
       SuperscriptBox[
        UnderscriptBox["x", "_"], "s"], " "}]}]}]}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->71673152],

Cell["where", "Text",
 CellID->54971896],

Cell[TextData[{
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     SubscriptBox["c", "s"], "(", "n", ")"}], "=", 
    RowBox[{
     RowBox[{
      UnderoverscriptBox["\[Sum]", 
       RowBox[{"t", "=", "0"}], "s"], 
      RowBox[{
       SuperscriptBox[
        RowBox[{"(", 
         RowBox[{"-", "1"}], ")"}], "t"], " ", 
       SubsuperscriptBox["T", "t", "s"]}]}], "=", 
     TagBox[GridBox[{
        {"\[Piecewise]", GridBox[{
           {
            FractionBox[
             RowBox[{
              RowBox[{"s", "!!"}], 
              RowBox[{
               RowBox[{"(", 
                RowBox[{"n", "-", "2"}], ")"}], "!!"}]}], 
             RowBox[{
              RowBox[{"(", 
               RowBox[{"n", "+", "s", "-", "1"}], ")"}], "!!"}]], 
            RowBox[{"if", " ", "s", " ", "is", " ", "odd"}]},
           {
            RowBox[{
             SubscriptBox["c", 
              RowBox[{"s", "-", "1"}]], "(", "n", ")"}], 
            RowBox[{"if", " ", "s", " ", "is", " ", "even"}]}
          },
          AllowedDimensions->{2, Automatic},
          Editable->True,
          
          GridBoxAlignment->{
           "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{Baseline}}, "RowsIndexed" -> {}},
          
          GridBoxItemSize->{
           "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, 
            "Rows" -> {{1.}}, "RowsIndexed" -> {}},
          GridBoxSpacings->{"Columns" -> {
              Offset[0.27999999999999997`], {
               Offset[0.84]}, 
              Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
              Offset[0.2], {
               Offset[0.4]}, 
              Offset[0.2]}, "RowsIndexed" -> {}},
          Selectable->True]}
       },
       GridBoxAlignment->{
        "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}},
          "RowsIndexed" -> {}},
       GridBoxItemSize->{
        "Columns" -> {{Automatic}}, "ColumnsIndexed" -> {}, "Rows" -> {{1.}}, 
         "RowsIndexed" -> {}},
       GridBoxSpacings->{"Columns" -> {
           Offset[0.27999999999999997`], {
            Offset[0.35]}, 
           Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
           Offset[0.2], {
            Offset[0.4]}, 
           Offset[0.2]}, "RowsIndexed" -> {}}],
      "Piecewise",
      DeleteWithContents->True,
      Editable->False,
      SelectWithContents->True,
      Selectable->False]}]}], TraditionalForm]], "InlineMath"],
 " and ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{
     RowBox[{
      SubscriptBox["c", "0"], "(", "n", ")"}], "=", "1"}], ",", " ", 
    RowBox[{"n", "\[GreaterEqual]", "0"}]}], TraditionalForm]], "InlineMath"]
}], "Text",
 TextAlignment->Center,
 CellID->3148543],

Cell[TextData[{
 "( ",
 Cell[BoxData[
  FormBox["!!", TraditionalForm]], "InlineMath"],
 " is the ",
 ButtonBox["Factorial2)",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Factorial2"]
}], "Text",
 CellID->247756668]
}, Open  ]],

Cell[CellGroupData[{

Cell[TextData[StyleBox["- complex-like form", "Subsubsection"]], \
"Subsubsection",
 CellID->243107602],

Cell[TextData[Cell[BoxData[
 FormBox[
  RowBox[{" ", 
   RowBox[{
    RowBox[{
     SubsuperscriptBox["P", "k", "n"], "(", "x", ")"}], "=", 
    RowBox[{
     RowBox[{"u", "(", 
      RowBox[{
       SubscriptBox["x", "0"], ",", "r"}], ")"}], "+", 
     RowBox[{
      RowBox[{"\[Omega]", "(", "x", ")"}], " ", 
      RowBox[{"v", "(", 
       RowBox[{
        SubscriptBox["x", "0"], ",", "r"}], ")"}]}]}]}]}], 
  TraditionalForm]], "InlineMath"]], "Text",
 TextAlignment->Center,
 CellID->211494654],

Cell[TextData[{
 "where ",
 Cell[BoxData[
  FormBox[
   RowBox[{"r", "=", 
    RowBox[{"\[LeftBracketingBar]", 
     UnderscriptBox["x", "_"], "\[RightBracketingBar]"}]}], TraditionalForm]],
   "InlineMath"],
 ","
}], "Text",
 CellID->152567689],

Cell[TextData[{
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"u", "(", 
     RowBox[{
      SubscriptBox["x", "0"], ",", "r"}], ")"}], "=", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"s", "=", "0"}], 
      RowBox[{"\[LeftFloor]", 
       RowBox[{"k", "/", "2"}], "\[RightFloor]"}]], 
     RowBox[{
      RowBox[{"(", GridBox[{
         {"k"},
         {
          RowBox[{"2", "s"}]}
        }], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "s"], 
      RowBox[{
       SubscriptBox["c", 
        RowBox[{"2", "s"}]], "(", "n", ")"}], 
      SuperscriptBox[
       SubscriptBox["x", "0"], 
       RowBox[{"k", "-", 
        RowBox[{"2", "s"}]}]], 
      SuperscriptBox["r", 
       RowBox[{"2", "s"}]], " "}]}]}], TraditionalForm]], "InlineMath"]
}], "Text",
 TextAlignment->Center,
 CellID->222205957],

Cell["and", "Text",
 CellID->39142379],

Cell[TextData[{
 " ",
 Cell[BoxData[
  FormBox[
   RowBox[{
    RowBox[{"v", "(", 
     RowBox[{
      SubscriptBox["x", "0"], ",", "r"}], ")"}], "=", 
    RowBox[{
     UnderoverscriptBox["\[Sum]", 
      RowBox[{"s", "=", "0"}], 
      RowBox[{"\[LeftFloor]", 
       RowBox[{
        RowBox[{"(", 
         RowBox[{"k", "-", "1"}], ")"}], "/", "2"}], "\[RightFloor]"}]], 
     RowBox[{
      RowBox[{"(", GridBox[{
         {"k"},
         {
          RowBox[{
           RowBox[{"2", "s"}], "+", "1"}]}
        }], ")"}], 
      SuperscriptBox[
       RowBox[{"(", 
        RowBox[{"-", "1"}], ")"}], "s"], 
      RowBox[{
       SubscriptBox["c", 
        RowBox[{
         RowBox[{"2", "s"}], "+", "1"}]], "(", "n", ")"}], 
      SuperscriptBox[
       SubscriptBox["x", "0"], 
       RowBox[{"k", "-", 
        RowBox[{"2", "s"}], "-", "1"}]], 
      SuperscriptBox["r", 
       RowBox[{
        RowBox[{"2", "s"}], "+", "1"}]], " "}]}]}], TraditionalForm]], 
  "InlineMath"]
}], "Text",
 TextAlignment->Center,
 CellID->2454414],

Cell[TextData[{
 "(\[LeftFloor]...\[RightFloor] is the ",
 ButtonBox["Floor",
  BaseStyle->"Link",
  ButtonData->"paclet:ref/Floor"],
 " function)."
}], "Text",
 CellID->141948902],

Cell[BoxData[GridBox[{
   {
    StyleBox[
     RowBox[{
      ButtonBox["Tks",
       BaseStyle->"Link",
       ButtonData->"paclet:QuaternionAnalysis/ref/Tks"], "[", 
      RowBox[{"k", ",", "s", ",", "n"}], "]"}],
     FontFamily->"Courier New"], 
    StyleBox[
     RowBox[{"the", " ", 
      RowBox[{"(", 
       RowBox[{"k", ",", "s"}], ")"}], " ", "element", " ", "of", " ", "a", "  ",
       "triangle", " ", "associated", " ", "with", " ", "Pk"}],
     FontFamily->"Verdana"]},
   {
    StyleBox[
     RowBox[{
      ButtonBox["Tks",
       BaseStyle->"Link",
       ButtonData->"paclet:QuaternionAnalysis/ref/Tks"], "[", 
      RowBox[{"k", ",", "s"}], "]"}],
     FontFamily->"Courier New"], 
    StyleBox[
     RowBox[{
      RowBox[{"the", " ", "default", "  ", 
       RowBox[{"case", ":", 
        StyleBox[" ",
         FontSize->10], 
        RowBox[{"Tks", "[", 
         RowBox[{"k", ",", "s"}], "]"}]}]}], "=", 
      RowBox[{"Tks", "[", 
       RowBox[{"k", ",", "s", ",", 
        RowBox[{"$Dim", "-", "1"}]}], "]"}]}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["Ck",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/Ck"], "[", 
     RowBox[{"k", ",", "n"}], "]"}], 
    StyleBox[
     RowBox[{"the", " ", "alternating", " ", "sum", " ", "of", " ", "Tks"}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["Ck",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/Ck"], "[", "k", "]"}], 
    StyleBox[
     RowBox[{
      RowBox[{"the", " ", "default", "  ", 
       RowBox[{"case", ":", 
        StyleBox[" ",
         FontSize->10], 
        RowBox[{"Ck", "[", "k", "]"}]}]}], "=", 
      RowBox[{"Ck", "[", 
       RowBox[{"k", ",", 
        RowBox[{"$Dim", "-", "1"}]}], "]"}]}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["Pk",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/Pk"], "[", 
     RowBox[{"k", ",", "x"}], "]"}], 
    StyleBox[
     RowBox[{
     "special", " ", "monogenic", " ", "polynomial", " ", "of", " ", "degree",
       " ", "k", " ", "for", " ", "quaternion", " ", "or", " ", "3", "D", " ",
       "paravectors"}],
     FontFamily->"Verdana"]},
   {
    RowBox[{
     ButtonBox["Pk",
      BaseStyle->"Link",
      ButtonData->"paclet:QuaternionAnalysis/ref/Pk"], "[", 
     RowBox[{"k", ",", "n", ",", "x"}], "]"}], 
    StyleBox[
     RowBox[{
      RowBox[{
      "special", " ", "monogenic", " ", "polynomial", "  ", "of", " ", 
       "degree", " ", "k", " ", "for", "  ", "complex"}], "-", 
      RowBox[{"like", "  ", "objects", " ", "x"}]}],
     FontFamily->"Verdana"]}
  }]], "DefinitionBox",
 CellID->344872723],

Cell["Special Polynomials", "Caption",
 CellID->426623723],

Cell["The first quaternion-valued polynomials", "Text",
 CellID->272579667],

Cell["", "Text",
 CellID->37242197],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"SetCoordinates", "[", 
  RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], 
  "]"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"x", "=", 
   RowBox[{"Quaternion", "[", 
    RowBox[{"x0", ",", "x1", ",", "x2", ",", "x3"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"StringJoin", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<Pk[\>\"", ",", 
         RowBox[{"ToString", "[", "k", "]"}], ",", "\"\<,x]=\>\""}], "}"}], 
       "]"}], ",", 
      RowBox[{"Pk", "[", 
       RowBox[{"k", ",", "x"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellLabel->"In[36]:=",
 CellID->83265151],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"SetCoordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({x0, x1, x2, x3}\
\\)\[NoBreak].\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[36]:=",
 CellID->480084560],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Pk[0,x]=\"\>", 
     RowBox[{"Quaternion", "[", 
      RowBox[{"1", ",", "0", ",", "0", ",", "0"}], "]"}]},
    {"\<\"Pk[1,x]=\"\>", 
     RowBox[{"Quaternion", "[", 
      RowBox[{"x0", ",", 
       FractionBox["x1", "3"], ",", 
       FractionBox["x2", "3"], ",", 
       FractionBox["x3", "3"]}], "]"}]},
    {"\<\"Pk[2,x]=\"\>", 
     RowBox[{"Quaternion", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x0", "2"], "-", 
        FractionBox[
         SuperscriptBox["x1", "2"], "3"], "-", 
        FractionBox[
         SuperscriptBox["x2", "2"], "3"], "-", 
        FractionBox[
         SuperscriptBox["x3", "2"], "3"]}], ",", 
       FractionBox[
        RowBox[{"2", " ", "x0", " ", "x1"}], "3"], ",", 
       FractionBox[
        RowBox[{"2", " ", "x0", " ", "x2"}], "3"], ",", 
       FractionBox[
        RowBox[{"2", " ", "x0", " ", "x3"}], "3"]}], "]"}]},
    {"\<\"Pk[3,x]=\"\>", 
     RowBox[{"Quaternion", "[", 
      RowBox[{
       RowBox[{"x0", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["x0", "2"], "-", 
          SuperscriptBox["x1", "2"], "-", 
          SuperscriptBox["x2", "2"], "-", 
          SuperscriptBox["x3", "2"]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "5"]}], " ", "x1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "5"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"], "+", 
          SuperscriptBox["x3", "2"]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "5"]}], " ", "x2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "5"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"], "+", 
          SuperscriptBox["x3", "2"]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "5"]}], " ", "x3", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "5"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"], "+", 
          SuperscriptBox["x3", "2"]}], ")"}]}]}], "]"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{917, 92},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[38]//TableForm=",
 CellID->476757137]
}, Open  ]],

Cell[TextData[{
 "If ",
 Cell[BoxData[
  FormBox[
   RowBox[{"n", "=", "2"}], TraditionalForm]], "InlineMath"],
 ", the function ",
 Cell[BoxData[
  ButtonBox["Pk",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/Pk"]], "InlineFormula"],
 " accepts as argument ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " a ",
 Cell[BoxData[
  ButtonBox["Paravector",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/Paravector"]], "InlineFormula"],
 ". The first  polynomials in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", "3"], TraditionalForm]]],
 ":"
}], "Text",
 CellID->459151652],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{
  RowBox[{"SetCoordinates", "[", 
   RowBox[{"x0", ",", "x1", ",", "x2"}], "]"}], ";", 
  RowBox[{"x", "=", 
   RowBox[{"Paravector", "[", 
    RowBox[{"x0", ",", "x1", ",", "x2"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"TableForm", "[", 
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"StringJoin", "[", 
       RowBox[{"{", 
        RowBox[{"\"\<Pk[\>\"", ",", 
         RowBox[{"ToString", "[", "k", "]"}], ",", "\"\<,x]=\>\""}], "}"}], 
       "]"}], ",", 
      RowBox[{"Pk", "[", 
       RowBox[{"k", ",", "x"}], "]"}]}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}]}], "Input",
 CellLabel->"In[31]:=",
 CellID->199877197],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"SetCoordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({x0, x1, x2}\\)\
\[NoBreak].\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[31]:=",
 CellID->472939271],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Pk[0,x]=\"\>", 
     RowBox[{"Paravector", "[", 
      RowBox[{"1", ",", "0", ",", "0"}], "]"}]},
    {"\<\"Pk[1,x]=\"\>", 
     RowBox[{"Paravector", "[", 
      RowBox[{"x0", ",", 
       FractionBox["x1", "2"], ",", 
       FractionBox["x2", "2"]}], "]"}]},
    {"\<\"Pk[2,x]=\"\>", 
     RowBox[{"Paravector", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x0", "2"], "-", 
        FractionBox[
         SuperscriptBox["x1", "2"], "2"], "-", 
        FractionBox[
         SuperscriptBox["x2", "2"], "2"]}], ",", 
       RowBox[{"x0", " ", "x1"}], ",", 
       RowBox[{"x0", " ", "x2"}]}], "]"}]},
    {"\<\"Pk[3,x]=\"\>", 
     RowBox[{"Paravector", "[", 
      RowBox[{
       RowBox[{
        SuperscriptBox["x0", "3"], "-", 
        RowBox[{
         FractionBox["3", "2"], " ", "x0", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["x1", "2"], "+", 
           SuperscriptBox["x2", "2"]}], ")"}]}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", "8"]}], " ", "x1", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"]}], ")"}]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["3", "8"]}], " ", "x2", " ", 
        RowBox[{"(", 
         RowBox[{
          RowBox[{
           RowBox[{"-", "4"}], " ", 
           SuperscriptBox["x0", "2"]}], "+", 
          SuperscriptBox["x1", "2"], "+", 
          SuperscriptBox["x2", "2"]}], ")"}]}]}], "]"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{631, 92},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[32]//TableForm=",
 CellID->13315647]
}, Open  ]],

Cell[TextData[{
 "The function ",
 Cell[BoxData[
  ButtonBox["Pk",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/Pk"]], "InlineFormula"],
 " accepts also as argument ",
 Cell[BoxData[
  FormBox["x", TraditionalForm]], "InlineMath"],
 " a ",
 Cell[BoxData[
  ButtonBox["ComplexLike",
   BaseStyle->"Link",
   ButtonData->"paclet:QuaternionAnalysis/ref/ComplexLike"]], "InlineFormula"],
 " object. The first  polynomials in ",
 Cell[BoxData[
  FormBox[
   SuperscriptBox["\[DoubleStruckCapitalR]", "5"], TraditionalForm]]],
 ":"
}], "Text",
 CellID->503404402],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TableForm", "[", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"StringJoin", "[", 
        RowBox[{"{", 
         RowBox[{"\"\<Pk[\>\"", ",", 
          RowBox[{"ToString", "[", "k", "]"}], ",", "\"\<,4,x]=\>\""}], "}"}],
         "]"}], ",", 
       RowBox[{"Pk", "[", 
        RowBox[{"k", ",", "4", ",", 
         RowBox[{"ComplexLike", "[", 
          RowBox[{"X0", ",", "R"}], "]"}]}], "]"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "0", ",", "3"}], "}"}]}], "]"}], "]"}], 
  "\[IndentingNewLine]"}]], "Input",
 CellLabel->"In[33]:=",
 CellID->1012322695],

Cell[BoxData[
 TagBox[GridBox[{
    {"\<\"Pk[0,4,x]=\"\>", 
     RowBox[{"ComplexLike", "[", 
      RowBox[{"1", ",", "0"}], "]"}]},
    {"\<\"Pk[1,4,x]=\"\>", 
     RowBox[{"ComplexLike", "[", 
      RowBox[{"X0", ",", 
       FractionBox["R", "4"]}], "]"}]},
    {"\<\"Pk[2,4,x]=\"\>", 
     RowBox[{"ComplexLike", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          SuperscriptBox["R", "2"], "4"]}], "+", 
        SuperscriptBox["X0", "2"]}], ",", 
       FractionBox[
        RowBox[{"R", " ", "X0"}], "2"]}], "]"}]},
    {"\<\"Pk[3,4,x]=\"\>", 
     RowBox[{"ComplexLike", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"-", 
         FractionBox[
          RowBox[{"3", " ", 
           SuperscriptBox["R", "2"], " ", "X0"}], "4"]}], "+", 
        SuperscriptBox["X0", "3"]}], ",", 
       RowBox[{
        RowBox[{"-", 
         FractionBox["1", "8"]}], " ", "R", " ", 
        RowBox[{"(", 
         RowBox[{
          SuperscriptBox["R", "2"], "-", 
          RowBox[{"6", " ", 
           SuperscriptBox["X0", "2"]}]}], ")"}]}]}], "]"}]}
   },
   GridBoxAlignment->{
    "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
     "RowsIndexed" -> {}},
   GridBoxSpacings->{"Columns" -> {
       Offset[0.27999999999999997`], {
        Offset[2.0999999999999996`]}, 
       Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
       Offset[0.2], {
        Offset[0.4]}, 
       Offset[0.2]}, "RowsIndexed" -> {}}],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{377, 97},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[33]//TableForm=",
 CellID->861941854]
}, Open  ]],

Cell["Pk[k,n,x], k=0,1,... are monogenic polynomials", "Text",
 CellID->60633774],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"MonogenicQ", "[", 
    RowBox[{"Pk", "[", 
     RowBox[{"k", ",", "x"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[34]:=",
 CellID->938878061],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True", ",", "True", ",", "True"}], "}"}]], "Output",
 ImageSize->{163, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[34]=",
 CellID->371404667]
}, Open  ]],

Cell[BoxData[
 RowBox[{"Clear", "[", 
  RowBox[{"a", ",", "r"}], "]"}]], "Input",
 CellLabel->"In[35]:=",
 CellID->11579606],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Assuming", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"a", "\[Element]", "Reals"}], "&&", 
    RowBox[{"r", "\[GreaterEqual]", "0"}]}], ",", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"MonogenicQ", "[", 
      RowBox[{
       RowBox[{"Pk", "[", 
        RowBox[{"k", ",", "2", ",", 
         RowBox[{"ComplexLike", "[", 
          RowBox[{"a", ",", "r"}], "]"}]}], "]"}], ",", "a", ",", "r"}], 
      "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}]}], "]"}]], "Input",
 CellLabel->"In[36]:=",
 CellID->664867161],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True", ",", "True", ",", "True"}], "}"}]], "Output",
 ImageSize->{163, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[36]=",
 CellID->577457366]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[{
 RowBox[{"First", "[", "$CoordinatesList", "]"}], "\[IndentingNewLine]", 
 RowBox[{"Table", "[", 
  RowBox[{
   RowBox[{"MonogenicQ", "[", 
    RowBox[{"Pk", "[", 
     RowBox[{"k", ",", " ", "2", ",", " ", 
      RowBox[{"ComplexLike", "[", 
       RowBox[{"x0", ",", " ", "R"}], "]"}]}], "]"}], "]"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"k", ",", " ", "1", ",", " ", "4"}], "}"}]}], "]"}]}], "Input",
 CellLabel->"In[37]:=",
 CellID->497673743],

Cell[BoxData["x0"], "Output",
 ImageSize->{18, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[37]=",
 CellID->334768419],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"True", ",", "True", ",", "True", ",", "True"}], "}"}]], "Output",
 ImageSize->{163, 15},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[38]=",
 CellID->248573658]
}, Open  ]],

Cell["\<\
Pk[k,n,x], k=0,1,... is an Appell sequence, i.e. (Pk[k,n,x])' = k Pk[k-1,n,x]\
\>", "Text",
 CellID->583623146],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Derivative", "[", 
     RowBox[{"Pk", "[", 
      RowBox[{"k", ",", "x"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellLabel->"In[39]:=",
 CellID->540832693],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      RowBox[{"Paravector", "[", 
       RowBox[{"1", ",", "0", ",", "0"}], "]"}]},
     {
      RowBox[{"Paravector", "[", 
       RowBox[{
        RowBox[{"2", " ", "x0"}], ",", "x1", ",", "x2"}], "]"}]},
     {
      RowBox[{"Paravector", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"3", " ", 
          SuperscriptBox["x0", "2"]}], "-", 
         RowBox[{
          FractionBox["3", "2"], " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["x1", "2"], "+", 
            SuperscriptBox["x2", "2"]}], ")"}]}]}], ",", 
        RowBox[{"3", " ", "x0", " ", "x1"}], ",", 
        RowBox[{"3", " ", "x0", " ", "x2"}]}], "]"}]},
     {
      RowBox[{"Paravector", "[", 
       RowBox[{
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["x0", "3"]}], "-", 
         RowBox[{"6", " ", "x0", " ", 
          RowBox[{"(", 
           RowBox[{
            SuperscriptBox["x1", "2"], "+", 
            SuperscriptBox["x2", "2"]}], ")"}]}]}], ",", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["x0", "2"], " ", "x1"}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "x1", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["x0", "2"]}], "-", 
            RowBox[{"3", " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["x1", "2"], "+", 
               SuperscriptBox["x2", "2"]}], ")"}]}]}], ")"}]}]}], ",", 
        RowBox[{
         RowBox[{"4", " ", 
          SuperscriptBox["x0", "2"], " ", "x2"}], "+", 
         RowBox[{
          FractionBox["1", "2"], " ", "x2", " ", 
          RowBox[{"(", 
           RowBox[{
            RowBox[{"4", " ", 
             SuperscriptBox["x0", "2"]}], "-", 
            RowBox[{"3", " ", 
             RowBox[{"(", 
              RowBox[{
               SuperscriptBox["x1", "2"], "+", 
               SuperscriptBox["x2", "2"]}], ")"}]}]}], ")"}]}]}]}], "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.5599999999999999]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Column],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{694, 77},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[39]//TableForm=",
 CellID->723648382]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"k", " ", 
     RowBox[{"Pk", "[", 
      RowBox[{
       RowBox[{"k", "-", "1"}], ",", "x"}], "]"}]}], " ", ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "1", ",", "4"}], "}"}]}], "]"}], "//", 
  "TableForm"}]], "Input",
 CellLabel->"In[16]:=",
 CellID->324393869],

Cell[BoxData[
 TagBox[
  TagBox[GridBox[{
     {
      RowBox[{"Paravector", "[", 
       RowBox[{"1", ",", "0", ",", "0"}], "]"}]},
     {
      RowBox[{"Paravector", "[", 
       RowBox[{
        RowBox[{"2", " ", "x0"}], ",", "x1", ",", "x2"}], "]"}]},
     {
      RowBox[{"Paravector", "[", 
       RowBox[{
        RowBox[{"3", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["x0", "2"], "-", 
           FractionBox[
            SuperscriptBox["x1", "2"], "2"], "-", 
           FractionBox[
            SuperscriptBox["x2", "2"], "2"]}], ")"}]}], ",", 
        RowBox[{"3", " ", "x0", " ", "x1"}], ",", 
        RowBox[{"3", " ", "x0", " ", "x2"}]}], "]"}]},
     {
      RowBox[{"Paravector", "[", 
       RowBox[{
        RowBox[{"4", " ", 
         RowBox[{"(", 
          RowBox[{
           SuperscriptBox["x0", "3"], "-", 
           RowBox[{
            FractionBox["3", "2"], " ", "x0", " ", 
            RowBox[{"(", 
             RowBox[{
              SuperscriptBox["x1", "2"], "+", 
              SuperscriptBox["x2", "2"]}], ")"}]}]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3", "2"]}], " ", "x1", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["x0", "2"]}], "+", 
           SuperscriptBox["x1", "2"], "+", 
           SuperscriptBox["x2", "2"]}], ")"}]}], ",", 
        RowBox[{
         RowBox[{"-", 
          FractionBox["3", "2"]}], " ", "x2", " ", 
         RowBox[{"(", 
          RowBox[{
           RowBox[{
            RowBox[{"-", "4"}], " ", 
            SuperscriptBox["x0", "2"]}], "+", 
           SuperscriptBox["x1", "2"], "+", 
           SuperscriptBox["x2", "2"]}], ")"}]}]}], "]"}]}
    },
    GridBoxAlignment->{
     "Columns" -> {{Left}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.5599999999999999]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}],
   Column],
  Function[BoxForm`e$, 
   TableForm[BoxForm`e$]]]], "Output",
 ImageSize->{574, 82},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[16]//TableForm=",
 CellID->84082993]
}, Open  ]],

Cell["The number triangles Tk[k,s,n]", "Text",
 CellID->26244999],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"TableForm", "[", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{"TableForm", "[", 
       RowBox[{"Table", "[", 
        RowBox[{
         RowBox[{"Tks", "[", 
          RowBox[{"k", ",", "s", ",", "m"}], "]"}], ",", 
         RowBox[{"{", 
          RowBox[{"k", ",", "0", ",", "4"}], " ", "}"}], ",", 
         RowBox[{"{", 
          RowBox[{"s", ",", "0", ",", "k"}], " ", "}"}]}], "]"}], "]"}], ",", 
      RowBox[{"{", 
       RowBox[{"m", ",", 
        RowBox[{"{", 
         RowBox[{"2", ",", "3", ",", "5"}], "}"}]}], "}"}]}], "]"}], ",", 
    RowBox[{"TableDirections", "->", " ", "Row"}], ",", 
    RowBox[{"TableHeadings", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"{", 
       RowBox[{
       "\"\< Tks(2)\>\"", ",", "\"\< Tks(3)\>\"", ",", "\"\< Tks(5)\>\""}], 
       " ", "}"}], "}"}]}]}], "]"}], "\n"}]], "Input",
 CellLabel->"In[17]:=",
 CellID->486423859],

Cell[BoxData[
 GraphicsBox[
  TagBox[RasterBox[CompressedData["
1:eJzt3VGO67YZxfFBk4duIg/Zht/SJSQrSID6tUAaIMjTRXcwq/FmvBhVsmWZ
omTHGovnfJT+P6DN3Hs9Q1L8hpJs8/jH3/7z8/EfHx8f//1n+38///rnT7//
/utfv3zf/uFff/3x79++a7/4X/u/H9rHdF83AAAUdv48fIwcPs/tX5+O7ZfH
07KfdTpev7n/w+gHTh+AjShWQkMNUUIVKFQG6Y+9Tz1lEFs7a5c57+apSafr
9g8LftLn/fFtLfTf3ZbV5SfPPAibUKiEuvXo+u3tV8nPoYRiKlQG7XfPnkEo
gxr0xXB3r5L+QqH/y/7C4XjIauXhNI9/MtWwWcVKaHxaoYRiW7kMHp1WKIMa
PCyG8+dx5tbzfik5PHx+kieXKlTDVhUooX7xyS52KaHIVi6D9EkwVpLazBdD
N6Xp3w8vmEx+1U+fM5cUXUlkP/bBI1G/IiXUf8v4oZRQYMXKYFIHlEF4c8Uw
M+fJv44fP53irnAm55TZR2IT1i+hQXbLSwkFRhlg8ODWdfSCe3K1MCmG7I60
q6T5OuLWdavWLaHLt53vXz58IGIpVgb5IymD0JL70WGyb28LvP1b+prb7K3r
6NIhf69h+lguMTZo/RJq0irKXrOlhIKiDLC20/GVtxFSC3iIEkJDGSD18K2A
6SOWbozCnlBCaCgDAAAAAAAAAJF8AACwHvdpDQAAAACeuG5E4s15+DJKCA1l
gMH1Y1B4zze+jBJCQxlggmLAmyghNJQBEhQD3kQJoaEMkKAY8CZKCA1lgATF
gDdRQmgoAyQoBryJEkJDGeBi/DkolAQWo4TQUAYAAAAAAAAAAAAAAAAAAAAA
gCeumdaHzwC94B3vVbpWkGD6KJLQTCuJrPzwqvM107qdmsPn2dqN44ldulU6
3+atdA1RJJG5VhJZ+WG5CHPCilG300kwfRRJcLaVRFJ+eFmUpxZYMerV1ZDk
2Q+KJDDbSiIrP7yknY9LGdz+68SKUSfpYkKRBGVbSaJcFSMV4gWv8z2sjgKp
SzJ1H8VfW6FIArOsJLryAwAAAAAAAAAAAMr4NrbzbuALZHNHkUTmmh2qAgAA
AAAAAIBFkOiDIN3AYrLo2hhp25hz2w2p3qvqahdPdWkLx6P9VzVIN7CULLo2
SNo25p1Mv7yudvHENcLHPjVBuoGvk632nFZC4m4FN0FyloJ0A18ki/sjVzC6
sykM1NUuHgtymxCkG1hCFl0bKW0bOdfsUBVRXW8V7JMSpBtYSvuhw9RIUP3s
uD50mCtSAAAAAAAAAAAAAACwd1E2E7k2JLAR4n2b37VCkbzC9T49a7tUxawY
W0Uue5kM+5lc7W6J7BhSJJEN2xHFIQjWdqmKB6LcrTTdvhVPH6iN98mOIUUS
3enkOVCOdqmK5yJEH7Bi1IvTChpfCLmrXapiXqToA1aMenFa2b09vvBFVTwS
IvrAFTVJxOX7ZMeQIgksOUgfytc4XO1SFQAAAAAAAAAAAFjLt7G9dSPI8Ksm
O4YUSWR7mx2qAgAAAAAAANizfldPgC09lgSGOMOvly5C9tqSJ6aDOnnOlS64
t3ZrcP48XramiuM/Z3TxMUd1nHKc4ddLFiHb7WvuWtJPVlub1MffcWWh763d
KtzOueZDdM0k089UkOFvgipCVn5aaRs8HOTpILXZ210DdytPnI591KT14NgC
dmIMv36qJzAduYJdcV5OKBFivsNzHaS9tRvabT29PRvkJb9biTX8SqmWelva
9tCg66NEauCanb21W4dAzwJd71jkK0aU4VdKGSHr+nhZX8M1cWWh761dAAAA
AAAAAAAAAACAh0aBGLY9PuN3qRq60TdpGXflbzIyvE9Km+Ki3y3j2J/zLtfb
5bJjpe+Gaem4NR3wrWh5IIYpkeCypyjZVyTvxm1Tk2MHd7yqWEQW3pK2qExx
yYtziy2+T18GSbv3Y2WpRs/SYQq8WuJ+WvFdPI9OK+JuDNWo3hi5hbuVnnyz
oPIXWb/IV3ZaGTj2jM4cK1k3nEuHJfDqRTM33JZEgmmbym4Mu/oswU+1R0DI
b8bVzxJxWnmF6zmZ7FiJu+FZOmyBVy/IIgisiQT32vB1w3PFUXcEhPx1AMdB
47Tyd5wvB+VPdDi6YQqACnq3kr3C5UkkmJx51d0YOkAExELK8JaB9GVZ/WVh
5AvRByxlkDXcHitDN3xLR+MJvAIAAAAAAAAAAMDKvj21+W7srd0SNn/QNj/A
Vbh6G6QqNt8uAAAAAAAAgEy/nyfZ427c2qPvxt7aXZsu1izbQX0WbQbb/ADX
MBwkffqRK4N9b+0u0XZrVAemVExXN/bWbgGq+IhpVu2l3fKBk5sf4BruYbXa
9c2Vwb63dpdpe3U43K8xXKmYrm7srd0SpNdLaXDc9diVT+nc/ABXZKthVwb7
3tp9SXfuu3TvWruuMCJXN/bWbkma1c+46m5+gCvw5C26Mtj31u7rhhTY9PMJ
HHcrnm7srd0CtHnC0w9sKr6SbX6A6zF01ZXBvrd2l5qkwXpeJ3R1Y2/tFiAK
YfbFXG9+gGtpzyr6Rl0Z7HtrFwAAAAAAAAAAAAAA1GUUJzKKCFDxRUD0Levf
iWU5zmnTbx/tmbfRl6fMutEPcPI+QWW7bzeqLWnXsco74Gg/C4DSWFQkoziR
PCJAxRgB0b/9Wzte13G+WuVoZ5EjGsqsG/0Ah71t4rJYZaTiknYdq0kH9O3n
AVAay4okixO5/61jruQbA4fiNO09s+Y+rXC0tacVQ9aNZxNzullWZa2Ryq9I
DceqY1s65ldsjVeLJIsT6Vie2+g7o1/bh61ongBW4zbINY62+mJ+vG1QQH9a
8QWJvz9SdUl70789S8fMiq2z4G4ljROxZgIY0yr0Vxz27IVVhuy4mN/w3Yrz
SuPdkapL2n1VdiNftWYDoEQWFMn4pS/jC2GGCIjhAtjxiQDeFxzfPdqmnExd
1o18gEmD+gvgFUaqLGnbsZr2QH+7ZFk7NpGLCwAAAAAAAAAAEMq3JVzdoF1N
u1/rRpDOy9qVNVRXu0E6X66h5+3WNVkVtQsAAAAAAADElG1SzXbY6BIyx6mn
yo0+2RhFQRCm8RaZblVi7bjzQ/5y6YMma8g1wHXanW53V/wq+TLPx2WvmyxX
uwvmN4ujzOJAb3kExVPjstRTYSppngKqicZ1jbfEdMsSa/PoVFl4i6oh1wBX
aXcabKv5VTJmno/KXjhZrnYXzu9MwEsfM3M7Feo+OmG8NBVPu8lSQNXRuPLx
dgpNtyaxdrT6be5upfEMcLV2xz9E+askzzxPG+6XDmmiiaXdRfObrTPJrU1/
CSC5EsjvsRR30FkKqDTuxjHeiwLTrYv7m54TZQGumoZcA1yl3dGNsO5XyZVO
O1P2kslytbtsfvMLleRPok8SyFNPZcvUbApo+Ssf23g7K0+3NrH23nlZu5sf
4HrtTtY20U2E4aySHSVXNbqKZOjNo9dWkpPOJA5U9yRY+tqxNJV08mK5JhrX
M94y0y16v8HkAqlvV1acintnxwBXaXfu8lWWMm3IPJ+Uvboaxe1a5xcAAAAA
3vR/By8W+w==
    "], {{0, 129}, {541, 0}}, {0, 255},
    ColorFunction->RGBColor],
   BoxForm`ImageTag["Byte", ColorSpace -> "RGB", Interleaving -> True],
   Selectable->False],
  BaseStyle->"ImageGraphics",
  ImageSize->Automatic,
  ImageSizeRaw->{541, 129},
  PlotRange->{{0, 541}, {0, 129}}]], "Output",
 ImageSize->{545, 129},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[17]//TableForm=",
 CellID->464406331]
}, Open  ]],

Cell[TextData[{
 "The coefficients Ck[k,2] are the generalized central binomial coefficients \
with weight ",
 Cell[BoxData[
  FormBox[
   FractionBox["1", 
    SuperscriptBox["2", "k"]], TraditionalForm]], "InlineMath"]
}], "Text",
 CellID->3296078],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Ck", "[", 
     RowBox[{"k", ",", "2"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "10"}], "}"}]}], "]"}], "\n"}]], "Input",
 CellLabel->"In[18]:=",
 CellID->67208868],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   FractionBox["1", "2"], ",", 
   FractionBox["1", "2"], ",", 
   FractionBox["3", "8"], ",", 
   FractionBox["3", "8"], ",", 
   FractionBox["5", "16"], ",", 
   FractionBox["5", "16"], ",", 
   FractionBox["35", "128"], ",", 
   FractionBox["35", "128"], ",", 
   FractionBox["63", "256"], ",", 
   FractionBox["63", "256"]}], "}"}]], "Output",
 ImageSize->{317, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[18]=",
 CellID->23582810]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{
     FractionBox["1", 
      SuperscriptBox["2", "k"]], 
     RowBox[{"Binomial", "[", 
      RowBox[{"k", ",", 
       RowBox[{"Floor", "[", 
        FractionBox["k", "2"], "]"}]}], "]"}]}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "10"}], "}"}]}], "]"}], "\n"}]], "Input",
 CellLabel->"In[19]:=",
 CellID->29890192],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   FractionBox["1", "2"], ",", 
   FractionBox["1", "2"], ",", 
   FractionBox["3", "8"], ",", 
   FractionBox["3", "8"], ",", 
   FractionBox["5", "16"], ",", 
   FractionBox["5", "16"], ",", 
   FractionBox["35", "128"], ",", 
   FractionBox["35", "128"], ",", 
   FractionBox["63", "256"], ",", 
   FractionBox["63", "256"]}], "}"}]], "Output",
 ImageSize->{317, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[19]=",
 CellID->938750097]
}, Open  ]],

Cell["\<\
For the default dimension n=3 ($Dim=4), the coefficients Ck[k,3] = Ck[k] have \
the simple form\
\>", "Text",
 CellID->611059328],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"SetCoordinates", "[", "4", "]"}]], "Input",
 CellLabel->"In[40]:=",
 CellID->73451780],

Cell[BoxData[
 RowBox[{
  StyleBox[
   RowBox[{"SetCoordinates", "::", "valid"}], "MessageName"], ":", 
  " ", "\<\"The coordinates system is set to \[NoBreak]\\!\\({X0, X1, X2, X3}\
\\)\[NoBreak].\"\>"}]], "Message", "MSG",
 CellLabel->"During evaluation of In[40]:=",
 CellID->74869218]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Ck", "[", "k", "]"}], "//", "Factor"}]], "Input",
 CellLabel->"In[41]:=",
 CellID->496847581],

Cell[BoxData[
 FractionBox[
  RowBox[{"3", "+", 
   SuperscriptBox[
    RowBox[{"(", 
     RowBox[{"-", "1"}], ")"}], "k"], "+", 
   RowBox[{"2", " ", "k"}]}], 
  RowBox[{"2", " ", 
   RowBox[{"(", 
    RowBox[{"1", "+", "k"}], ")"}], " ", 
   RowBox[{"(", 
    RowBox[{"2", "+", "k"}], ")"}]}]]], "Output",
 ImageSize->{104, 37},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[41]=",
 CellID->227730116]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Table", "[", 
   RowBox[{
    RowBox[{"Ck", "[", "k", "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"k", ",", "0", ",", "10"}], "}"}]}], "]"}], "\n"}]], "Input",
 CellLabel->"In[27]:=",
 CellID->174645709],

Cell[BoxData[
 RowBox[{"{", 
  RowBox[{"1", ",", 
   FractionBox["1", "3"], ",", 
   FractionBox["1", "3"], ",", 
   FractionBox["1", "5"], ",", 
   FractionBox["1", "5"], ",", 
   FractionBox["1", "7"], ",", 
   FractionBox["1", "7"], ",", 
   FractionBox["1", "9"], ",", 
   FractionBox["1", "9"], ",", 
   FractionBox["1", "11"], ",", 
   FractionBox["1", "11"]}], "}"}]], "Output",
 ImageSize->{261, 32},
 ImageMargins->{{0, 0}, {0, 0}},
 ImageRegion->{{0, 1}, {0, 1}},
 CellLabel->"Out[27]=",
 CellID->409525202]
}, Open  ]]
}, Open  ]]
}, Open  ]],

Cell[CellGroupData[{

Cell["References", "Subsection",
 CellID->5761629],

Cell["\<\
Falc\[ATilde]o, M.I., Miranda, F.: Quaternions: A Mathematica package for \
quaternionic analysis. Lecture Notes in Computer Science, 6784, 200-214 (2011)\
\>", "Text",
 CellID->414526585],

Cell["\<\
Fueter, R.: Die Funktionentheorie der Differetialgleichungen \[CapitalDelta] \
u = 0 und \[CapitalDelta]\[CapitalDelta]u = 0 mit vier reellen Variablen. \
Comm. Math. Helv. (7), 307-330 (1934-35)\
\>", "Text",
 CellID->315474779],

Cell["\<\
Guerlebeck, K., Habetha, K., Sproessig, W.: Holomorphic functions in the \
plane and n-dimensional space. Birkhauser Verlag, Basel (2008)\
\>", "Text",
 CellID->3518927],

Cell["\<\
Sudbery, A.: Quaternionic analysis. Math. Proc. Camb. Phil. Soc. 85, 199-225 \
(1979)\
\>", "Text",
 CellID->266579696]
}, Open  ]],

Cell[CellGroupData[{

Cell["RELATED TUTORIALS", "RelatedTutorialsSection",
 CellID->415694126],

Cell[TextData[ButtonBox["Quaternions",
 BaseStyle->"Link",
 ButtonData->"paclet:Quaternions/tutorial/Quaternions"]], "RelatedTutorials",
 CellID->806871991]
}, Open  ]]
}, Open  ]],

Cell[" ", "FooterCell"]
},
Saveable->False,
ScreenStyleEnvironment->"Working",
WindowSize->{725, 750},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
WindowTitle->"QuaternionAnalysis - Wolfram Mathematica",
TaggingRules->{
 "ModificationHighlight" -> False, 
  "Metadata" -> {
   "built" -> "{2014, 11, 13, 15, 11, 12.2378819}", "context" -> 
    "QuaternionAnalysis`", 
    "keywords" -> {
     "Quaternions Paravectors Monogenic functions Clifford analysis"}, 
    "index" -> True, "label" -> "Quaternion Analysis Tutorial", "language" -> 
    "en", "paclet" -> "QuaternionAnalysis", "status" -> "None", "summary" -> 
    "This package endows the standard package Quaternions which implements \
Hamilton's quaternion algebra with the ability to perform operations on \
quaternion-valued functions. A collection of new functions is introduced to \
provide basic mathematical tools necessary for dealing with quaternion valued \
regular functions, in the sense of Fueter. Some of the new added features \
include the possibility of manipulating functions defined in \
\\[DoubleStruckCapitalR]^n+1, for n>=2. A quaternion x is a number of the \
form ", "synonyms" -> {}, "title" -> "QuaternionAnalysis", "type" -> 
    "Tutorial", "uri" -> "QuaternionAnalysis/tutorial/QuaternionAnalysis"}, 
  "LinkTrails" -> "", "SearchTextTranslated" -> ""},
FrontEndVersion->"10.0 for Microsoft Windows (64-bit) (July 1, 2014)",
StyleDefinitions->Notebook[{
   Cell[
    StyleData[
    StyleDefinitions -> FrontEnd`FileName[{"Wolfram"}, "Reference.nb"]]], 
   Cell[
    StyleData["Input"], CellContext -> "Global`"], 
   Cell[
    StyleData["Output"], CellContext -> "Global`"], 
   Cell[
    StyleData["TutorialMoreAboutSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["RelatedTutorialsSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}], 
   Cell[
    StyleData["TutorialRelatedLinksSection"], 
    CellGroupingRules -> {"SectionGrouping", 30}]}, Visible -> False, 
  FrontEndVersion -> "10.0 for Microsoft Windows (64-bit) (July 1, 2014)", 
  StyleDefinitions -> "Default.nb"]
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[612, 21, 78, 1, 70, "TutorialColorBar"],
Cell[693, 24, 209, 5, 70, "LinkTrail"],
Cell[905, 31, 5970, 121, 70, "AnchorBarGrid",
 CellID->1],
Cell[CellGroupData[{
Cell[6900, 156, 55, 1, 70, "Title",
 CellID->509267359],
Cell[6958, 159, 325, 8, 70, "Text",
 CellID->1534169418],
Cell[7286, 169, 592, 16, 70, "Text",
 CellID->93433384],
Cell[CellGroupData[{
Cell[7903, 189, 71, 1, 70, "Subsection",
 CellID->127113684],
Cell[7977, 192, 159, 6, 70, "Text",
 CellID->302882948],
Cell[8139, 200, 566, 21, 70, "Text",
 CellID->495994398],
Cell[8708, 223, 303, 12, 70, "Text",
 CellID->2924368],
Cell[9014, 237, 369, 12, 70, "Text",
 CellID->442326454],
Cell[9386, 251, 1394, 45, 70, "Text",
 CellID->537355663],
Cell[10783, 298, 2180, 70, 70, "Text",
 CellID->45632744],
Cell[12966, 370, 448, 10, 70, "Text",
 CellID->342078950],
Cell[13417, 382, 4809, 150, 70, "DefinitionBox",
 CellID->7288010],
Cell[18229, 534, 57, 1, 70, "Caption",
 CellID->504005085],
Cell[18289, 537, 65, 1, 70, "MathCaption",
 CellID->836781195],
Cell[CellGroupData[{
Cell[18379, 542, 107, 3, 70, "Input",
 CellID->2058623809],
Cell[18489, 547, 288, 7, 70, "Message",
 CellID->131031542]
}, Open  ]],
Cell[18792, 557, 103, 2, 70, "MathCaption",
 CellID->9311731],
Cell[CellGroupData[{
Cell[18920, 563, 320, 10, 70, "Input",
 CellID->67659875],
Cell[19243, 575, 573, 19, 36, "Output",
 CellID->27621951]
}, Open  ]],
Cell[19831, 597, 68, 1, 70, "MathCaption",
 CellID->74426537],
Cell[CellGroupData[{
Cell[19924, 602, 396, 12, 70, "Input",
 CellID->797422931],
Cell[20323, 616, 259, 8, 36, "Output",
 CellID->835730800]
}, Open  ]],
Cell[CellGroupData[{
Cell[20619, 629, 135, 4, 70, "Input",
 CellID->24491411],
Cell[20757, 635, 261, 8, 36, "Output",
 CellID->58036811]
}, Open  ]],
Cell[CellGroupData[{
Cell[21055, 648, 196, 7, 70, "Input",
 CellID->15190104],
Cell[21254, 657, 262, 8, 36, "Output",
 CellID->710107664]
}, Open  ]],
Cell[CellGroupData[{
Cell[21553, 670, 212, 7, 70, "Input",
 CellID->149621032],
Cell[21768, 679, 489, 15, 39, "Output",
 CellID->286442572]
}, Open  ]],
Cell[22272, 697, 443, 14, 70, "MathCaption",
 CellID->132364208],
Cell[CellGroupData[{
Cell[22740, 715, 136, 4, 70, "Input",
 CellID->589312481],
Cell[22879, 721, 414, 15, 58, "Output",
 CellID->161528142]
}, Open  ]],
Cell[CellGroupData[{
Cell[23330, 741, 131, 4, 70, "Input",
 CellID->531753143],
Cell[23464, 747, 350, 13, 57, "Output",
 CellID->657245375]
}, Open  ]],
Cell[CellGroupData[{
Cell[23851, 765, 179, 5, 70, "Input",
 CellID->875306644],
Cell[24033, 772, 237, 7, 36, "Output",
 CellID->4459266]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[24319, 785, 75, 1, 70, "Subsection",
 CellID->11788280],
Cell[CellGroupData[{
Cell[24419, 790, 62, 1, 70, "Subsubsection",
 CellID->217923342],
Cell[24484, 793, 161, 6, 70, "Text",
 CellID->121754635],
Cell[24648, 801, 456, 17, 70, "Text",
 CellID->44649250],
Cell[25107, 820, 551, 20, 70, "Text",
 CellID->237413745],
Cell[25661, 842, 376, 14, 70, "Text",
 CellID->363486729],
Cell[26040, 858, 332, 9, 70, "Text",
 CellID->95946378],
Cell[26375, 869, 933, 30, 70, "Text",
 CellID->301086255]
}, Open  ]],
Cell[CellGroupData[{
Cell[27345, 904, 65, 1, 70, "Subsubsection",
 CellID->198503875],
Cell[27413, 907, 170, 6, 70, "Text",
 CellID->12129833],
Cell[27586, 915, 364, 13, 70, "Text",
 CellID->156978816],
Cell[27953, 930, 276, 12, 70, "Text",
 CellID->461866789]
}, Open  ]],
Cell[CellGroupData[{
Cell[28266, 947, 68, 1, 70, "Subsubsection",
 CellID->121224600],
Cell[28337, 950, 424, 15, 70, "Text",
 CellID->863989986],
Cell[28764, 967, 475, 17, 70, "Text",
 CellID->215216456],
Cell[29242, 986, 73, 1, 70, "Text",
 CellID->171401645],
Cell[29318, 989, 1134, 38, 70, "Text",
 CellID->239937974],
Cell[30455, 1029, 158, 4, 70, "Text",
 CellID->392258799]
}, Open  ]],
Cell[CellGroupData[{
Cell[30650, 1038, 67, 1, 70, "Subsubsection",
 CellID->103041750],
Cell[30720, 1041, 449, 15, 70, "Text",
 CellID->607959139],
Cell[31172, 1058, 1338, 44, 70, "Text",
 CellID->588748268],
Cell[32513, 1104, 38, 1, 70, "Text",
 CellID->33937607],
Cell[32554, 1107, 1391, 47, 70, "Text",
 CellID->230982794],
Cell[33948, 1156, 285, 10, 70, "Text",
 CellID->150323063],
Cell[34236, 1168, 823, 32, 70, "Text",
 CellID->345088051],
Cell[35062, 1202, 409, 16, 70, "Text",
 CellID->359687868],
Cell[35474, 1220, 4027, 145, 70, "DefinitionBox",
 CellID->1196922],
Cell[39504, 1367, 72, 1, 70, "Caption",
 CellID->43421408],
Cell[39579, 1370, 254, 8, 70, "MathCaption",
 CellID->460327742],
Cell[CellGroupData[{
Cell[39858, 1382, 288, 9, 70, "Input",
 CellID->191374176],
Cell[40149, 1393, 234, 8, 42, "Output",
 CellID->759119060]
}, Open  ]],
Cell[CellGroupData[{
Cell[40420, 1406, 108, 3, 70, "Input",
 CellID->247468957],
Cell[40531, 1411, 233, 8, 39, "Output",
 CellID->273362294]
}, Open  ]],
Cell[40779, 1422, 229, 8, 70, "MathCaption",
 CellID->340055893],
Cell[CellGroupData[{
Cell[41033, 1434, 106, 3, 70, "Input",
 CellID->278966175],
Cell[41142, 1439, 254, 9, 42, "Output",
 CellID->786498816]
}, Open  ]],
Cell[CellGroupData[{
Cell[41433, 1453, 99, 3, 70, "Input",
 CellID->88274341],
Cell[41535, 1458, 171, 6, 39, "Output",
 CellID->153298326]
}, Open  ]],
Cell[41721, 1467, 462, 15, 70, "MathCaption",
 CellID->318965085],
Cell[CellGroupData[{
Cell[42208, 1486, 250, 8, 70, "Input",
 CellID->779751438],
Cell[42461, 1496, 431, 15, 36, "Output",
 CellID->156958123]
}, Open  ]],
Cell[CellGroupData[{
Cell[42929, 1516, 166, 5, 70, "Input",
 CellID->5874579],
Cell[43098, 1523, 345, 13, 42, "Output",
 CellID->447527546]
}, Open  ]],
Cell[CellGroupData[{
Cell[43480, 1541, 238, 8, 70, "Input",
 CellID->16945644],
Cell[43721, 1551, 431, 15, 36, "Output",
 CellID->369067571]
}, Open  ]],
Cell[44167, 1569, 72, 1, 70, "MathCaption",
 CellID->437189593],
Cell[CellGroupData[{
Cell[44264, 1574, 105, 3, 70, "Input",
 CellID->70589302],
Cell[44372, 1579, 291, 11, 57, "Output",
 CellID->72554811]
}, Open  ]],
Cell[CellGroupData[{
Cell[44700, 1595, 274, 9, 70, "Input",
 CellID->634485280],
Cell[44977, 1606, 291, 11, 57, "Output",
 CellID->66537248]
}, Open  ]],
Cell[45283, 1620, 71, 1, 70, "MathCaption",
 CellID->148154256],
Cell[CellGroupData[{
Cell[45379, 1625, 116, 3, 70, "Input",
 CellID->475749512],
Cell[45498, 1630, 327, 11, 36, "Output",
 CellID->166169136]
}, Open  ]],
Cell[CellGroupData[{
Cell[45862, 1646, 111, 3, 70, "Input",
 CellID->22736781],
Cell[45976, 1651, 239, 7, 36, "Output",
 CellID->171475446]
}, Open  ]],
Cell[CellGroupData[{
Cell[46252, 1663, 158, 5, 70, "Input",
 CellID->450765332],
Cell[46413, 1670, 1020, 31, 64, "Output",
 CellID->714359245]
}, Open  ]],
Cell[CellGroupData[{
Cell[47470, 1706, 223, 7, 70, "Input",
 CellID->208975474],
Cell[47696, 1715, 260, 8, 36, "Output",
 CellID->74676162]
}, Open  ]],
Cell[CellGroupData[{
Cell[47993, 1728, 274, 8, 70, "Input",
 CellID->71157755],
Cell[48270, 1738, 1071, 33, 64, "Output",
 CellID->52253071]
}, Open  ]],
Cell[49356, 1774, 70, 1, 70, "MathCaption",
 CellID->299597479],
Cell[CellGroupData[{
Cell[49451, 1779, 151, 5, 70, "Input",
 CellID->43456513],
Cell[49605, 1786, 935, 30, 92, "Output",
 CellID->162752174]
}, Open  ]],
Cell[CellGroupData[{
Cell[50577, 1821, 166, 5, 70, "Input",
 CellID->122353662],
Cell[50746, 1828, 246, 8, 36, "Output",
 CellID->25269026]
}, Open  ]],
Cell[CellGroupData[{
Cell[51029, 1841, 166, 5, 70, "Input",
 CellID->276643628],
Cell[51198, 1848, 246, 8, 36, "Output",
 CellID->66523302]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[51505, 1863, 61, 1, 70, "Subsection",
 CellID->538363480],
Cell[51569, 1866, 710, 18, 70, "Text",
 CellID->315864047],
Cell[52282, 1886, 575, 21, 70, "Text",
 CellID->258566604],
Cell[52860, 1909, 736, 26, 70, "Text",
 CellID->29326599],
Cell[53599, 1937, 90, 1, 70, "Text",
 CellID->439523303],
Cell[53692, 1940, 1398, 55, 70, "Text",
 CellID->70552117],
Cell[55093, 1997, 947, 31, 70, "Text",
 CellID->46589408],
Cell[56043, 2030, 745, 29, 70, "Text",
 CellID->621907457],
Cell[56791, 2061, 77, 1, 70, "Text",
 CellID->117389258],
Cell[56871, 2064, 3381, 116, 70, "DefinitionBox",
 CellID->192710129],
Cell[60255, 2182, 58, 1, 70, "Caption",
 CellID->215151766],
Cell[60316, 2185, 66, 1, 70, "MathCaption",
 CellID->76438764],
Cell[CellGroupData[{
Cell[60407, 2190, 243, 8, 70, "Input",
 CellID->147177334],
Cell[60653, 2200, 499, 15, 39, "Output",
 CellID->228361583]
}, Open  ]],
Cell[CellGroupData[{
Cell[61189, 2220, 110, 3, 70, "Input",
 CellID->50092821],
Cell[61302, 2225, 286, 10, 36, "Output",
 CellID->99441191]
}, Open  ]],
Cell[CellGroupData[{
Cell[61625, 2240, 106, 3, 70, "Input",
 CellID->76465670],
Cell[61734, 2245, 163, 5, 36, "Output",
 CellID->279811471]
}, Open  ]],
Cell[61912, 2253, 61, 1, 70, "MathCaption",
 CellID->33573670],
Cell[CellGroupData[{
Cell[61998, 2258, 500, 17, 70, "Input",
 CellID->60156105],
Cell[62501, 2277, 507, 16, 36, "Output",
 CellID->301446581]
}, Open  ]],
Cell[CellGroupData[{
Cell[63045, 2298, 107, 3, 70, "Input",
 CellID->509663854],
Cell[63155, 2303, 162, 5, 36, "Output",
 CellID->412229574]
}, Open  ]],
Cell[CellGroupData[{
Cell[63354, 2313, 107, 3, 70, "Input",
 CellID->408076013],
Cell[63464, 2318, 377, 13, 36, "Output",
 CellID->158492373]
}, Open  ]],
Cell[63856, 2334, 370, 13, 70, "Input",
 CellID->216223926],
Cell[CellGroupData[{
Cell[64251, 2351, 141, 4, 70, "Input",
 CellID->562548354],
Cell[64395, 2357, 162, 5, 36, "Output",
 CellID->244266810]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[64606, 2368, 59, 1, 70, "Subsection",
 CellID->152302960],
Cell[64668, 2371, 510, 16, 70, "Text",
 CellID->535226969],
Cell[65181, 2389, 675, 25, 70, "Text",
 CellID->5518875],
Cell[65859, 2416, 3445, 116, 70, "Text",
 CellID->47992747],
Cell[69307, 2534, 241, 10, 70, "Text",
 CellID->56104498],
Cell[69551, 2546, 140, 6, 70, "Text",
 CellID->62072223],
Cell[69694, 2554, 249, 8, 70, "Text",
 CellID->227739551],
Cell[69946, 2564, 250, 11, 70, "Text",
 CellID->306834383],
Cell[70199, 2577, 564, 19, 70, "Text",
 CellID->294493521],
Cell[70766, 2598, 57, 1, 70, "Text",
 CellID->802641884],
Cell[70826, 2601, 458, 16, 70, "Text",
 CellID->247909861],
Cell[71287, 2619, 404, 14, 70, "Text",
 CellID->269530335],
Cell[71694, 2635, 445, 17, 70, "Text",
 CellID->93444533],
Cell[72142, 2654, 761, 25, 70, "Text",
 CellID->40140477],
Cell[72906, 2681, 372, 15, 70, "Text",
 CellID->383367074],
Cell[73281, 2698, 377, 12, 70, "Text",
 CellID->330194706],
Cell[73661, 2712, 821, 34, 70, "Text",
 CellID->346362276],
Cell[74485, 2748, 323, 11, 70, "Text",
 CellID->684134308],
Cell[74811, 2761, 466, 18, 70, "Text",
 CellID->33038443],
Cell[75280, 2781, 77, 1, 70, "Text",
 CellID->77781262],
Cell[75360, 2784, 2204, 73, 70, "Text",
 CellID->29387247],
Cell[77567, 2859, 875, 25, 70, "Text",
 CellID->200051800],
Cell[78445, 2886, 4012, 131, 70, "DefinitionBox",
 CellID->112341302],
Cell[82460, 3019, 50, 1, 70, "Caption",
 CellID->259755433],
Cell[82513, 3022, 72, 1, 70, "MathCaption",
 CellID->6598569],
Cell[CellGroupData[{
Cell[82610, 3027, 147, 4, 70, "Input",
 CellID->489756008],
Cell[82760, 3033, 285, 7, 70, "Message",
 CellID->624780164]
}, Open  ]],
Cell[CellGroupData[{
Cell[83082, 3045, 74, 2, 70, "Input",
 CellID->349113338],
Cell[83159, 3049, 159, 5, 36, "Output",
 CellID->599035864]
}, Open  ]],
Cell[83333, 3057, 69, 1, 70, "MathCaption",
 CellID->414029507],
Cell[CellGroupData[{
Cell[83427, 3062, 446, 15, 70, "Input",
 CellID->16624027],
Cell[83876, 3079, 225, 8, 36, "Output",
 CellID->474782513],
Cell[84104, 3089, 243, 9, 36, "Output",
 CellID->73992511]
}, Open  ]],
Cell[CellGroupData[{
Cell[84384, 3103, 159, 5, 70, "Input",
 CellID->456873940],
Cell[84546, 3110, 248, 8, 36, "Output",
 CellID->867479448]
}, Open  ]],
Cell[CellGroupData[{
Cell[84831, 3123, 108, 3, 70, "Input",
 CellID->1840523],
Cell[84942, 3128, 220, 7, 36, "Output",
 CellID->625817749]
}, Open  ]],
Cell[85177, 3138, 495, 17, 70, "MathCaption",
 CellID->548525019],
Cell[CellGroupData[{
Cell[85697, 3159, 93, 3, 70, "Input",
 CellID->93798552],
Cell[85793, 3164, 344, 11, 36, "Output",
 CellID->15562215]
}, Open  ]],
Cell[CellGroupData[{
Cell[86174, 3180, 111, 4, 70, "Input",
 CellID->317390874],
Cell[86288, 3186, 248, 8, 36, "Output",
 CellID->846374830]
}, Open  ]],
Cell[86551, 3197, 71, 1, 70, "MathCaption",
 CellID->761630112],
Cell[CellGroupData[{
Cell[86647, 3202, 429, 13, 70, "Input",
 CellID->354577003],
Cell[87079, 3217, 163, 5, 36, "Output",
 CellID->158788993]
}, Open  ]],
Cell[CellGroupData[{
Cell[87279, 3227, 107, 3, 70, "Input",
 CellID->206411885],
Cell[87389, 3232, 233, 6, 70, "Message",
 CellID->417003807]
}, Open  ]],
Cell[CellGroupData[{
Cell[87659, 3243, 481, 15, 70, "Input",
 CellID->121706629],
Cell[88143, 3260, 162, 5, 36, "Output",
 CellID->590553726]
}, Open  ]],
Cell[CellGroupData[{
Cell[88342, 3270, 107, 3, 70, "Input",
 CellID->294707376],
Cell[88452, 3275, 255, 8, 36, "Output",
 CellID->37131174]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[88756, 3289, 70, 1, 70, "Subsection",
 CellID->58034463],
Cell[88829, 3292, 769, 23, 70, "Text",
 CellID->479101600],
Cell[89601, 3317, 671, 21, 70, "Text",
 CellID->368665817],
Cell[90275, 3340, 175, 7, 70, "Text",
 CellID->712880589],
Cell[90453, 3349, 719, 26, 70, "Text",
 CellID->88608920],
Cell[91175, 3377, 277, 12, 70, "Text",
 CellID->19159055],
Cell[91455, 3391, 141, 4, 70, "Text",
 CellID->218979868],
Cell[CellGroupData[{
Cell[91621, 3399, 210, 5, 70, "Subsubsubsection",
 CellID->295200594],
Cell[91834, 3406, 1069, 38, 70, "Text",
 CellID->71673152],
Cell[92906, 3446, 40, 1, 70, "Text",
 CellID->54971896],
Cell[92949, 3449, 2766, 81, 70, "Text",
 CellID->3148543],
Cell[95718, 3532, 218, 9, 70, "Text",
 CellID->247756668]
}, Open  ]],
Cell[CellGroupData[{
Cell[95973, 3546, 103, 2, 70, "Subsubsection",
 CellID->243107602],
Cell[96079, 3550, 501, 17, 70, "Text",
 CellID->211494654],
Cell[96583, 3569, 245, 10, 70, "Text",
 CellID->152567689],
Cell[96831, 3581, 875, 33, 70, "Text",
 CellID->222205957],
Cell[97709, 3616, 38, 1, 70, "Text",
 CellID->39142379],
Cell[97750, 3619, 1036, 39, 70, "Text",
 CellID->2454414],
Cell[98789, 3660, 180, 7, 70, "Text",
 CellID->141948902],
Cell[98972, 3669, 2698, 86, 70, "DefinitionBox",
 CellID->344872723],
Cell[101673, 3757, 58, 1, 70, "Caption",
 CellID->426623723],
Cell[101734, 3760, 75, 1, 70, "Text",
 CellID->272579667],
Cell[101812, 3763, 35, 1, 70, "Text",
 CellID->37242197],
Cell[CellGroupData[{
Cell[101872, 3768, 791, 24, 70, "Input",
 CellID->83265151],
Cell[102666, 3794, 289, 7, 70, "Message",
 CellID->480084560],
Cell[102958, 3803, 2979, 88, 127, "Output",
 CellID->476757137]
}, Open  ]],
Cell[105952, 3894, 664, 24, 70, "Text",
 CellID->459151652],
Cell[CellGroupData[{
Cell[106641, 3922, 751, 23, 70, "Input",
 CellID->199877197],
Cell[107395, 3947, 285, 7, 70, "Message",
 CellID->472939271],
Cell[107683, 3956, 2270, 69, 127, "Output",
 CellID->13315647]
}, Open  ]],
Cell[109968, 4028, 580, 20, 70, "Text",
 CellID->503404402],
Cell[CellGroupData[{
Cell[110573, 4052, 656, 20, 70, "Input",
 CellID->1012322695],
Cell[111232, 4074, 1707, 53, 132, "Output",
 CellID->861941854]
}, Open  ]],
Cell[112954, 4130, 81, 1, 70, "Text",
 CellID->60633774],
Cell[CellGroupData[{
Cell[113060, 4135, 279, 9, 70, "Input",
 CellID->938878061],
Cell[113342, 4146, 237, 7, 36, "Output",
 CellID->371404667]
}, Open  ]],
Cell[113594, 4156, 124, 4, 70, "Input",
 CellID->11579606],
Cell[CellGroupData[{
Cell[113743, 4164, 584, 18, 70, "Input",
 CellID->664867161],
Cell[114330, 4184, 237, 7, 36, "Output",
 CellID->577457366]
}, Open  ]],
Cell[CellGroupData[{
Cell[114604, 4196, 466, 12, 70, "Input",
 CellID->497673743],
Cell[115073, 4210, 160, 5, 36, "Output",
 CellID->334768419],
Cell[115236, 4217, 237, 7, 36, "Output",
 CellID->248573658]
}, Open  ]],
Cell[115488, 4227, 121, 3, 70, "Text",
 CellID->583623146],
Cell[CellGroupData[{
Cell[115634, 4234, 320, 11, 70, "Input",
 CellID->540832693],
Cell[115957, 4247, 2671, 81, 112, "Output",
 CellID->723648382]
}, Open  ]],
Cell[CellGroupData[{
Cell[118665, 4333, 339, 12, 70, "Input",
 CellID->324393869],
Cell[119007, 4347, 2413, 74, 117, "Output",
 CellID->84082993]
}, Open  ]],
Cell[121435, 4424, 65, 1, 70, "Text",
 CellID->26244999],
Cell[CellGroupData[{
Cell[121525, 4429, 933, 27, 83, "Input",
 CellID->486423859],
Cell[122461, 4458, 4115, 75, 158, "Output",
 CellID->464406331]
}, Open  ]],
Cell[126591, 4536, 250, 8, 70, "Text",
 CellID->3296078],
Cell[CellGroupData[{
Cell[126866, 4548, 263, 9, 70, "Input",
 CellID->67208868],
Cell[127132, 4559, 528, 17, 53, "Output",
 CellID->23582810]
}, Open  ]],
Cell[CellGroupData[{
Cell[127697, 4581, 407, 14, 70, "Input",
 CellID->29890192],
Cell[128107, 4597, 529, 17, 53, "Output",
 CellID->938750097]
}, Open  ]],
Cell[128651, 4617, 139, 4, 70, "Text",
 CellID->611059328],
Cell[CellGroupData[{
Cell[128815, 4625, 110, 3, 70, "Input",
 CellID->73451780],
Cell[128928, 4630, 288, 7, 70, "Message",
 CellID->74869218]
}, Open  ]],
Cell[CellGroupData[{
Cell[129253, 4642, 128, 4, 70, "Input",
 CellID->496847581],
Cell[129384, 4648, 439, 16, 58, "Output",
 CellID->227730116]
}, Open  ]],
Cell[CellGroupData[{
Cell[129860, 4669, 238, 8, 70, "Input",
 CellID->174645709],
Cell[130101, 4679, 517, 17, 53, "Output",
 CellID->409525202]
}, Open  ]]
}, Open  ]]
}, Open  ]],
Cell[CellGroupData[{
Cell[130679, 4703, 50, 1, 70, "Subsection",
 CellID->5761629],
Cell[130732, 4706, 198, 4, 70, "Text",
 CellID->414526585],
Cell[130933, 4712, 239, 5, 70, "Text",
 CellID->315474779],
Cell[131175, 4719, 179, 4, 70, "Text",
 CellID->3518927],
Cell[131357, 4725, 129, 4, 70, "Text",
 CellID->266579696]
}, Open  ]],
Cell[CellGroupData[{
Cell[131523, 4734, 72, 1, 70, "RelatedTutorialsSection",
 CellID->415694126],
Cell[131598, 4737, 156, 3, 70, "RelatedTutorials",
 CellID->806871991]
}, Open  ]]
}, Open  ]],
Cell[131781, 4744, 23, 0, 70, "FooterCell"]
}
]
*)

(* End of internal cache information *)

